/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 61 "src/parse.yy"


#include "decl.h"
#include "expr.h"
#include "func.h"
#include "ispc.h"
#include "module.h"
#include "stmt.h"
#include "sym.h"
#include "type.h"
#include "util.h"

#include <stdio.h>
#include <llvm/IR/Constants.h>

using namespace ispc;

#define UNIMPLEMENTED \
        Error(yylloc, "Unimplemented parser functionality %s:%d", \
        __FILE__, __LINE__);

union YYSTYPE;
extern int yylex();

extern char *yytext;

void yyerror(const char *s);

void lCleanUpString(std::string *str);
void lFreeSimpleTemplateID(void *p);
static int lYYTNameErr(char *yyres, const char *yystr);

static void lSuggestBuiltinAlternates();
static void lSuggestParamListAlternates();

static void lAddDeclaration(DeclSpecs *ds, Declarator *decl);
static void lAddTemplateDeclaration(TemplateParms *templateParmList, DeclSpecs *ds, Declarator *decl);
static void lAddTemplateSpecialization(const TemplateArgs &templArgs, DeclSpecs *ds, Declarator *decl);
static void lAddFunctionParams(Declarator *decl);
static void lAddMaskToSymbolTable(SourcePos pos);
static void lAddThreadIndexCountToSymbolTable(SourcePos pos);
static std::string lGetAlternates(std::vector<std::string> &alternates);
static const char *lGetStorageClassString(StorageClass sc);
static bool lGetConstantInt(Expr *expr, int *value, SourcePos pos, const char *usage);

enum class TemplateType { Template, Instantiation, Specialization };
static void lCheckTemplateDeclSpecs(DeclSpecs *ds, SourcePos pos, TemplateType type, const char* name);

static EnumType *lCreateEnumType(const char *name, std::vector<Symbol *> *enums,
                                 SourcePos pos);
static void lFinalizeEnumeratorSymbols(std::vector<Symbol *> &enums,
                                       const EnumType *enumType);

static const char *lBuiltinTokens[] = {
    "assert", "bool", "break", "case", "cdo",
    "cfor", "cif", "cwhile", "const", "continue", "default",
    "do", "delete", "double", "else", "enum", "export", "extern", "false",
    "float16", "float", "for", "foreach", "foreach_active", "foreach_tiled",
    "foreach_unique", "goto", "if", "in", "inline",
    "int", "int8", "int16", "int32", "int64", "invoke_sycl", "launch", "new", "NULL",
    "print", "return", "signed", "sizeof", "static", "struct", "switch",
    "sync", "task", "true", "typedef", "uniform", "unmasked", "unsigned",
    "varying", "void", "while", NULL
};

static const char *lParamListTokens[] = {
    "bool", "const", "double", "enum", "false", "float16", "float", "int",
    "int8", "int16", "int32", "int64", "signed", "struct", "true",
    "uniform", "unsigned", "varying", "void", NULL
};

struct ForeachDimension {
    ForeachDimension(Symbol *s = nullptr, Expr *b = nullptr, Expr *e = nullptr) {
        sym = s;
        beginExpr = b;
        endExpr = e;
    }
    Symbol *sym;
    Expr *beginExpr, *endExpr;
};


#line 154 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parse.hh"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_TOKEN_INT8_CONSTANT = 3,        /* TOKEN_INT8_CONSTANT  */
  YYSYMBOL_TOKEN_UINT8_CONSTANT = 4,       /* TOKEN_UINT8_CONSTANT  */
  YYSYMBOL_TOKEN_INT16_CONSTANT = 5,       /* TOKEN_INT16_CONSTANT  */
  YYSYMBOL_TOKEN_UINT16_CONSTANT = 6,      /* TOKEN_UINT16_CONSTANT  */
  YYSYMBOL_TOKEN_INT32_CONSTANT = 7,       /* TOKEN_INT32_CONSTANT  */
  YYSYMBOL_TOKEN_UINT32_CONSTANT = 8,      /* TOKEN_UINT32_CONSTANT  */
  YYSYMBOL_TOKEN_INT64_CONSTANT = 9,       /* TOKEN_INT64_CONSTANT  */
  YYSYMBOL_TOKEN_UINT64_CONSTANT = 10,     /* TOKEN_UINT64_CONSTANT  */
  YYSYMBOL_TOKEN_INT32DOTDOTDOT_CONSTANT = 11, /* TOKEN_INT32DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_UINT32DOTDOTDOT_CONSTANT = 12, /* TOKEN_UINT32DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_INT64DOTDOTDOT_CONSTANT = 13, /* TOKEN_INT64DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_UINT64DOTDOTDOT_CONSTANT = 14, /* TOKEN_UINT64DOTDOTDOT_CONSTANT  */
  YYSYMBOL_TOKEN_FLOAT16_CONSTANT = 15,    /* TOKEN_FLOAT16_CONSTANT  */
  YYSYMBOL_TOKEN_FLOAT_CONSTANT = 16,      /* TOKEN_FLOAT_CONSTANT  */
  YYSYMBOL_TOKEN_DOUBLE_CONSTANT = 17,     /* TOKEN_DOUBLE_CONSTANT  */
  YYSYMBOL_TOKEN_STRING_C_LITERAL = 18,    /* TOKEN_STRING_C_LITERAL  */
  YYSYMBOL_TOKEN_STRING_SYCL_LITERAL = 19, /* TOKEN_STRING_SYCL_LITERAL  */
  YYSYMBOL_TOKEN_IDENTIFIER = 20,          /* TOKEN_IDENTIFIER  */
  YYSYMBOL_TOKEN_STRING_LITERAL = 21,      /* TOKEN_STRING_LITERAL  */
  YYSYMBOL_TOKEN_TYPE_NAME = 22,           /* TOKEN_TYPE_NAME  */
  YYSYMBOL_TOKEN_PRAGMA = 23,              /* TOKEN_PRAGMA  */
  YYSYMBOL_TOKEN_NULL = 24,                /* TOKEN_NULL  */
  YYSYMBOL_TOKEN_TEMPLATE_NAME = 25,       /* TOKEN_TEMPLATE_NAME  */
  YYSYMBOL_TOKEN_TEMPLATE = 26,            /* TOKEN_TEMPLATE  */
  YYSYMBOL_TOKEN_TYPENAME = 27,            /* TOKEN_TYPENAME  */
  YYSYMBOL_TOKEN_PTR_OP = 28,              /* TOKEN_PTR_OP  */
  YYSYMBOL_TOKEN_INC_OP = 29,              /* TOKEN_INC_OP  */
  YYSYMBOL_TOKEN_DEC_OP = 30,              /* TOKEN_DEC_OP  */
  YYSYMBOL_TOKEN_LEFT_OP = 31,             /* TOKEN_LEFT_OP  */
  YYSYMBOL_TOKEN_RIGHT_OP = 32,            /* TOKEN_RIGHT_OP  */
  YYSYMBOL_TOKEN_LE_OP = 33,               /* TOKEN_LE_OP  */
  YYSYMBOL_TOKEN_GE_OP = 34,               /* TOKEN_GE_OP  */
  YYSYMBOL_TOKEN_EQ_OP = 35,               /* TOKEN_EQ_OP  */
  YYSYMBOL_TOKEN_NE_OP = 36,               /* TOKEN_NE_OP  */
  YYSYMBOL_TOKEN_AND_OP = 37,              /* TOKEN_AND_OP  */
  YYSYMBOL_TOKEN_OR_OP = 38,               /* TOKEN_OR_OP  */
  YYSYMBOL_TOKEN_MUL_ASSIGN = 39,          /* TOKEN_MUL_ASSIGN  */
  YYSYMBOL_TOKEN_DIV_ASSIGN = 40,          /* TOKEN_DIV_ASSIGN  */
  YYSYMBOL_TOKEN_MOD_ASSIGN = 41,          /* TOKEN_MOD_ASSIGN  */
  YYSYMBOL_TOKEN_ADD_ASSIGN = 42,          /* TOKEN_ADD_ASSIGN  */
  YYSYMBOL_TOKEN_SUB_ASSIGN = 43,          /* TOKEN_SUB_ASSIGN  */
  YYSYMBOL_TOKEN_LEFT_ASSIGN = 44,         /* TOKEN_LEFT_ASSIGN  */
  YYSYMBOL_TOKEN_RIGHT_ASSIGN = 45,        /* TOKEN_RIGHT_ASSIGN  */
  YYSYMBOL_TOKEN_AND_ASSIGN = 46,          /* TOKEN_AND_ASSIGN  */
  YYSYMBOL_TOKEN_OR_ASSIGN = 47,           /* TOKEN_OR_ASSIGN  */
  YYSYMBOL_TOKEN_XOR_ASSIGN = 48,          /* TOKEN_XOR_ASSIGN  */
  YYSYMBOL_TOKEN_SIZEOF = 49,              /* TOKEN_SIZEOF  */
  YYSYMBOL_TOKEN_NEW = 50,                 /* TOKEN_NEW  */
  YYSYMBOL_TOKEN_DELETE = 51,              /* TOKEN_DELETE  */
  YYSYMBOL_TOKEN_IN = 52,                  /* TOKEN_IN  */
  YYSYMBOL_TOKEN_ALLOCA = 53,              /* TOKEN_ALLOCA  */
  YYSYMBOL_TOKEN_INTRINSIC_CALL = 54,      /* TOKEN_INTRINSIC_CALL  */
  YYSYMBOL_TOKEN_EXTERN = 55,              /* TOKEN_EXTERN  */
  YYSYMBOL_TOKEN_EXPORT = 56,              /* TOKEN_EXPORT  */
  YYSYMBOL_TOKEN_STATIC = 57,              /* TOKEN_STATIC  */
  YYSYMBOL_TOKEN_INLINE = 58,              /* TOKEN_INLINE  */
  YYSYMBOL_TOKEN_NOINLINE = 59,            /* TOKEN_NOINLINE  */
  YYSYMBOL_TOKEN_VECTORCALL = 60,          /* TOKEN_VECTORCALL  */
  YYSYMBOL_TOKEN_REGCALL = 61,             /* TOKEN_REGCALL  */
  YYSYMBOL_TOKEN_TASK = 62,                /* TOKEN_TASK  */
  YYSYMBOL_TOKEN_DECLSPEC = 63,            /* TOKEN_DECLSPEC  */
  YYSYMBOL_TOKEN_UNIFORM = 64,             /* TOKEN_UNIFORM  */
  YYSYMBOL_TOKEN_VARYING = 65,             /* TOKEN_VARYING  */
  YYSYMBOL_TOKEN_TYPEDEF = 66,             /* TOKEN_TYPEDEF  */
  YYSYMBOL_TOKEN_SOA = 67,                 /* TOKEN_SOA  */
  YYSYMBOL_TOKEN_UNMASKED = 68,            /* TOKEN_UNMASKED  */
  YYSYMBOL_TOKEN_INT = 69,                 /* TOKEN_INT  */
  YYSYMBOL_TOKEN_SIGNED = 70,              /* TOKEN_SIGNED  */
  YYSYMBOL_TOKEN_UNSIGNED = 71,            /* TOKEN_UNSIGNED  */
  YYSYMBOL_TOKEN_FLOAT16 = 72,             /* TOKEN_FLOAT16  */
  YYSYMBOL_TOKEN_FLOAT = 73,               /* TOKEN_FLOAT  */
  YYSYMBOL_TOKEN_DOUBLE = 74,              /* TOKEN_DOUBLE  */
  YYSYMBOL_TOKEN_INT8 = 75,                /* TOKEN_INT8  */
  YYSYMBOL_TOKEN_INT16 = 76,               /* TOKEN_INT16  */
  YYSYMBOL_TOKEN_INT64 = 77,               /* TOKEN_INT64  */
  YYSYMBOL_TOKEN_CONST = 78,               /* TOKEN_CONST  */
  YYSYMBOL_TOKEN_VOID = 79,                /* TOKEN_VOID  */
  YYSYMBOL_TOKEN_BOOL = 80,                /* TOKEN_BOOL  */
  YYSYMBOL_TOKEN_UINT8 = 81,               /* TOKEN_UINT8  */
  YYSYMBOL_TOKEN_UINT16 = 82,              /* TOKEN_UINT16  */
  YYSYMBOL_TOKEN_UINT = 83,                /* TOKEN_UINT  */
  YYSYMBOL_TOKEN_UINT64 = 84,              /* TOKEN_UINT64  */
  YYSYMBOL_TOKEN_ENUM = 85,                /* TOKEN_ENUM  */
  YYSYMBOL_TOKEN_STRUCT = 86,              /* TOKEN_STRUCT  */
  YYSYMBOL_TOKEN_TRUE = 87,                /* TOKEN_TRUE  */
  YYSYMBOL_TOKEN_FALSE = 88,               /* TOKEN_FALSE  */
  YYSYMBOL_TOKEN_CASE = 89,                /* TOKEN_CASE  */
  YYSYMBOL_TOKEN_DEFAULT = 90,             /* TOKEN_DEFAULT  */
  YYSYMBOL_TOKEN_IF = 91,                  /* TOKEN_IF  */
  YYSYMBOL_TOKEN_ELSE = 92,                /* TOKEN_ELSE  */
  YYSYMBOL_TOKEN_SWITCH = 93,              /* TOKEN_SWITCH  */
  YYSYMBOL_TOKEN_WHILE = 94,               /* TOKEN_WHILE  */
  YYSYMBOL_TOKEN_DO = 95,                  /* TOKEN_DO  */
  YYSYMBOL_TOKEN_LAUNCH = 96,              /* TOKEN_LAUNCH  */
  YYSYMBOL_TOKEN_FOREACH = 97,             /* TOKEN_FOREACH  */
  YYSYMBOL_TOKEN_FOREACH_TILED = 98,       /* TOKEN_FOREACH_TILED  */
  YYSYMBOL_TOKEN_FOREACH_UNIQUE = 99,      /* TOKEN_FOREACH_UNIQUE  */
  YYSYMBOL_TOKEN_FOREACH_ACTIVE = 100,     /* TOKEN_FOREACH_ACTIVE  */
  YYSYMBOL_TOKEN_DOTDOTDOT = 101,          /* TOKEN_DOTDOTDOT  */
  YYSYMBOL_TOKEN_FOR = 102,                /* TOKEN_FOR  */
  YYSYMBOL_TOKEN_GOTO = 103,               /* TOKEN_GOTO  */
  YYSYMBOL_TOKEN_CONTINUE = 104,           /* TOKEN_CONTINUE  */
  YYSYMBOL_TOKEN_BREAK = 105,              /* TOKEN_BREAK  */
  YYSYMBOL_TOKEN_RETURN = 106,             /* TOKEN_RETURN  */
  YYSYMBOL_TOKEN_CIF = 107,                /* TOKEN_CIF  */
  YYSYMBOL_TOKEN_CDO = 108,                /* TOKEN_CDO  */
  YYSYMBOL_TOKEN_CFOR = 109,               /* TOKEN_CFOR  */
  YYSYMBOL_TOKEN_CWHILE = 110,             /* TOKEN_CWHILE  */
  YYSYMBOL_TOKEN_SYNC = 111,               /* TOKEN_SYNC  */
  YYSYMBOL_TOKEN_PRINT = 112,              /* TOKEN_PRINT  */
  YYSYMBOL_TOKEN_ASSERT = 113,             /* TOKEN_ASSERT  */
  YYSYMBOL_TOKEN_INVOKE_SYCL = 114,        /* TOKEN_INVOKE_SYCL  */
  YYSYMBOL_115_ = 115,                     /* '('  */
  YYSYMBOL_116_ = 116,                     /* ')'  */
  YYSYMBOL_117_ = 117,                     /* '['  */
  YYSYMBOL_118_ = 118,                     /* ']'  */
  YYSYMBOL_119_ = 119,                     /* ','  */
  YYSYMBOL_120_ = 120,                     /* '<'  */
  YYSYMBOL_121_ = 121,                     /* '>'  */
  YYSYMBOL_122_ = 122,                     /* '.'  */
  YYSYMBOL_123_ = 123,                     /* '&'  */
  YYSYMBOL_124_ = 124,                     /* '*'  */
  YYSYMBOL_125_ = 125,                     /* '+'  */
  YYSYMBOL_126_ = 126,                     /* '-'  */
  YYSYMBOL_127_ = 127,                     /* '~'  */
  YYSYMBOL_128_ = 128,                     /* '!'  */
  YYSYMBOL_129_ = 129,                     /* '/'  */
  YYSYMBOL_130_ = 130,                     /* '%'  */
  YYSYMBOL_131_ = 131,                     /* '^'  */
  YYSYMBOL_132_ = 132,                     /* '|'  */
  YYSYMBOL_133_ = 133,                     /* '?'  */
  YYSYMBOL_134_ = 134,                     /* ':'  */
  YYSYMBOL_135_ = 135,                     /* '='  */
  YYSYMBOL_136_ = 136,                     /* ';'  */
  YYSYMBOL_137_ = 137,                     /* '{'  */
  YYSYMBOL_138_ = 138,                     /* '}'  */
  YYSYMBOL_YYACCEPT = 139,                 /* $accept  */
  YYSYMBOL_string_constant = 140,          /* string_constant  */
  YYSYMBOL_primary_expression = 141,       /* primary_expression  */
  YYSYMBOL_launch_expression = 142,        /* launch_expression  */
  YYSYMBOL_invoke_sycl_expression = 143,   /* invoke_sycl_expression  */
  YYSYMBOL_postfix_expression = 144,       /* postfix_expression  */
  YYSYMBOL_intrinsic_name = 145,           /* intrinsic_name  */
  YYSYMBOL_intrincall_expression = 146,    /* intrincall_expression  */
  YYSYMBOL_funcall_expression = 147,       /* funcall_expression  */
  YYSYMBOL_argument_expression_list = 148, /* argument_expression_list  */
  YYSYMBOL_unary_expression = 149,         /* unary_expression  */
  YYSYMBOL_cast_expression = 150,          /* cast_expression  */
  YYSYMBOL_multiplicative_expression = 151, /* multiplicative_expression  */
  YYSYMBOL_additive_expression = 152,      /* additive_expression  */
  YYSYMBOL_shift_expression = 153,         /* shift_expression  */
  YYSYMBOL_relational_expression = 154,    /* relational_expression  */
  YYSYMBOL_equality_expression = 155,      /* equality_expression  */
  YYSYMBOL_and_expression = 156,           /* and_expression  */
  YYSYMBOL_exclusive_or_expression = 157,  /* exclusive_or_expression  */
  YYSYMBOL_inclusive_or_expression = 158,  /* inclusive_or_expression  */
  YYSYMBOL_logical_and_expression = 159,   /* logical_and_expression  */
  YYSYMBOL_logical_or_expression = 160,    /* logical_or_expression  */
  YYSYMBOL_conditional_expression = 161,   /* conditional_expression  */
  YYSYMBOL_rate_qualified_new = 162,       /* rate_qualified_new  */
  YYSYMBOL_rate_qualified_type_specifier = 163, /* rate_qualified_type_specifier  */
  YYSYMBOL_new_expression = 164,           /* new_expression  */
  YYSYMBOL_assignment_expression = 165,    /* assignment_expression  */
  YYSYMBOL_expression = 166,               /* expression  */
  YYSYMBOL_constant_expression = 167,      /* constant_expression  */
  YYSYMBOL_declaration_statement = 168,    /* declaration_statement  */
  YYSYMBOL_declaration = 169,              /* declaration  */
  YYSYMBOL_soa_width_specifier = 170,      /* soa_width_specifier  */
  YYSYMBOL_declspec_item = 171,            /* declspec_item  */
  YYSYMBOL_declspec_list = 172,            /* declspec_list  */
  YYSYMBOL_declspec_specifier = 173,       /* declspec_specifier  */
  YYSYMBOL_declaration_specifiers = 174,   /* declaration_specifiers  */
  YYSYMBOL_init_declarator_list = 175,     /* init_declarator_list  */
  YYSYMBOL_init_declarator = 176,          /* init_declarator  */
  YYSYMBOL_storage_class_specifier = 177,  /* storage_class_specifier  */
  YYSYMBOL_type_specifier = 178,           /* type_specifier  */
  YYSYMBOL_type_specifier_list = 179,      /* type_specifier_list  */
  YYSYMBOL_atomic_var_type_specifier = 180, /* atomic_var_type_specifier  */
  YYSYMBOL_short_vec_specifier = 181,      /* short_vec_specifier  */
  YYSYMBOL_struct_or_union_name = 182,     /* struct_or_union_name  */
  YYSYMBOL_struct_or_union_and_name = 183, /* struct_or_union_and_name  */
  YYSYMBOL_struct_or_union_specifier = 184, /* struct_or_union_specifier  */
  YYSYMBOL_struct_or_union = 185,          /* struct_or_union  */
  YYSYMBOL_struct_declaration_list = 186,  /* struct_declaration_list  */
  YYSYMBOL_struct_declaration = 187,       /* struct_declaration  */
  YYSYMBOL_specifier_qualifier_list = 188, /* specifier_qualifier_list  */
  YYSYMBOL_struct_declarator_list = 189,   /* struct_declarator_list  */
  YYSYMBOL_struct_declarator = 190,        /* struct_declarator  */
  YYSYMBOL_enum_identifier = 191,          /* enum_identifier  */
  YYSYMBOL_enum_specifier = 192,           /* enum_specifier  */
  YYSYMBOL_enumerator_list = 193,          /* enumerator_list  */
  YYSYMBOL_enumerator = 194,               /* enumerator  */
  YYSYMBOL_type_qualifier = 195,           /* type_qualifier  */
  YYSYMBOL_type_qualifier_list = 196,      /* type_qualifier_list  */
  YYSYMBOL_declarator = 197,               /* declarator  */
  YYSYMBOL_int_constant = 198,             /* int_constant  */
  YYSYMBOL_direct_declarator = 199,        /* direct_declarator  */
  YYSYMBOL_pointer = 200,                  /* pointer  */
  YYSYMBOL_reference = 201,                /* reference  */
  YYSYMBOL_parameter_type_list = 202,      /* parameter_type_list  */
  YYSYMBOL_parameter_list = 203,           /* parameter_list  */
  YYSYMBOL_parameter_declaration = 204,    /* parameter_declaration  */
  YYSYMBOL_type_name = 205,                /* type_name  */
  YYSYMBOL_abstract_declarator = 206,      /* abstract_declarator  */
  YYSYMBOL_direct_abstract_declarator = 207, /* direct_abstract_declarator  */
  YYSYMBOL_initializer = 208,              /* initializer  */
  YYSYMBOL_initializer_list = 209,         /* initializer_list  */
  YYSYMBOL_pragma = 210,                   /* pragma  */
  YYSYMBOL_attributed_statement = 211,     /* attributed_statement  */
  YYSYMBOL_statement = 212,                /* statement  */
  YYSYMBOL_labeled_statement = 213,        /* labeled_statement  */
  YYSYMBOL_start_scope = 214,              /* start_scope  */
  YYSYMBOL_end_scope = 215,                /* end_scope  */
  YYSYMBOL_compound_statement = 216,       /* compound_statement  */
  YYSYMBOL_statement_list = 217,           /* statement_list  */
  YYSYMBOL_expression_statement = 218,     /* expression_statement  */
  YYSYMBOL_selection_statement = 219,      /* selection_statement  */
  YYSYMBOL_for_test = 220,                 /* for_test  */
  YYSYMBOL_for_init_statement = 221,       /* for_init_statement  */
  YYSYMBOL_for_scope = 222,                /* for_scope  */
  YYSYMBOL_cfor_scope = 223,               /* cfor_scope  */
  YYSYMBOL_foreach_scope = 224,            /* foreach_scope  */
  YYSYMBOL_foreach_tiled_scope = 225,      /* foreach_tiled_scope  */
  YYSYMBOL_foreach_identifier = 226,       /* foreach_identifier  */
  YYSYMBOL_foreach_active_scope = 227,     /* foreach_active_scope  */
  YYSYMBOL_foreach_active_identifier = 228, /* foreach_active_identifier  */
  YYSYMBOL_integer_dotdotdot = 229,        /* integer_dotdotdot  */
  YYSYMBOL_foreach_dimension_specifier = 230, /* foreach_dimension_specifier  */
  YYSYMBOL_foreach_dimension_list = 231,   /* foreach_dimension_list  */
  YYSYMBOL_foreach_unique_scope = 232,     /* foreach_unique_scope  */
  YYSYMBOL_foreach_unique_identifier = 233, /* foreach_unique_identifier  */
  YYSYMBOL_iteration_statement = 234,      /* iteration_statement  */
  YYSYMBOL_235_1 = 235,                    /* $@1  */
  YYSYMBOL_236_2 = 236,                    /* $@2  */
  YYSYMBOL_237_3 = 237,                    /* $@3  */
  YYSYMBOL_238_4 = 238,                    /* $@4  */
  YYSYMBOL_goto_identifier = 239,          /* goto_identifier  */
  YYSYMBOL_jump_statement = 240,           /* jump_statement  */
  YYSYMBOL_sync_statement = 241,           /* sync_statement  */
  YYSYMBOL_delete_statement = 242,         /* delete_statement  */
  YYSYMBOL_unmasked_statement = 243,       /* unmasked_statement  */
  YYSYMBOL_print_statement = 244,          /* print_statement  */
  YYSYMBOL_assert_statement = 245,         /* assert_statement  */
  YYSYMBOL_translation_unit = 246,         /* translation_unit  */
  YYSYMBOL_external_declaration = 247,     /* external_declaration  */
  YYSYMBOL_function_definition = 248,      /* function_definition  */
  YYSYMBOL_249_5 = 249,                    /* $@5  */
  YYSYMBOL_template_type_parameter = 250,  /* template_type_parameter  */
  YYSYMBOL_int_constant_type = 251,        /* int_constant_type  */
  YYSYMBOL_template_int_constant_type = 252, /* template_int_constant_type  */
  YYSYMBOL_template_int_parameter = 253,   /* template_int_parameter  */
  YYSYMBOL_template_enum_parameter = 254,  /* template_enum_parameter  */
  YYSYMBOL_template_parameter = 255,       /* template_parameter  */
  YYSYMBOL_template_parameter_list = 256,  /* template_parameter_list  */
  YYSYMBOL_template_head = 257,            /* template_head  */
  YYSYMBOL_template_declaration = 258,     /* template_declaration  */
  YYSYMBOL_259_6 = 259,                    /* $@6  */
  YYSYMBOL_template_function_declaration_or_definition = 260, /* template_function_declaration_or_definition  */
  YYSYMBOL_template_argument = 261,        /* template_argument  */
  YYSYMBOL_template_argument_list = 262,   /* template_argument_list  */
  YYSYMBOL_template_identifier = 263,      /* template_identifier  */
  YYSYMBOL_simple_template_id = 264,       /* simple_template_id  */
  YYSYMBOL_template_function_instantiation = 265, /* template_function_instantiation  */
  YYSYMBOL_template_function_specialization_declaration = 266, /* template_function_specialization_declaration  */
  YYSYMBOL_template_function_specialization = 267 /* template_function_specialization  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  94
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4734

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  139
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  129
/* YYNRULES -- Number of rules.  */
#define YYNRULES  418
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  773

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   369


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   128,     2,     2,     2,   130,   123,     2,
     115,   116,   124,   125,   119,   126,   122,   129,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   134,   136,
     120,   135,   121,   133,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   117,     2,   118,   131,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   137,   132,   138,   127,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   291,   291,   296,   309,   329,   333,   337,   341,   345,
     349,   353,   357,   361,   370,   375,   380,   383,   386,   391,
     392,   396,   402,   409,   415,   422,   428,   434,   440,   447,
     452,   457,   462,   469,   475,   481,   487,   496,   500,   504,
     509,   510,   512,   514,   515,   522,   527,   532,   539,   544,
     549,   551,   556,   563,   579,   580,   582,   584,   586,   606,
     626,   636,   637,   651,   652,   653,   654,   656,   658,   660,
     662,   664,   666,   668,   670,   672,   674,   681,   682,   689,
     690,   692,   694,   699,   700,   702,   707,   708,   710,   715,
     716,   718,   720,   722,   727,   728,   730,   735,   736,   741,
     742,   747,   748,   753,   754,   759,   760,   765,   766,   771,
     772,   773,   777,   778,   789,   800,   824,   825,   829,   833,
     840,   841,   843,   845,   847,   849,   851,   853,   855,   857,
     859,   861,   866,   867,   872,   876,   902,   906,   916,   921,
     932,   939,   951,   959,   963,   977,   986,   999,  1005,  1016,
    1020,  1026,  1044,  1048,  1058,  1065,  1079,  1080,  1089,  1090,
    1091,  1092,  1093,  1097,  1098,  1104,  1105,  1109,  1120,  1131,
    1132,  1133,  1134,  1135,  1136,  1137,  1138,  1139,  1140,  1141,
    1142,  1143,  1147,  1154,  1159,  1167,  1191,  1192,  1214,  1230,
    1238,  1255,  1259,  1266,  1280,  1285,  1286,  1287,  1288,  1374,
    1381,  1395,  1403,  1411,  1417,  1426,  1432,  1441,  1466,  1476,
    1490,  1496,  1515,  1516,  1517,  1518,  1519,  1520,  1521,  1522,
    1523,  1524,  1525,  1526,  1530,  1534,  1541,  1553,  1565,  1569,
    1570,  1571,  1572,  1576,  1585,  1592,  1596,  1614,  1625,  1629,
    1644,  1654,  1662,  1666,  1672,  1678,  1689,  1697,  1701,  1708,
    1717,  1725,  1729,  1738,  1745,  1762,  1763,  1775,  1779,  1780,
    1790,  1794,  1807,  1809,  1815,  1832,  1843,  1861,  1863,  1873,
    1883,  1901,  1902,  1903,  1907,  1909,  1923,  1930,  1940,  1944,
    1945,  1946,  1947,  1948,  1949,  1950,  1951,  1952,  1953,  1954,
    1955,  1956,  1964,  1970,  1980,  1985,  1989,  1993,  1994,  1998,
    2004,  2017,  2018,  2022,  2024,  2026,  2028,  2030,  2035,  2037,
    2042,  2043,  2047,  2051,  2055,  2059,  2063,  2071,  2075,  2083,
    2087,  2091,  2095,  2102,  2106,  2113,  2118,  2132,  2136,  2144,
    2146,  2148,  2150,  2152,  2156,  2160,  2164,  2169,  2168,  2204,
    2203,  2240,  2239,  2251,  2249,  2273,  2281,  2287,  2289,  2291,
    2293,  2298,  2303,  2310,  2317,  2323,  2332,  2341,  2342,  2343,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,  2358,  2364,  2369,
    2368,  2406,  2411,  2421,  2422,  2423,  2424,  2425,  2426,  2427,
    2428,  2432,  2433,  2437,  2442,  2452,  2465,  2471,  2477,  2486,
    2494,  2509,  2517,  2516,  2543,  2550,  2566,  2573,  2577,  2581,
    2585,  2589,  2593,  2597,  2601,  2606,  2621,  2630,  2641,  2649,
    2661,  2678,  2704,  2725,  2735,  2757,  2771,  2781,  2790
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "TOKEN_INT8_CONSTANT",
  "TOKEN_UINT8_CONSTANT", "TOKEN_INT16_CONSTANT", "TOKEN_UINT16_CONSTANT",
  "TOKEN_INT32_CONSTANT", "TOKEN_UINT32_CONSTANT", "TOKEN_INT64_CONSTANT",
  "TOKEN_UINT64_CONSTANT", "TOKEN_INT32DOTDOTDOT_CONSTANT",
  "TOKEN_UINT32DOTDOTDOT_CONSTANT", "TOKEN_INT64DOTDOTDOT_CONSTANT",
  "TOKEN_UINT64DOTDOTDOT_CONSTANT", "TOKEN_FLOAT16_CONSTANT",
  "TOKEN_FLOAT_CONSTANT", "TOKEN_DOUBLE_CONSTANT",
  "TOKEN_STRING_C_LITERAL", "TOKEN_STRING_SYCL_LITERAL",
  "TOKEN_IDENTIFIER", "TOKEN_STRING_LITERAL", "TOKEN_TYPE_NAME",
  "TOKEN_PRAGMA", "TOKEN_NULL", "TOKEN_TEMPLATE_NAME", "TOKEN_TEMPLATE",
  "TOKEN_TYPENAME", "TOKEN_PTR_OP", "TOKEN_INC_OP", "TOKEN_DEC_OP",
  "TOKEN_LEFT_OP", "TOKEN_RIGHT_OP", "TOKEN_LE_OP", "TOKEN_GE_OP",
  "TOKEN_EQ_OP", "TOKEN_NE_OP", "TOKEN_AND_OP", "TOKEN_OR_OP",
  "TOKEN_MUL_ASSIGN", "TOKEN_DIV_ASSIGN", "TOKEN_MOD_ASSIGN",
  "TOKEN_ADD_ASSIGN", "TOKEN_SUB_ASSIGN", "TOKEN_LEFT_ASSIGN",
  "TOKEN_RIGHT_ASSIGN", "TOKEN_AND_ASSIGN", "TOKEN_OR_ASSIGN",
  "TOKEN_XOR_ASSIGN", "TOKEN_SIZEOF", "TOKEN_NEW", "TOKEN_DELETE",
  "TOKEN_IN", "TOKEN_ALLOCA", "TOKEN_INTRINSIC_CALL", "TOKEN_EXTERN",
  "TOKEN_EXPORT", "TOKEN_STATIC", "TOKEN_INLINE", "TOKEN_NOINLINE",
  "TOKEN_VECTORCALL", "TOKEN_REGCALL", "TOKEN_TASK", "TOKEN_DECLSPEC",
  "TOKEN_UNIFORM", "TOKEN_VARYING", "TOKEN_TYPEDEF", "TOKEN_SOA",
  "TOKEN_UNMASKED", "TOKEN_INT", "TOKEN_SIGNED", "TOKEN_UNSIGNED",
  "TOKEN_FLOAT16", "TOKEN_FLOAT", "TOKEN_DOUBLE", "TOKEN_INT8",
  "TOKEN_INT16", "TOKEN_INT64", "TOKEN_CONST", "TOKEN_VOID", "TOKEN_BOOL",
  "TOKEN_UINT8", "TOKEN_UINT16", "TOKEN_UINT", "TOKEN_UINT64",
  "TOKEN_ENUM", "TOKEN_STRUCT", "TOKEN_TRUE", "TOKEN_FALSE", "TOKEN_CASE",
  "TOKEN_DEFAULT", "TOKEN_IF", "TOKEN_ELSE", "TOKEN_SWITCH", "TOKEN_WHILE",
  "TOKEN_DO", "TOKEN_LAUNCH", "TOKEN_FOREACH", "TOKEN_FOREACH_TILED",
  "TOKEN_FOREACH_UNIQUE", "TOKEN_FOREACH_ACTIVE", "TOKEN_DOTDOTDOT",
  "TOKEN_FOR", "TOKEN_GOTO", "TOKEN_CONTINUE", "TOKEN_BREAK",
  "TOKEN_RETURN", "TOKEN_CIF", "TOKEN_CDO", "TOKEN_CFOR", "TOKEN_CWHILE",
  "TOKEN_SYNC", "TOKEN_PRINT", "TOKEN_ASSERT", "TOKEN_INVOKE_SYCL", "'('",
  "')'", "'['", "']'", "','", "'<'", "'>'", "'.'", "'&'", "'*'", "'+'",
  "'-'", "'~'", "'!'", "'/'", "'%'", "'^'", "'|'", "'?'", "':'", "'='",
  "';'", "'{'", "'}'", "$accept", "string_constant", "primary_expression",
  "launch_expression", "invoke_sycl_expression", "postfix_expression",
  "intrinsic_name", "intrincall_expression", "funcall_expression",
  "argument_expression_list", "unary_expression", "cast_expression",
  "multiplicative_expression", "additive_expression", "shift_expression",
  "relational_expression", "equality_expression", "and_expression",
  "exclusive_or_expression", "inclusive_or_expression",
  "logical_and_expression", "logical_or_expression",
  "conditional_expression", "rate_qualified_new",
  "rate_qualified_type_specifier", "new_expression",
  "assignment_expression", "expression", "constant_expression",
  "declaration_statement", "declaration", "soa_width_specifier",
  "declspec_item", "declspec_list", "declspec_specifier",
  "declaration_specifiers", "init_declarator_list", "init_declarator",
  "storage_class_specifier", "type_specifier", "type_specifier_list",
  "atomic_var_type_specifier", "short_vec_specifier",
  "struct_or_union_name", "struct_or_union_and_name",
  "struct_or_union_specifier", "struct_or_union",
  "struct_declaration_list", "struct_declaration",
  "specifier_qualifier_list", "struct_declarator_list",
  "struct_declarator", "enum_identifier", "enum_specifier",
  "enumerator_list", "enumerator", "type_qualifier", "type_qualifier_list",
  "declarator", "int_constant", "direct_declarator", "pointer",
  "reference", "parameter_type_list", "parameter_list",
  "parameter_declaration", "type_name", "abstract_declarator",
  "direct_abstract_declarator", "initializer", "initializer_list",
  "pragma", "attributed_statement", "statement", "labeled_statement",
  "start_scope", "end_scope", "compound_statement", "statement_list",
  "expression_statement", "selection_statement", "for_test",
  "for_init_statement", "for_scope", "cfor_scope", "foreach_scope",
  "foreach_tiled_scope", "foreach_identifier", "foreach_active_scope",
  "foreach_active_identifier", "integer_dotdotdot",
  "foreach_dimension_specifier", "foreach_dimension_list",
  "foreach_unique_scope", "foreach_unique_identifier",
  "iteration_statement", "$@1", "$@2", "$@3", "$@4", "goto_identifier",
  "jump_statement", "sync_statement", "delete_statement",
  "unmasked_statement", "print_statement", "assert_statement",
  "translation_unit", "external_declaration", "function_definition", "$@5",
  "template_type_parameter", "int_constant_type",
  "template_int_constant_type", "template_int_parameter",
  "template_enum_parameter", "template_parameter",
  "template_parameter_list", "template_head", "template_declaration",
  "$@6", "template_function_declaration_or_definition",
  "template_argument", "template_argument_list", "template_identifier",
  "simple_template_id", "template_function_instantiation",
  "template_function_specialization_declaration",
  "template_function_specialization", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-395)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-370)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
    1102,  -112,  -395,  4549,   105,   -99,  -395,  -395,  -395,  -395,
    -395,  -395,   -63,  -395,  -395,  -395,   -78,  -395,  -395,  -395,
    -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,
    -395,  -395,  -395,  -395,    -5,  -395,  -395,  -395,  4648,  4648,
      35,  4648,  4581,  -395,   -76,  -395,     7,  -395,  4648,  1016,
    -395,  -395,  -395,     9,  -395,  -395,   128,  -395,  -395,   288,
    -395,   309,    49,   -56,   -47,   721,    74,   243,  -395,   132,
      55,  -395,  -395,  -395,  -395,    71,  -395,   985,  -395,   -82,
    -395,   -22,    86,    11,    11,  -395,   243,  -395,  4037,  -395,
    -395,  4068,  -395,  -395,  -395,  -395,  4648,  -395,    67,   900,
    -395,  -395,  -395,  -395,  -395,   145,   223,   335,  -395,  -395,
    -395,  -395,  -395,  -395,  -395,  -395,  4648,  -395,  -395,   239,
    -395,  -395,  -395,   251,  -395,   157,   167,  4648,  4648,  -395,
     -80,  -395,  -395,    56,  -395,  -395,  -395,  -395,   151,   193,
     -74,  -395,   132,   217,  -395,   985,  -395,    71,  -395,  1238,
     207,  4226,  2324,    86,    86,   244,  -395,  4181,   236,  -395,
    4109,  -395,    71,  4181,  -395,  4140,    71,  -395,   252,  -395,
    -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,
     263,  -395,  -395,  3627,  3627,  3753,  -395,  3397,   300,  -395,
     378,   404,   320,  -395,  -395,  3805,   353,   374,   388,   394,
     900,  1865,  -395,  -395,  -395,  -395,  -395,   481,   417,   418,
    1498,   432,   900,  -395,   445,   427,   449,   451,   452,  1684,
    3627,  3627,  3805,  3805,  3805,  3805,  -395,  -395,  -395,  -395,
     168,   453,  -395,  -395,   437,  -395,   -27,   257,   376,     0,
     403,   446,   439,   441,   537,    -6,  -395,  1263,  -395,  -395,
     -73,  -395,  -395,    35,   900,  -395,  -395,  -395,  -395,   624,
    -395,  -395,   460,   462,   463,   468,   473,   475,  -395,   457,
    -395,  -395,  -395,  -395,  -395,  -395,   478,  -395,   461,  -395,
      49,   466,   857,  -395,  4512,  4312,   459,   469,   721,   474,
    -395,    74,  -395,  3805,    -7,  -395,   -72,  -395,  -395,  -395,
    -395,   471,  -395,   378,   404,  1238,  -395,  -395,  -395,    60,
    -395,    87,   486,   485,  -395,   495,  -395,  -395,  -395,   499,
    -395,  -395,   243,  -395,  -395,   -57,  -395,  -395,  -395,  -395,
    -395,  -395,  2068,  -395,  -395,  1684,  -395,   -30,  3397,  -395,
    -395,   900,   484,   900,  3397,  3397,  3397,   518,  3397,  3345,
     329,  -395,   487,  -395,  -395,  -395,    15,  3397,   527,  3397,
    -395,   601,   601,  2015,   508,   142,    91,   510,  -395,  -395,
    -395,  -395,  -395,  -395,   204,  -395,  -395,  1812,  2196,   205,
    3397,  3397,  3397,  3397,  3397,  3397,  3397,  3397,  3397,  3397,
    3397,  3397,  3805,  3805,  3805,  3805,  3805,  3805,  3805,  3805,
    3805,  3805,  3805,  3805,  3805,  3805,  3805,  3805,  3805,  3805,
    3397,   721,   721,   272,   721,  -395,  3397,  -395,  -395,  -395,
    -395,  -395,  1364,  1364,   615,   615,   618,   622,   900,  1940,
     721,   530,   243,  -395,  -395,  -395,  -395,  -395,  -395,  -395,
    -395,  -395,  -395,  -395,  -395,   349,   144,   514,   535,  -395,
    -395,  -395,  -395,  -395,  -395,  -395,  -395,     5,  -395,  -395,
     -71,  -395,  -395,  3882,  3449,   517,    45,    45,  -395,   357,
    -395,  4648,  -395,  -395,   534,    71,  -395,   540,  -395,   541,
     762,   900,  -395,   154,   160,   165,   543,   402,   338,  2502,
    -395,  -395,   170,   544,   172,  -395,    38,    -2,   545,   152,
    -395,  -395,  3968,   400,   400,  -395,  3805,  -395,  -395,  -395,
     546,  -395,   176,  -395,   542,   408,  -395,  -395,  -395,   177,
    -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  -395,
    -395,  -395,  -395,  -395,   -27,   -27,   257,   257,   376,   376,
     376,   376,     0,     0,   403,   446,   439,   441,   537,   -26,
    -395,  -395,  1238,  3397,  -395,  -395,  -395,  -395,  1550,  1550,
    -395,   528,  -395,   178,   182,  -395,   548,  -395,   613,  -395,
     550,  -395,   186,  -395,  4398,  -395,  4512,  -395,   531,  -395,
     532,  -395,  1186,  -395,   551,  -395,   553,   555,  -395,   554,
    1238,   357,   357,  4484,  3575,  -395,  -395,  -395,  -395,  -395,
    -395,  -395,   900,   900,   900,  3397,  1993,  3397,  2555,  -395,
     211,   900,  3397,   900,  -395,   580,  3397,  3397,  -395,  -395,
    3397,  -395,  -395,  -395,  3397,  -395,  -395,  -395,  3805,   213,
     411,  -395,    51,  2681,  2734,  2376,  -395,   615,  -395,  -395,
    3397,  -395,  -395,   218,  -395,   560,  -395,  -395,  -395,  -395,
    -395,  -395,  -395,  -395,  -395,  -395,   609,  -395,   623,   648,
    -395,  -395,   226,  3397,  3345,   433,   414,   621,   227,  -395,
     652,   234,  -395,  -395,   235,   245,   255,  -395,  -395,  -395,
    1238,  -395,  -395,   900,   283,   900,   304,  -395,  -395,  -395,
    -395,   644,  3397,   900,  -395,   900,   900,   305,  -395,  -395,
    -395,  -395,   900,   610,   635,   464,  2860,  3345,  3397,  -395,
     633,   900,   619,   620,   628,  -395,  -395,   900,  -395,   900,
    3397,  -395,  -395,  -395,  -395,  -395,  -395,  -395,  2142,  2913,
    -395,   313,   467,   639,  -395,  -395,  -395,  -395,  -395,  -395,
    -395,  -395,   900,  3397,   470,   637,   324,  -395,  3039,  3345,
    -395,   641,  3092,  -395,   653,  -395,   333,   483,  3345,  -395,
     350,  -395,  -395,  3218,   494,  -395,  -395,   372,  3271,  -395,
    -395,   386,  -395
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       0,     0,   164,     0,   159,   217,   162,   218,   219,   220,
     221,   215,     0,   213,   214,   158,     0,   216,   175,   222,
     223,   177,   178,   179,   171,   173,   180,   212,   169,   170,
     172,   174,   176,   181,     0,   191,   368,   367,   147,   145,
       0,   143,   149,   163,   186,   165,     0,   166,   152,     0,
     357,   360,   392,     0,   361,   363,     0,   362,   359,   159,
     217,     0,     0,   160,   161,     0,     0,     0,   202,     0,
     207,   148,   146,   233,   234,     0,   246,   242,   136,     0,
     154,   156,   228,     0,     0,   144,     0,   151,     0,   183,
     184,     0,   185,   153,     1,   358,     0,   394,   295,     0,
     395,   417,   418,   160,   161,     0,     0,     0,   375,   373,
     374,   376,   377,   378,   379,   380,     0,   386,   382,     0,
     387,   388,   389,     0,   408,   410,     0,     0,     0,   167,
       0,   139,   140,     0,   229,   230,   231,   232,     0,   210,
       0,   208,     0,     0,   224,   243,   244,     0,   137,     0,
       0,     0,     0,   226,   227,     0,   190,   196,   163,   197,
       0,   192,     0,     0,   189,     0,     0,   297,     0,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
       4,   276,    18,     0,     0,     0,   109,     0,     0,    52,
     213,   214,   216,    16,    17,     0,     0,     0,     0,     0,
       0,     0,   314,   315,   327,   317,   312,     0,     0,     0,
       0,     0,     0,   313,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   301,    40,    43,    65,
      54,     0,    64,    63,    77,    79,    83,    86,    89,    94,
      97,    99,   101,   103,   105,   107,   116,     0,   120,   132,
       0,   285,   135,     0,     0,   299,   278,   279,   280,     0,
     281,   282,     0,     0,     0,     0,     0,     0,   283,     0,
     284,   288,   289,   290,   286,   287,     0,   385,   371,   381,
       0,   383,     0,   391,     0,     0,     0,     0,     0,     0,
     142,     0,   138,     0,     0,   203,     0,   235,   225,   245,
     155,   156,     4,     0,     0,     0,   271,   157,   370,     0,
     240,   254,     0,   247,   248,     0,   237,    77,   134,     0,
     150,   195,     0,   187,   193,     0,   199,   201,   198,   188,
     393,   291,     0,    66,    67,     0,    74,     0,     0,   110,
     111,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   345,     0,   347,   348,   349,     0,     0,     0,     0,
     351,     0,     0,     0,     0,     0,   255,     0,    68,    69,
      70,    71,    72,    73,     0,    50,    51,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   117,     0,   112,     0,   302,   277,   296,
     300,   298,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   390,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   396,   406,     0,     0,     0,     0,   364,
     365,   168,   366,   141,   211,   205,   209,     0,   204,   274,
       0,   241,   250,     0,     0,   251,   257,   260,   253,   258,
     239,     0,   238,   236,     0,     0,   194,     0,   352,     0,
       0,     0,   294,     0,     0,     0,     0,     0,     0,     0,
     346,   350,     0,     0,     0,     2,     0,     0,     0,     0,
      20,    19,     0,   257,   260,   256,     0,    47,    48,    49,
       0,    55,     0,    61,     0,     0,    44,    45,    46,     0,
     122,   123,   124,   125,   126,   127,   128,   129,   131,   130,
     121,    80,    81,    82,    84,    85,    87,    88,    92,    93,
      90,    91,    95,    96,    98,   100,   102,   104,   106,     0,
     113,   114,     0,     0,   115,   133,   311,   310,     0,     0,
     316,     0,   325,     0,     0,   318,     0,   328,     0,   292,
       0,    58,     0,   372,     0,   384,     0,   409,     0,   412,
       0,   206,     0,   272,     0,   267,     0,     0,   263,     0,
       0,   259,   261,     0,     0,   249,   182,   200,    75,    76,
     353,   293,     0,     0,     0,     0,     0,     0,     0,    22,
       0,     0,     0,     0,     3,     0,     0,     0,    39,    37,
       0,    78,    57,    56,     0,    42,    41,    53,     0,     0,
       0,   308,     0,     0,     0,     0,   337,     0,   339,   341,
       0,    60,    59,     0,   415,     0,   407,   413,   411,   273,
     275,   268,   262,   264,   252,   269,     0,   265,     0,   303,
     307,   329,     0,     0,     0,     0,     0,     0,     0,    21,
     305,     0,   330,   354,     0,     0,     0,    62,   108,   118,
       0,   119,   309,     0,     0,     0,     0,   319,   320,   321,
     322,     0,     0,     0,   326,     0,     0,     0,   416,   414,
     270,   266,     0,     0,     0,     0,     0,     0,     0,    34,
       0,     0,     0,     0,     0,    38,   333,     0,   335,     0,
       0,   324,   338,   340,   342,   343,   304,   331,     0,     0,
      24,     0,     0,     0,    33,   306,   332,   355,   356,   334,
     336,   323,     0,     0,     0,     0,     0,    23,     0,     0,
     344,     0,     0,    36,     0,    26,     0,     0,     0,    28,
       0,    35,    25,     0,     0,    27,    30,     0,     0,    29,
      32,     0,    31
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -395,   413,  -395,  -395,  -395,  -200,  -395,  -395,  -395,  -354,
     -84,  -137,    52,   139,  -183,   135,   368,   370,   373,   375,
     379,  -395,  -138,  -395,   552,  -395,  -149,     3,  -189,   123,
      20,  -235,   490,  -395,  -395,     2,  -395,   642,  -395,   -35,
    -395,     4,  -395,  -395,  -395,  -395,  -395,   717,    18,  -135,
    -395,   334,   776,  -395,   672,  -283,    28,  -395,   -33,   -77,
     -66,   -67,  -295,  -143,  -395,   383,   547,  -290,  -394,  -145,
     311,  -395,  -177,  -395,  -395,  -395,  -395,    27,   539,   129,
    -395,   319,   458,  -395,  -395,  -395,  -395,  -395,  -395,  -395,
    -395,   246,   472,  -395,  -395,  -395,  -395,  -395,  -395,  -395,
     684,  -395,  -395,  -395,  -395,  -395,  -395,  -395,   843,  -395,
    -395,  -395,   786,  -395,  -395,  -395,   612,  -395,  -395,  -395,
    -395,  -395,   326,  -395,  -395,   -59,  -395,  -395,  -395
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,   496,   227,   228,   229,   230,   231,   232,   233,   512,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   443,   248,   249,   250,   319,   251,
     252,    38,   132,   133,    39,   253,    79,    80,    41,    42,
     130,    43,   159,    92,    44,    45,    46,   160,   161,   162,
     325,   326,   139,    47,   140,   141,    48,   145,   143,   138,
      82,    83,    84,   586,   313,   314,   367,   587,   469,   459,
     460,   254,   255,   256,   257,    99,   421,   258,   259,   260,
     261,   633,   558,   262,   263,   264,   265,   561,   266,   566,
     692,   562,   563,   267,   568,   268,   693,   695,   696,   742,
     269,   270,   271,   272,   273,   274,   275,    49,    50,    51,
     150,   117,   118,   119,   120,   121,   122,   123,    52,    53,
      96,    54,   444,   445,   125,   276,    55,    56,    57
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     306,   350,    40,   126,   307,    62,   342,    81,   312,   155,
     146,   456,   414,    68,   318,    68,   467,   153,   154,   614,
      37,   468,   321,   347,    58,    68,   519,    89,   328,    90,
     129,    73,   409,   399,   400,   358,    74,   147,    65,   288,
      71,    72,    67,    85,    87,   294,   416,   457,   582,   414,
      93,    40,    66,   157,   148,    73,   157,   318,   289,   614,
      74,    88,   475,   417,   295,    73,   458,   583,   317,    37,
      74,   504,   591,   592,   124,   572,   505,   418,   299,   476,
     100,   127,   420,   102,   366,   370,   371,   372,   373,   416,
     128,    73,   158,   416,   131,   158,    74,   392,   166,   333,
     334,   336,   393,   394,   454,   144,   478,    73,   628,   591,
     592,   317,    74,   149,   301,  -369,   163,   617,   280,   163,
     401,   402,   157,    63,    64,   157,    75,   410,   157,   327,
     157,   455,    69,   330,   416,   610,   368,   369,   317,   317,
     317,   317,   448,   581,    91,    97,    98,   286,   287,   488,
      75,   491,    68,   311,   615,   318,   306,   616,    76,    77,
     463,   158,   464,   499,   158,   277,   482,   158,   467,   158,
     416,    78,   290,   298,   456,   291,   461,   308,   324,   462,
     374,   375,   376,   324,   157,   163,    75,   682,   163,   479,
     337,   163,   142,   163,    76,    77,   374,   375,   376,   487,
     366,   151,   463,   152,   464,   167,   502,   504,   464,   317,
      76,    77,   415,   356,    76,    77,   538,   539,   540,   541,
     301,   431,   365,   158,   507,   516,   508,   517,   513,   509,
     518,   513,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   278,   466,   474,   134,   163,   135,   415,
     136,   569,   137,   451,   668,   531,   532,   533,   501,   281,
     578,   416,   674,   462,   101,    98,   676,   555,   619,   378,
     602,   620,   292,   416,   379,   589,   603,   284,   465,   416,
     513,   604,   285,   377,   416,   378,   611,   311,   613,   416,
     379,   416,   623,   627,   636,   624,   624,   637,   638,   503,
     157,   637,   642,   420,   601,   624,   103,   104,   317,   317,
     317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
     317,   317,   317,   317,   317,   317,   318,   669,   293,   679,
     624,   105,   680,   297,   698,   365,   106,   462,   365,   158,
     513,   414,   703,   710,    98,   416,   624,   483,   484,   485,
     712,   713,   731,   416,   624,   575,   322,   374,   375,   376,
     492,   714,   494,   163,   416,   320,   374,   375,   376,   621,
     282,   715,   283,   107,   624,   746,   550,   551,   108,   554,
     317,   515,   395,   396,   109,   110,   111,   552,   331,   553,
     112,   113,   114,   115,   756,   573,   466,  -345,   760,   717,
     153,   154,   416,   306,   108,   658,   665,   397,   398,   767,
     109,   110,   111,   549,   771,   338,   112,   113,   114,   115,
     719,   725,   317,   416,   416,   659,   660,   661,   339,   747,
     116,   645,   624,   306,   670,   503,   672,   650,   403,   404,
     754,   306,   327,   624,   489,   654,   378,   534,   535,   762,
     656,   379,   624,   608,   340,   378,   318,   341,   666,   513,
     379,   374,   375,   376,   705,   311,   765,   513,   576,   624,
     577,   513,   593,   311,   594,   677,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   691,   343,   769,   344,
     678,   624,   374,   375,   376,   374,   375,   376,   374,   375,
     376,   351,   772,   345,   311,   624,   716,   732,   718,   346,
     317,   374,   375,   376,   704,   502,   722,   464,   723,   724,
     606,   607,   374,   375,   376,   726,   626,   416,   744,   681,
     416,   306,   707,   708,   735,   650,   536,   537,   542,   543,
     739,   415,   740,   721,   317,   556,   556,   357,   706,   757,
     378,   557,   557,   353,   354,   379,   630,   513,   764,   733,
     359,   632,   632,   360,   361,   750,   362,   363,   380,   405,
     406,   741,   391,   407,   408,   422,   311,   423,   424,   729,
     513,   378,   748,   425,   378,   752,   379,   378,   426,   379,
     427,   428,   379,   429,   751,   311,   430,   449,   763,   513,
     378,   432,   470,   513,   471,   379,   149,   450,   662,   768,
     452,   378,   486,   472,   513,   671,   379,   473,   481,   513,
     675,   493,   495,   490,   500,   168,   506,   169,   170,   171,
     172,   173,   174,   175,   176,   560,   684,   686,   565,   177,
     178,   179,   567,   697,   180,   574,     2,   181,   182,   124,
     579,   580,   590,   183,   184,   596,   598,   599,   605,   612,
     625,   618,   622,   635,   639,   640,   641,   647,   648,   651,
     462,   652,   653,   185,   186,   187,   699,   188,   189,    59,
      60,     6,     7,     8,     9,    10,    11,    12,   190,   191,
      15,    16,   192,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,   193,   194,   195,   196,   197,   673,   198,   199,   200,
     201,   202,   203,   204,   205,   700,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     702,   701,   709,     2,   711,   720,   727,   220,   221,   222,
     223,   224,   225,   728,   734,   736,   737,   749,   753,   758,
     226,    98,   419,   168,   738,   169,   170,   171,   172,   173,
     174,   175,   176,   544,   761,   497,   545,   177,   178,   179,
     546,   453,   180,   547,     2,   181,   182,   124,   548,   300,
      18,   183,   184,    21,    22,    23,    24,    25,    26,   413,
      28,    29,    30,    31,    32,    33,    34,    35,   165,   597,
      70,   185,   186,   187,   296,   188,   189,    59,    60,     6,
       7,     8,     9,    10,    11,    12,   190,   191,    15,    16,
     192,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,   193,
     194,   195,   196,   197,   595,   198,   199,   200,   201,   202,
     203,   204,   205,   629,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   634,   105,
     480,   559,   477,   694,   106,   220,   221,   222,   223,   224,
     225,   352,    95,   279,   433,     0,     0,   564,   226,    98,
     600,   168,   646,   169,   170,   171,   172,   173,   174,   175,
     176,     0,     0,     0,     0,   177,   178,   179,     0,     0,
     180,   107,     2,   181,   182,   124,   108,     0,     0,   183,
     184,     0,   109,   110,   111,     0,     0,     0,   112,   113,
     114,   115,     0,     0,     0,     0,     0,     0,     0,   185,
     186,   187,     0,   188,   189,    59,    60,     6,     7,     8,
       9,    10,    11,    12,   190,   191,    15,    16,   192,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,   193,   194,   195,
     196,   197,     0,   198,   199,   200,   201,   202,   203,   204,
     205,     0,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    94,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,     0,
       0,     0,     0,     0,     0,     0,   226,    98,     2,     0,
       0,    60,     3,     7,     8,     9,    10,    11,     0,    13,
      14,     0,     0,    17,     0,    19,    20,     0,     0,     0,
       0,     0,     0,    27,     0,     0,     0,     0,     0,     0,
       0,     4,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     1,     0,     0,     0,     0,     0,    77,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     0,     0,     0,     3,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    36,     0,     0,     0,     0,     4,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,   169,
     170,   171,   172,   173,   174,   175,   176,     0,     0,     0,
       0,   177,   178,   179,     0,     0,   302,     0,     0,     0,
     182,   124,     0,     0,     0,   183,   184,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   185,   186,     0,    36,   188,
     189,   169,   170,   171,   172,   173,   174,   175,   176,     0,
     303,   304,     0,   177,   178,   179,     0,     0,   302,     0,
       0,     0,   182,   124,     0,     0,     0,   183,   184,     0,
       0,     0,     0,   193,   194,     0,     0,     0,     0,     0,
       0,     0,   201,     0,     0,     2,     0,   185,   186,     0,
       0,   188,   189,     0,     0,     0,     0,     0,     0,     0,
     218,   219,   303,   304,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,     0,     0,     0,     0,     0,
       0,     0,     0,   305,   649,   193,   194,   411,   412,     0,
      16,     0,    18,     0,   201,    21,    22,    23,    24,    25,
      26,     0,    28,    29,    30,    31,    32,    33,    34,    35,
       0,     0,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   169,   170,   171,
     172,   173,   174,   175,   176,   305,     0,     0,     0,   177,
     178,   179,     0,     0,   302,     0,     2,     0,   182,   124,
       0,     0,     0,   183,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   185,   186,     0,     0,   188,   189,    59,
      60,     6,     7,     8,     9,    10,    11,    12,   190,   191,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,   193,   194,     0,     0,     0,     0,     0,     0,     0,
     201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,     0,     0,     0,     0,     0,     0,     0,
     226,   169,   170,   171,   172,   173,   174,   175,   176,     0,
       0,     0,     0,   177,   178,   179,     0,     0,   302,     0,
       0,     0,   182,   124,     0,     0,     0,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,     0,
       0,   188,   189,   169,   170,   171,   172,   173,   174,   175,
     176,     0,   303,   304,     0,   177,   178,   179,     0,     0,
     302,     0,     0,     0,   182,   124,     0,     0,     0,   183,
     184,     0,     0,     0,     0,   193,   194,     0,     0,     0,
       0,     0,     0,     0,   201,     0,     0,     0,     0,   185,
     186,     0,     0,   188,   189,     0,     0,     0,     0,     0,
       0,     0,   218,   219,   303,   304,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,     0,     0,     0,
       0,     0,     0,     0,   355,     0,     0,   193,   194,     0,
       0,     0,     0,     0,     0,     0,   201,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,   219,     0,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,     0,
       0,     0,     0,     0,     0,   364,   631,   169,   170,   171,
     172,   173,   174,   175,   176,     0,     0,     0,     0,   177,
     178,   179,     0,     0,   302,     0,     2,     0,   182,   124,
       0,     0,     0,   183,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   185,   186,     0,     0,   188,   189,     0,
      60,     0,     7,     8,     9,    10,    11,     0,   190,   191,
       0,     0,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,   193,   194,     0,     0,     0,     0,     0,     0,     0,
     201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,   219,
       0,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   510,     0,   169,   170,   171,   172,   173,
     174,   175,   176,     0,     0,     0,     0,   177,   178,   179,
       0,     0,   302,     0,     0,     0,   182,   124,     0,     0,
       0,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,     0,     0,   188,   189,     0,   169,   170,
     171,   172,   173,   174,   175,   176,   303,   304,     0,     0,
     177,   178,   179,     0,     0,   302,     0,     0,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
     194,     0,     0,     0,     0,     0,     0,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,   219,   511,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   570,     0,   169,   170,   171,   172,   173,   174,   175,
     176,     0,   193,   194,     0,   177,   178,   179,     0,     0,
     302,   201,     0,     0,   182,   124,     0,     0,     0,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     332,     0,   348,     0,     0,   349,     0,     0,     0,   185,
     186,     0,     0,   188,   189,     0,   169,   170,   171,   172,
     173,   174,   175,   176,   303,   304,     0,     0,   177,   178,
     179,     0,     0,   302,     0,     0,   498,   182,   169,   170,
     171,   172,   173,   174,   175,   176,     0,   193,   194,     0,
     177,   178,   179,     0,     0,   302,   201,     0,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   218,   219,   571,     0,     0,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,   364,
       0,   169,   170,   171,   172,   173,   174,   175,   176,     0,
     193,   194,     0,   177,   178,   179,     0,     0,   302,   201,
       0,     0,   182,   124,     0,     0,     0,   183,   184,     0,
       0,     0,   193,   194,     0,     0,     0,     0,   332,     0,
     663,   201,     0,   664,     0,     0,     0,   185,   186,     0,
       0,   188,   189,     0,     0,     0,     0,     0,     0,     0,
     332,     0,   303,   304,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   169,   170,   171,   172,   173,
     174,   175,   176,     0,     0,   193,   194,   177,   178,   179,
       0,     0,   302,     0,   201,     0,   182,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   218,   219,     0,     0,     0,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,   514,     0,   169,
     170,   171,   172,   173,   174,   175,   176,     0,     0,     0,
       0,   177,   178,   179,     0,     0,   302,     0,     0,     0,
     182,   124,     0,     0,     0,   183,   184,     0,     0,   193,
     194,     0,     0,     0,     0,     0,     0,     0,   201,     0,
       0,     0,     0,     0,     0,   185,   186,     0,     0,   188,
     189,     0,     0,     0,     0,     0,     0,   332,     0,   743,
     303,   304,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   193,   194,     0,     0,     0,     0,     0,
       0,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   315,     0,   169,   170,   171,
     172,   173,   174,   175,   176,     0,     0,     0,     0,   177,
     178,   179,     0,     0,   302,     0,     0,     0,   182,   124,
       0,     0,     0,   183,   184,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   185,     0,     0,     0,   188,   189,   169,
     170,   171,   172,   173,   174,   175,   176,   687,   688,   689,
     690,   177,   178,   179,     0,     0,   302,     0,     0,     0,
     182,   124,     0,     0,     0,   183,   184,     0,     0,     0,
       0,   193,   194,     0,     0,     0,     0,     0,     0,     0,
     201,     0,     0,     0,     0,   185,   186,     0,     0,   188,
     189,     0,     0,     0,     0,     0,     0,     0,   218,   219,
     303,   304,   316,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   193,   194,     0,     0,     0,     0,     0,
       0,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     218,   219,     0,     0,     0,     0,     0,     0,     0,   220,
     221,   222,   223,   224,   225,   169,   170,   171,   172,   173,
     174,   175,   176,     0,     0,     0,     0,   177,   178,   179,
       0,     0,   302,     0,     0,     0,   182,   124,     0,     0,
       0,   183,   184,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   185,   186,     0,     0,   188,   189,     0,   169,   170,
     171,   172,   173,   174,   175,   176,   303,   304,     0,     0,
     177,   178,   179,     0,     0,   302,     0,     0,     0,   182,
     124,     0,     0,     0,   183,   184,     0,     0,     0,   193,
     194,     0,     0,     0,     0,     0,     0,     0,   201,     0,
       0,     0,     0,     0,   185,   186,     0,     0,   188,   189,
       0,     0,     0,     0,     0,     0,   218,   219,   609,   303,
     304,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   193,   194,     0,     0,     0,     0,     0,     0,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
     219,   667,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,   169,   170,   171,   172,   173,   174,
     175,   176,     0,     0,     0,     0,   177,   178,   179,     0,
       0,   302,     0,     0,     0,   182,   124,     0,     0,     0,
     183,   184,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     185,   186,     0,     0,   188,   189,     0,   169,   170,   171,
     172,   173,   174,   175,   176,   303,   304,     0,     0,   177,
     178,   179,     0,     0,   302,     0,     0,     0,   182,   124,
       0,     0,     0,   183,   184,     0,     0,     0,   193,   194,
       0,     0,     0,     0,     0,     0,     0,   201,     0,     0,
       0,     0,     0,   185,   186,     0,     0,   188,   189,     0,
       0,     0,     0,     0,     0,   218,   219,   683,   303,   304,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   193,   194,     0,     0,     0,     0,     0,     0,     0,
     201,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   218,   219,
     685,     0,     0,     0,     0,     0,     0,   220,   221,   222,
     223,   224,   225,   169,   170,   171,   172,   173,   174,   175,
     176,     0,     0,     0,     0,   177,   178,   179,     0,     0,
     302,     0,     0,     0,   182,   124,     0,     0,     0,   183,
     184,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   185,
     186,     0,     0,   188,   189,     0,   169,   170,   171,   172,
     173,   174,   175,   176,   303,   304,     0,     0,   177,   178,
     179,     0,     0,   302,     0,     0,     0,   182,   124,     0,
       0,     0,   183,   184,     0,     0,     0,   193,   194,     0,
       0,     0,     0,     0,     0,     0,   201,     0,     0,     0,
       0,     0,   185,   186,     0,     0,   188,   189,     0,     0,
       0,     0,     0,     0,   218,   219,   730,   303,   304,     0,
       0,     0,     0,   220,   221,   222,   223,   224,   225,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     193,   194,     0,     0,     0,     0,     0,     0,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   218,   219,   745,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,   169,   170,   171,   172,   173,   174,   175,   176,
       0,     0,     0,     0,   177,   178,   179,     0,     0,   302,
       0,     0,     0,   182,   124,     0,     0,     0,   183,   184,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   185,   186,
       0,     0,   188,   189,     0,   169,   170,   171,   172,   173,
     174,   175,   176,   303,   304,     0,     0,   177,   178,   179,
       0,     0,   302,     0,     0,     0,   182,   124,     0,     0,
       0,   183,   184,     0,     0,     0,   193,   194,     0,     0,
       0,     0,     0,     0,     0,   201,     0,     0,     0,     0,
       0,   185,   186,     0,     0,   188,   189,     0,     0,     0,
       0,     0,     0,   218,   219,   755,   303,   304,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   193,
     194,     0,     0,     0,     0,     0,     0,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,   219,   759,     0,
       0,     0,     0,     0,     0,   220,   221,   222,   223,   224,
     225,   169,   170,   171,   172,   173,   174,   175,   176,     0,
       0,     0,     0,   177,   178,   179,     0,     0,   302,     0,
       0,     0,   182,   124,     0,     0,     0,   183,   184,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   185,   186,     0,
       0,   188,   189,     0,   169,   170,   171,   172,   173,   174,
     175,   176,   303,   304,     0,     0,   177,   178,   179,     0,
       0,   302,     0,     0,     0,   182,   124,     0,     0,     0,
     183,   184,     0,     0,     0,   193,   194,     0,     0,     0,
       0,     0,     0,     0,   201,     0,     0,     0,     0,     0,
     185,   186,     0,     0,   188,   189,     0,     0,     0,     0,
       0,     0,   218,   219,   766,   303,   304,     0,     0,     0,
       0,   220,   221,   222,   223,   224,   225,     0,   169,   170,
     171,   172,   173,   174,   175,   176,     0,     0,   193,   194,
     177,   178,   179,     0,     0,   302,     0,   201,     0,   182,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   218,   219,   770,     0,     0,
       0,     0,     0,     0,   220,   221,   222,   223,   224,   225,
     169,   170,   171,   172,   173,   174,   175,   176,     0,     0,
       0,     0,   177,   178,   179,     0,     0,   302,     0,     0,
       0,   182,   124,     0,     0,     0,   183,   184,     0,     0,
       0,     0,   193,   194,     0,     0,     0,     0,     0,     0,
       0,   201,     0,     0,     0,     0,   185,   186,     0,     0,
     188,   189,   169,   170,   171,   172,   173,   174,   175,   176,
     332,   303,   304,     0,   177,   178,   179,     0,     0,   302,
       0,     0,     0,   182,   124,     0,     0,     0,   183,   184,
       0,     0,     0,     0,   193,   194,     0,     0,     0,     0,
       0,     0,     0,   201,     0,     0,     0,     0,   185,     0,
       0,     0,   188,   189,     0,     0,     0,     0,     0,     0,
       0,   218,   219,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   193,   194,     0,     0,
       0,     0,     0,     0,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   218,   219,     0,     0,   588,     0,     0,
       0,     0,   220,   221,   222,   223,   224,   225,   169,   170,
     171,   172,   173,   174,   175,   176,     0,     0,     0,     0,
     177,   178,   179,     0,     0,   302,     0,     0,     0,   182,
     124,     0,     0,     0,   183,   184,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   185,     0,     0,     0,   188,   189,
     169,   170,   171,   172,   173,   174,   175,   176,     0,     0,
       0,     0,   177,   178,   179,     0,     0,   302,     0,     0,
       0,   182,   124,     0,     0,     0,   183,   184,     0,     0,
       0,     0,   193,   194,     0,     0,     0,     0,     0,     0,
       0,   201,     0,     0,     0,     0,   185,     0,     0,     0,
     188,   189,     0,     0,     0,     0,     0,     0,     0,   218,
     219,     0,     0,   657,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   193,   194,     0,     0,     0,     0,
       0,     0,     0,   201,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   218,   332,     0,     0,     0,     0,     0,     0,     0,
     220,   221,   222,   223,   224,   225,   169,   170,   171,   172,
     173,   174,   175,   176,     0,     0,     0,     0,   177,   178,
     179,     0,     0,   302,     0,     0,     0,   182,   124,     0,
       0,     0,   183,   184,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   185,     0,     0,     0,   188,   189,   169,   170,
     171,   172,   173,   174,   175,   176,     0,     0,     0,     0,
     177,   178,   179,     0,     0,   302,     0,     0,     0,   182,
     124,     0,     0,     0,   183,   184,     0,     0,     0,     0,
     193,   194,     0,     0,     0,     0,     0,     0,     0,   201,
       0,     0,     0,     0,   185,     0,     0,     0,   188,   189,
       0,     0,     0,     0,     0,     0,     0,   218,   335,     0,
       0,     0,     0,     0,     0,     0,   220,   221,   222,   223,
     224,   225,     0,   584,     0,     0,     0,     0,     0,     0,
       0,     0,   193,   194,     0,     0,     0,     0,     0,     0,
       0,   201,    73,     0,     2,     0,     0,    74,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   218,
     219,     0,     0,     0,     0,     0,     0,     0,   220,   221,
     222,   223,   224,   225,     0,     0,     0,    59,    60,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,   584,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     0,     0,     0,     0,     0,     0,   463,   585,   464,
       0,     0,     0,     0,     0,    76,    77,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    59,    60,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,     0,     2,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   502,   585,   464,     0,     0,     0,     0,
       2,    76,    77,    60,     0,     7,     8,     9,    10,    11,
       0,    13,    14,     0,     0,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    60,     0,     7,     8,     9,    10,
      11,     2,    13,    14,     0,     0,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,     0,     0,     0,     0,
       0,     0,     2,     0,     0,    60,     0,     7,     8,     9,
      10,    11,     0,    13,    14,   156,     0,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    60,     0,     7,     8,
       9,    10,    11,     2,    13,    14,   164,     0,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,   309,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    60,     0,     7,
       8,     9,    10,    11,     0,    13,    14,   323,     2,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   329,     0,
       0,    59,    60,     6,     7,     8,     9,    10,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,   446,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     2,     0,     0,     0,     0,     0,
       0,     0,   310,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    59,    60,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,   643,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     0,     0,     0,     0,     0,     0,     0,   447,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    59,    60,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,   584,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     2,     0,     0,     0,
       0,     0,     0,     0,   644,   434,   435,   436,   437,   438,
     439,   440,   441,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   442,     0,     2,     0,     0,     0,     0,    59,
      60,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,     2,     0,     0,     0,     0,   411,   412,     0,    16,
       0,    18,     0,     0,    21,    22,    23,    24,    25,    26,
       0,    28,    29,    30,    31,    32,    33,    34,    35,     0,
     655,     0,     0,     2,    59,    60,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    59,    60,     6,     7,
       8,     9,    10,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,    61,
       2,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    86,     0,    59,    60,     6,     7,     8,     9,    10,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35
};

static const yytype_int16 yycheck[] =
{
     149,   201,     0,    62,   149,     3,   195,    40,   151,    86,
      77,   294,   247,    20,   152,    20,   311,    83,    84,    21,
       0,   311,   157,   200,   136,    20,   380,    20,   163,    22,
      65,    20,    38,    33,    34,   212,    25,   119,   137,   119,
      38,    39,   120,    41,    42,   119,   119,   119,   119,   284,
      48,    49,   115,    88,   136,    20,    91,   195,   138,    21,
      25,   137,   119,   136,   138,    20,   138,   138,   152,    49,
      25,   366,   466,   467,    25,   429,   366,   254,   145,   136,
      53,   137,   259,    56,   219,   222,   223,   224,   225,   119,
     137,    20,    88,   119,    20,    91,    25,   124,    96,   183,
     184,   185,   129,   130,   293,    77,   136,    20,   134,   503,
     504,   195,    25,   135,   147,   137,    88,   119,   116,    91,
     120,   121,   157,    18,    19,   160,   115,   133,   163,   162,
     165,   138,   137,   166,   119,   489,   220,   221,   222,   223,
     224,   225,   285,   138,   137,   136,   137,   127,   128,   349,
     115,   136,    20,   151,   116,   293,   305,   119,   123,   124,
     115,   157,   117,   363,   160,    20,   343,   163,   463,   165,
     119,   136,   116,   145,   457,   119,   116,   150,   160,   119,
      28,    29,    30,   165,   219,   157,   115,   136,   160,   338,
     187,   163,   137,   165,   123,   124,    28,    29,    30,   348,
     335,   115,   115,   117,   117,   138,   115,   502,   117,   293,
     123,   124,   247,   210,   123,   124,   399,   400,   401,   402,
     253,   280,   219,   219,    20,    20,    22,    22,   377,    25,
      25,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,    20,   311,   322,     3,   219,     5,   284,
       7,   428,     9,   288,   608,   392,   393,   394,   116,    20,
     116,   119,   616,   119,   136,   137,   620,   416,   116,   117,
     116,   119,   121,   119,   122,   464,   116,   120,   311,   119,
     429,   116,   115,   115,   119,   117,   116,   285,   116,   119,
     122,   119,   116,   116,   116,   119,   119,   119,   116,   366,
     335,   119,   116,   480,   481,   119,    18,    19,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   464,   116,   135,   116,
     119,    22,   119,   116,   116,   332,    27,   119,   335,   335,
     489,   576,   116,   116,   137,   119,   119,   344,   345,   346,
     116,   116,   706,   119,   119,   432,   120,    28,    29,    30,
     357,   116,   359,   335,   119,   121,    28,    29,    30,   506,
     119,   116,   121,    64,   119,   729,   411,   412,    69,   414,
     464,   378,   125,   126,    75,    76,    77,   115,   136,   117,
      81,    82,    83,    84,   748,   430,   463,   134,   752,   116,
     466,   467,   119,   552,    69,   594,   606,    31,    32,   763,
      75,    76,    77,   410,   768,   115,    81,    82,    83,    84,
     116,   116,   506,   119,   119,   602,   603,   604,    50,   116,
     121,   574,   119,   582,   611,   502,   613,   582,    35,    36,
     116,   590,   475,   119,   115,   590,   117,   395,   396,   116,
     593,   122,   119,   115,    50,   117,   594,   137,   607,   608,
     122,    28,    29,    30,   664,   463,   116,   616,   119,   119,
     121,   620,   115,   471,   117,   624,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    48,   635,   134,   116,   115,
     628,   119,    28,    29,    30,    28,    29,    30,    28,    29,
      30,    20,   116,   115,   502,   119,   683,   707,   685,   115,
     594,    28,    29,    30,   663,   115,   693,   117,   695,   696,
     118,   119,    28,    29,    30,   702,   118,   119,   728,   118,
     119,   680,   118,   119,   711,   680,   397,   398,   403,   404,
     717,   576,   719,   692,   628,   422,   423,   115,   115,   749,
     117,   422,   423,   136,   136,   122,   553,   706,   758,   708,
     115,   558,   559,   136,   115,   742,   115,   115,   115,   123,
     131,   720,   135,   132,    37,   115,   574,   115,   115,   115,
     729,   117,   115,   115,   117,   115,   122,   117,   115,   122,
     115,   134,   122,   115,   743,   593,   135,   138,   115,   748,
     117,   135,   116,   752,   119,   122,   135,   138,   605,   115,
     136,   117,    94,   118,   763,   612,   122,   118,   134,   768,
     617,    94,    21,   136,   116,     1,   116,     3,     4,     5,
       6,     7,     8,     9,    10,    20,   633,   634,    20,    15,
      16,    17,    20,   640,    20,   115,    22,    23,    24,    25,
     136,   116,   135,    29,    30,   121,   116,   116,   115,   115,
     118,   116,   116,   135,   116,    52,   116,   136,   136,   116,
     119,   116,   118,    49,    50,    51,   116,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,   136,    93,    94,    95,
      96,    97,    98,    99,   100,   116,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
      92,   118,   121,    22,    92,   101,   136,   123,   124,   125,
     126,   127,   128,   118,   121,   136,   136,   118,   121,   118,
     136,   137,   138,     1,   136,     3,     4,     5,     6,     7,
       8,     9,    10,   405,   121,   362,   406,    15,    16,    17,
     407,   291,    20,   408,    22,    23,    24,    25,   409,   147,
      69,    29,    30,    72,    73,    74,    75,    76,    77,   247,
      79,    80,    81,    82,    83,    84,    85,    86,    91,   475,
      34,    49,    50,    51,   142,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,   471,    93,    94,    95,    96,    97,
      98,    99,   100,   552,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   559,    22,
     341,   423,   335,   637,    27,   123,   124,   125,   126,   127,
     128,   207,    49,   107,   282,    -1,    -1,   425,   136,   137,
     138,     1,   576,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      20,    64,    22,    23,    24,    25,    69,    -1,    -1,    29,
      30,    -1,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    99,
     100,    -1,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,     0,    -1,    -1,    -1,
      -1,    -1,    -1,   123,   124,   125,   126,   127,   128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   136,   137,    22,    -1,
      -1,    56,    26,    58,    59,    60,    61,    62,    -1,    64,
      65,    -1,    -1,    68,    -1,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,     1,    -1,    -1,    -1,    -1,    -1,   124,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    26,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   136,    -1,    -1,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,
      24,    25,    -1,    -1,    -1,    29,    30,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,   136,    53,
      54,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      64,    65,    -1,    15,    16,    17,    -1,    -1,    20,    -1,
      -1,    -1,    24,    25,    -1,    -1,    -1,    29,    30,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    22,    -1,    49,    50,    -1,
      -1,    53,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     114,   115,    64,    65,    -1,    -1,    -1,    -1,    -1,   123,
     124,   125,   126,   127,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   137,   138,    87,    88,    64,    65,    -1,
      67,    -1,    69,    -1,    96,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    86,
      -1,    -1,   114,   115,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   123,   124,   125,   126,   127,   128,     3,     4,     5,
       6,     7,     8,     9,    10,   137,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    20,    -1,    22,    -1,    24,    25,
      -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,   124,   125,
     126,   127,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     136,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    20,    -1,
      -1,    -1,    24,    25,    -1,    -1,    -1,    29,    30,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    53,    54,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    64,    65,    -1,    15,    16,    17,    -1,    -1,
      20,    -1,    -1,    -1,    24,    25,    -1,    -1,    -1,    29,
      30,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    53,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   114,   115,    64,    65,    -1,    -1,    -1,    -1,
      -1,   123,   124,   125,   126,   127,   128,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   136,    -1,    -1,    87,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   114,   115,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   123,   124,   125,   126,   127,   128,    -1,
      -1,    -1,    -1,    -1,    -1,     1,   136,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    20,    -1,    22,    -1,    24,    25,
      -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    53,    54,    -1,
      56,    -1,    58,    59,    60,    61,    62,    -1,    64,    65,
      -1,    -1,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,   124,   125,
     126,   127,   128,     1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    20,    -1,    -1,    -1,    24,    25,    -1,    -1,
      -1,    29,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    53,    54,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    64,    65,    -1,    -1,
      15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   114,   115,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,   124,   125,   126,   127,
     128,     1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    87,    88,    -1,    15,    16,    17,    -1,    -1,
      20,    96,    -1,    -1,    24,    25,    -1,    -1,    -1,    29,
      30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,   117,    -1,    -1,   120,    -1,    -1,    -1,    49,
      50,    -1,    -1,    53,    54,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    64,    65,    -1,    -1,    15,    16,
      17,    -1,    -1,    20,    -1,    -1,     1,    24,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    87,    88,    -1,
      15,    16,    17,    -1,    -1,    20,    96,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   114,   115,   116,    -1,    -1,    -1,
      -1,    -1,    -1,   123,   124,   125,   126,   127,   128,     1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      87,    88,    -1,    15,    16,    17,    -1,    -1,    20,    96,
      -1,    -1,    24,    25,    -1,    -1,    -1,    29,    30,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,    -1,   115,    -1,
     117,    96,    -1,   120,    -1,    -1,    -1,    49,    50,    -1,
      -1,    53,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     115,    -1,    64,    65,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    87,    88,    15,    16,    17,
      -1,    -1,    20,    -1,    96,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   114,   115,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   123,   124,   125,   126,   127,   128,     1,    -1,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      -1,    15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,
      24,    25,    -1,    -1,    -1,    29,    30,    -1,    -1,    87,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    53,
      54,    -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,   117,
      64,    65,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     114,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,
     124,   125,   126,   127,   128,     1,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,    15,
      16,    17,    -1,    -1,    20,    -1,    -1,    -1,    24,    25,
      -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    49,    -1,    -1,    -1,    53,    54,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,
      24,    25,    -1,    -1,    -1,    29,    30,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      96,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    53,
      54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,
      64,    65,   118,    -1,    -1,    -1,    -1,   123,   124,   125,
     126,   127,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     114,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,
     124,   125,   126,   127,   128,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    15,    16,    17,
      -1,    -1,    20,    -1,    -1,    -1,    24,    25,    -1,    -1,
      -1,    29,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    53,    54,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    64,    65,    -1,    -1,
      15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,    -1,    53,    54,
      -1,    -1,    -1,    -1,    -1,    -1,   114,   115,   116,    64,
      65,    -1,    -1,    -1,    -1,   123,   124,   125,   126,   127,
     128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
     115,   116,    -1,    -1,    -1,    -1,    -1,    -1,   123,   124,
     125,   126,   127,   128,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    -1,    15,    16,    17,    -1,
      -1,    20,    -1,    -1,    -1,    24,    25,    -1,    -1,    -1,
      29,    30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    53,    54,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,    64,    65,    -1,    -1,    15,
      16,    17,    -1,    -1,    20,    -1,    -1,    -1,    24,    25,
      -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    87,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,
      -1,    -1,    -1,    49,    50,    -1,    -1,    53,    54,    -1,
      -1,    -1,    -1,    -1,    -1,   114,   115,   116,    64,    65,
      -1,    -1,    -1,    -1,   123,   124,   125,   126,   127,   128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,
     116,    -1,    -1,    -1,    -1,    -1,    -1,   123,   124,   125,
     126,   127,   128,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,
      20,    -1,    -1,    -1,    24,    25,    -1,    -1,    -1,    29,
      30,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,
      50,    -1,    -1,    53,    54,    -1,     3,     4,     5,     6,
       7,     8,     9,    10,    64,    65,    -1,    -1,    15,    16,
      17,    -1,    -1,    20,    -1,    -1,    -1,    24,    25,    -1,
      -1,    -1,    29,    30,    -1,    -1,    -1,    87,    88,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,
      -1,    -1,    49,    50,    -1,    -1,    53,    54,    -1,    -1,
      -1,    -1,    -1,    -1,   114,   115,   116,    64,    65,    -1,
      -1,    -1,    -1,   123,   124,   125,   126,   127,   128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,   116,
      -1,    -1,    -1,    -1,    -1,    -1,   123,   124,   125,   126,
     127,   128,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    -1,    15,    16,    17,    -1,    -1,    20,
      -1,    -1,    -1,    24,    25,    -1,    -1,    -1,    29,    30,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,
      -1,    -1,    53,    54,    -1,     3,     4,     5,     6,     7,
       8,     9,    10,    64,    65,    -1,    -1,    15,    16,    17,
      -1,    -1,    20,    -1,    -1,    -1,    24,    25,    -1,    -1,
      -1,    29,    30,    -1,    -1,    -1,    87,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,
      -1,    49,    50,    -1,    -1,    53,    54,    -1,    -1,    -1,
      -1,    -1,    -1,   114,   115,   116,    64,    65,    -1,    -1,
      -1,    -1,   123,   124,   125,   126,   127,   128,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    87,
      88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   114,   115,   116,    -1,
      -1,    -1,    -1,    -1,    -1,   123,   124,   125,   126,   127,
     128,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    -1,    15,    16,    17,    -1,    -1,    20,    -1,
      -1,    -1,    24,    25,    -1,    -1,    -1,    29,    30,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,    50,    -1,
      -1,    53,    54,    -1,     3,     4,     5,     6,     7,     8,
       9,    10,    64,    65,    -1,    -1,    15,    16,    17,    -1,
      -1,    20,    -1,    -1,    -1,    24,    25,    -1,    -1,    -1,
      29,    30,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,
      49,    50,    -1,    -1,    53,    54,    -1,    -1,    -1,    -1,
      -1,    -1,   114,   115,   116,    64,    65,    -1,    -1,    -1,
      -1,   123,   124,   125,   126,   127,   128,    -1,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    87,    88,
      15,    16,    17,    -1,    -1,    20,    -1,    96,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   114,   115,   116,    -1,    -1,
      -1,    -1,    -1,    -1,   123,   124,   125,   126,   127,   128,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    20,    -1,    -1,
      -1,    24,    25,    -1,    -1,    -1,    29,    30,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    -1,    -1,    -1,    -1,    49,    50,    -1,    -1,
      53,    54,     3,     4,     5,     6,     7,     8,     9,    10,
     115,    64,    65,    -1,    15,    16,    17,    -1,    -1,    20,
      -1,    -1,    -1,    24,    25,    -1,    -1,    -1,    29,    30,
      -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    49,    -1,
      -1,    -1,    53,    54,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   114,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     123,   124,   125,   126,   127,   128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    87,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   114,   115,    -1,    -1,   118,    -1,    -1,
      -1,    -1,   123,   124,   125,   126,   127,   128,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,    53,    54,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    -1,    15,    16,    17,    -1,    -1,    20,    -1,    -1,
      -1,    24,    25,    -1,    -1,    -1,    29,    30,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,
      53,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
     115,    -1,    -1,   118,    -1,    -1,    -1,    -1,   123,   124,
     125,   126,   127,   128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    87,    88,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   114,   115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     123,   124,   125,   126,   127,   128,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    -1,    15,    16,
      17,    -1,    -1,    20,    -1,    -1,    -1,    24,    25,    -1,
      -1,    -1,    29,    30,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    49,    -1,    -1,    -1,    53,    54,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    -1,
      15,    16,    17,    -1,    -1,    20,    -1,    -1,    -1,    24,
      25,    -1,    -1,    -1,    29,    30,    -1,    -1,    -1,    -1,
      87,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    96,
      -1,    -1,    -1,    -1,    49,    -1,    -1,    -1,    53,    54,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   123,   124,   125,   126,
     127,   128,    -1,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    87,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    96,    20,    -1,    22,    -1,    -1,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
     115,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   123,   124,
     125,   126,   127,   128,    -1,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,     1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    -1,   115,   116,   117,
      -1,    -1,    -1,    -1,    -1,   123,   124,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    22,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,   116,   117,    -1,    -1,    -1,    -1,
      22,   123,   124,    56,    -1,    58,    59,    60,    61,    62,
      -1,    64,    65,    -1,    -1,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    56,    -1,    58,    59,    60,    61,
      62,    22,    64,    65,    -1,    -1,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    22,    -1,    -1,    56,    -1,    58,    59,    60,
      61,    62,    -1,    64,    65,   138,    -1,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    56,    -1,    58,    59,
      60,    61,    62,    22,    64,    65,   138,    -1,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,     1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    56,    -1,    58,
      59,    60,    61,    62,    -1,    64,    65,   138,    22,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,     1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,     1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   116,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,     1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    22,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   116,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    -1,    22,    -1,    -1,    -1,    -1,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    22,    -1,    -1,    -1,    -1,    64,    65,    -1,    67,
      -1,    69,    -1,    -1,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    86,    -1,
     116,    -1,    -1,    22,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    -1,   120,
      22,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     1,    22,    26,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,   136,   169,   170,   173,
     174,   177,   178,   180,   183,   184,   185,   192,   195,   246,
     247,   248,   257,   258,   260,   265,   266,   267,   136,    55,
      56,   120,   174,    18,    19,   137,   115,   120,    20,   137,
     191,   174,   174,    20,    25,   115,   123,   124,   136,   175,
     176,   197,   199,   200,   201,   174,   120,   174,   137,    20,
      22,   137,   182,   174,     0,   247,   259,   136,   137,   214,
     216,   136,   216,    18,    19,    22,    27,    64,    69,    75,
      76,    77,    81,    82,    83,    84,   121,   250,   251,   252,
     253,   254,   255,   256,    25,   263,   264,   137,   137,   178,
     179,    20,   171,   172,     3,     5,     7,     9,   198,   191,
     193,   194,   137,   197,   195,   196,   200,   119,   136,   135,
     249,   115,   117,   199,   199,   198,   138,   178,   180,   181,
     186,   187,   188,   195,   138,   186,   174,   138,     1,     3,
       4,     5,     6,     7,     8,     9,    10,    15,    16,    17,
      20,    23,    24,    29,    30,    49,    50,    51,    53,    54,
      64,    65,    68,    87,    88,    89,    90,    91,    93,    94,
      95,    96,    97,    98,    99,   100,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     123,   124,   125,   126,   127,   128,   136,   141,   142,   143,
     144,   145,   146,   147,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   164,   165,
     166,   168,   169,   174,   210,   211,   212,   213,   216,   217,
     218,   219,   222,   223,   224,   225,   227,   232,   234,   239,
     240,   241,   242,   243,   244,   245,   264,    20,    20,   251,
     174,    20,   119,   121,   120,   115,   169,   169,   119,   138,
     116,   119,   121,   135,   119,   138,   193,   116,   195,   200,
     176,   197,    20,    64,    65,   137,   165,   208,   216,     1,
     116,   174,   202,   203,   204,     1,   118,   149,   161,   167,
     121,   188,   120,   138,   187,   189,   190,   197,   188,   138,
     197,   136,   115,   149,   149,   115,   149,   166,   115,    50,
      50,   137,   167,   134,   115,   115,   115,   211,   117,   120,
     144,    20,   239,   136,   136,   136,   166,   115,   211,   115,
     136,   115,   115,   115,     1,   166,   188,   205,   149,   149,
     150,   150,   150,   150,    28,    29,    30,   115,   117,   122,
     115,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,   135,   124,   129,   130,   125,   126,    31,    32,    33,
      34,   120,   121,    35,    36,   123,   131,   132,    37,    38,
     133,    64,    65,   163,   170,   178,   119,   136,   211,   138,
     211,   215,   115,   115,   115,   115,   115,   115,   134,   115,
     135,   264,   135,   255,     3,     4,     5,     6,     7,     8,
       9,    10,    20,   163,   261,   262,     1,   116,   202,   138,
     138,   178,   136,   171,   167,   138,   194,   119,   138,   208,
     209,   116,   119,   115,   117,   197,   200,   201,   206,   207,
     116,   119,   118,   118,   198,   119,   136,   205,   136,   165,
     217,   134,   211,   166,   166,   166,    94,   165,   144,   115,
     136,   136,   166,    94,   166,    21,   140,   140,     1,   144,
     116,   116,   115,   200,   201,   206,   116,    20,    22,    25,
       1,   116,   148,   165,     1,   166,    20,    22,    25,   148,
     165,   165,   165,   165,   165,   165,   165,   165,   165,   165,
     165,   150,   150,   150,   151,   151,   152,   152,   153,   153,
     153,   153,   154,   154,   155,   156,   157,   158,   159,   166,
     178,   178,   115,   117,   178,   165,   168,   218,   221,   221,
      20,   226,   230,   231,   231,    20,   228,    20,   233,   211,
       1,   116,   148,   178,   115,   198,   119,   121,   116,   136,
     116,   138,   119,   138,     1,   116,   202,   206,   118,   167,
     135,   207,   207,   115,   117,   204,   121,   190,   116,   116,
     138,   211,   116,   116,   116,   115,   118,   119,   115,   116,
     148,   116,   115,   116,    21,   116,   119,   119,   116,   116,
     119,   150,   116,   116,   119,   118,   118,   116,   134,   209,
     166,   136,   166,   220,   220,   135,   116,   119,   116,   116,
      52,   116,   116,     1,   116,   202,   261,   136,   136,   138,
     208,   116,   116,   118,   208,   116,   202,   118,   167,   211,
     211,   211,   166,   117,   120,   144,   165,   116,   148,   116,
     211,   166,   211,   136,   148,   166,   148,   165,   161,   116,
     119,   118,   136,   116,   166,   116,   166,    11,    12,    13,
      14,   165,   229,   235,   230,   236,   237,   166,   116,   116,
     116,   118,    92,   116,   165,   144,   115,   118,   119,   121,
     116,    92,   116,   116,   116,   116,   211,   116,   211,   116,
     101,   165,   211,   211,   211,   116,   211,   136,   118,   115,
     116,   148,   144,   165,   121,   211,   136,   136,   136,   211,
     211,   165,   238,   117,   144,   116,   148,   116,   115,   118,
     211,   165,   115,   121,   116,   116,   148,   144,   118,   116,
     148,   121,   116,   115,   144,   116,   116,   148,   115,   116,
     116,   148,   116
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   139,   140,   140,   141,   141,   141,   141,   141,   141,
     141,   141,   141,   141,   141,   141,   141,   141,   141,   141,
     141,   142,   142,   142,   142,   142,   142,   142,   142,   142,
     142,   142,   142,   142,   142,   142,   142,   143,   143,   143,
     144,   144,   144,   144,   144,   144,   144,   144,   144,   144,
     144,   144,   145,   146,   147,   147,   147,   147,   147,   147,
     147,   148,   148,   149,   149,   149,   149,   149,   149,   149,
     149,   149,   149,   149,   149,   149,   149,   150,   150,   151,
     151,   151,   151,   152,   152,   152,   153,   153,   153,   154,
     154,   154,   154,   154,   155,   155,   155,   156,   156,   157,
     157,   158,   158,   159,   159,   160,   160,   161,   161,   162,
     162,   162,   163,   163,   163,   163,   164,   164,   164,   164,
     165,   165,   165,   165,   165,   165,   165,   165,   165,   165,
     165,   165,   166,   166,   167,   168,   169,   169,   170,   171,
     172,   172,   173,   174,   174,   174,   174,   174,   174,   174,
     174,   174,   174,   174,   175,   175,   176,   176,   177,   177,
     177,   177,   177,   178,   178,   178,   178,   179,   179,   180,
     180,   180,   180,   180,   180,   180,   180,   180,   180,   180,
     180,   180,   181,   182,   182,   183,   184,   184,   184,   184,
     184,   185,   186,   186,   187,   188,   188,   188,   188,   189,
     189,   190,   191,   192,   192,   192,   192,   192,   193,   193,
     194,   194,   195,   195,   195,   195,   195,   195,   195,   195,
     195,   195,   195,   195,   196,   196,   197,   197,   197,   198,
     198,   198,   198,   199,   199,   199,   199,   199,   199,   199,
     199,   199,   200,   200,   200,   200,   201,   202,   203,   203,
     203,   204,   204,   204,   204,   205,   205,   206,   206,   206,
     206,   206,   207,   207,   207,   207,   207,   207,   207,   207,
     207,   208,   208,   208,   209,   209,   210,   211,   211,   212,
     212,   212,   212,   212,   212,   212,   212,   212,   212,   212,
     212,   212,   213,   213,   213,   214,   215,   216,   216,   217,
     217,   218,   218,   219,   219,   219,   219,   219,   220,   220,
     221,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     229,   229,   229,   230,   230,   231,   231,   232,   233,   234,
     234,   234,   234,   234,   234,   234,   234,   235,   234,   236,
     234,   237,   234,   238,   234,   239,   240,   240,   240,   240,
     240,   241,   242,   243,   244,   244,   245,   246,   246,   246,
     247,   247,   247,   247,   247,   247,   247,   247,   247,   249,
     248,   250,   250,   251,   251,   251,   251,   251,   251,   251,
     251,   252,   252,   253,   253,   254,   255,   255,   255,   256,
     256,   257,   259,   258,   260,   260,   261,   261,   261,   261,
     261,   261,   261,   261,   261,   261,   262,   262,   263,   264,
     264,   265,   265,   265,   266,   266,   266,   267,   267
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     5,     4,     8,     7,    10,     9,    11,    10,    12,
      11,    14,    13,     7,     6,    10,     9,     4,     6,     4,
       1,     4,     4,     1,     3,     3,     3,     3,     3,     3,
       2,     2,     1,     4,     1,     3,     4,     4,     3,     4,
       4,     1,     3,     1,     1,     1,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     4,     4,     1,     4,     1,
       3,     3,     3,     1,     3,     3,     1,     3,     3,     1,
       3,     3,     3,     3,     1,     3,     3,     1,     3,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     5,     1,
       2,     2,     1,     2,     2,     2,     1,     2,     5,     5,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     3,     1,     1,     2,     3,     4,     1,
       1,     3,     4,     1,     2,     1,     2,     1,     2,     1,
       4,     2,     1,     2,     1,     3,     1,     3,     1,     1,
       2,     2,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     1,     2,     1,     4,     4,     3,
       3,     1,     1,     2,     3,     2,     1,     1,     2,     1,
       3,     1,     1,     4,     5,     5,     6,     2,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     1,     1,     1,     3,     4,     3,     4,     4,
       3,     4,     1,     2,     2,     3,     1,     1,     1,     3,
       2,     2,     4,     2,     1,     1,     2,     1,     1,     2,
       1,     2,     3,     2,     3,     3,     4,     2,     3,     3,
       4,     1,     3,     4,     1,     3,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     3,     4,     3,     1,     1,     2,     3,     1,
       2,     1,     2,     5,     7,     5,     7,     5,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     5,     4,     1,     3,     1,     1,     5,
       5,     7,     7,     6,     7,     6,     7,     0,     6,     0,
       6,     0,     6,     0,     8,     1,     3,     2,     2,     2,
       3,     2,     3,     4,     5,     7,     7,     1,     2,     2,
       1,     1,     1,     1,     5,     5,     5,     1,     1,     0,
       4,     2,     4,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     1,     2,     4,     2,     1,     1,     1,     1,
       3,     4,     0,     4,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     1,     4,
       1,     7,     6,     7,     8,     7,     8,     2,     2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]));
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  switch (yykind)
    {
    case YYSYMBOL_TOKEN_FLOAT16_CONSTANT: /* TOKEN_FLOAT16_CONSTANT  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2907 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_TOKEN_IDENTIFIER: /* TOKEN_IDENTIFIER  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2913 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_TOKEN_STRING_LITERAL: /* TOKEN_STRING_LITERAL  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2919 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_TOKEN_TYPE_NAME: /* TOKEN_TYPE_NAME  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2925 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_TOKEN_TEMPLATE_NAME: /* TOKEN_TEMPLATE_NAME  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2931 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_TOKEN_INTRINSIC_CALL: /* TOKEN_INTRINSIC_CALL  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2937 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_string_constant: /* string_constant  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2943 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

    case YYSYMBOL_intrinsic_name: /* intrinsic_name  */
#line 283 "src/parse.yy"
            { lCleanUpString(((*yyvaluep).stringVal)); }
#line 2949 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
        break;

      default:
        break;
    }
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* string_constant: TOKEN_STRING_LITERAL  */
#line 292 "src/parse.yy"
    {
        (yyval.stringVal) = new std::string(*(yyvsp[0].stringVal));
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 3250 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 3: /* string_constant: string_constant TOKEN_STRING_LITERAL  */
#line 297 "src/parse.yy"
    {
        std::string *p_str_cst = new std::string();
        p_str_cst->append(*(yyvsp[-1].stringVal));
        p_str_cst->append(*(yyvsp[0].stringVal));
        (yyval.stringVal) = p_str_cst;
        // Allocated in lStringConst
        lCleanUpString((yyvsp[-1].stringVal));
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 3264 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 4: /* primary_expression: TOKEN_IDENTIFIER  */
#line 309 "src/parse.yy"
                       {
        const char *name = (yyvsp[0].stringVal)->c_str();
        Symbol *s = m->symbolTable->LookupVariable(name);
        (yyval.expr) = nullptr;
        if (s)
            (yyval.expr) = new SymbolExpr(s, (yylsp[0]));
        else {
            std::vector<Symbol *> funs;
            m->symbolTable->LookupFunction(name, &funs);
            if (funs.size() > 0)
                (yyval.expr) = new FunctionSymbolExpr(name, funs, (yylsp[0]));
        }
        if ((yyval.expr) == nullptr) {
            std::vector<std::string> alternates =
                m->symbolTable->ClosestVariableOrFunctionMatch(name);
            std::string alts = lGetAlternates(alternates);
            Error((yylsp[0]), "Undeclared symbol \"%s\".%s", name, alts.c_str());
        }
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 3289 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 5: /* primary_expression: TOKEN_INT8_CONSTANT  */
#line 329 "src/parse.yy"
                          {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt8->GetAsConstType(),
                           (int8_t)yylval.intVal, (yylsp[0]));
    }
#line 3298 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 6: /* primary_expression: TOKEN_UINT8_CONSTANT  */
#line 333 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt8->GetAsConstType(),
                           (uint8_t)yylval.intVal, (yylsp[0]));
    }
#line 3307 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 7: /* primary_expression: TOKEN_INT16_CONSTANT  */
#line 337 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt16->GetAsConstType(),
                           (int16_t)yylval.intVal, (yylsp[0]));
    }
#line 3316 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 8: /* primary_expression: TOKEN_UINT16_CONSTANT  */
#line 341 "src/parse.yy"
                            {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt16->GetAsConstType(),
                           (uint16_t)yylval.intVal, (yylsp[0]));
    }
#line 3325 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 9: /* primary_expression: TOKEN_INT32_CONSTANT  */
#line 345 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt32->GetAsConstType(),
                           (int32_t)yylval.intVal, (yylsp[0]));
    }
#line 3334 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 10: /* primary_expression: TOKEN_UINT32_CONSTANT  */
#line 349 "src/parse.yy"
                            {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                           (uint32_t)yylval.intVal, (yylsp[0]));
    }
#line 3343 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 11: /* primary_expression: TOKEN_INT64_CONSTANT  */
#line 353 "src/parse.yy"
                           {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt64->GetAsConstType(),
                           (int64_t)yylval.intVal, (yylsp[0]));
    }
#line 3352 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 12: /* primary_expression: TOKEN_UINT64_CONSTANT  */
#line 357 "src/parse.yy"
                            {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt64->GetAsConstType(),
                           (uint64_t)yylval.intVal, (yylsp[0]));
    }
#line 3361 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 13: /* primary_expression: TOKEN_FLOAT16_CONSTANT  */
#line 361 "src/parse.yy"
                             {
         std::string sval = *(yyvsp[0].stringVal);
         lCleanUpString((yyvsp[0].stringVal));
         llvm::Type *hType = llvm::Type::getHalfTy(*g->ctx);
         const llvm::fltSemantics &FS = hType->getFltSemantics();
         llvm::APFloat f16(FS, sval);
         (yyval.expr) = new ConstExpr(AtomicType::UniformFloat16->GetAsConstType(),
                           f16, (yylsp[0]));
    }
#line 3375 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 14: /* primary_expression: TOKEN_FLOAT_CONSTANT  */
#line 370 "src/parse.yy"
                           {
        llvm::APFloat f(yylval.floatVal);
        (yyval.expr) = new ConstExpr(AtomicType::UniformFloat->GetAsConstType(),
                           f, (yylsp[0]));
    }
#line 3385 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 15: /* primary_expression: TOKEN_DOUBLE_CONSTANT  */
#line 375 "src/parse.yy"
                            {
        llvm::APFloat d(yylval.doubleVal);
        (yyval.expr) = new ConstExpr(AtomicType::UniformDouble->GetAsConstType(),
                           d, (yylsp[0]));
    }
#line 3395 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 16: /* primary_expression: TOKEN_TRUE  */
#line 380 "src/parse.yy"
                 {
        (yyval.expr) = new ConstExpr(AtomicType::UniformBool->GetAsConstType(), true, (yylsp[0]));
    }
#line 3403 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 17: /* primary_expression: TOKEN_FALSE  */
#line 383 "src/parse.yy"
                  {
        (yyval.expr) = new ConstExpr(AtomicType::UniformBool->GetAsConstType(), false, (yylsp[0]));
    }
#line 3411 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 18: /* primary_expression: TOKEN_NULL  */
#line 386 "src/parse.yy"
                 {
        (yyval.expr) = new NullPointerExpr((yylsp[0]));
    }
#line 3419 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 19: /* primary_expression: '(' expression ')'  */
#line 391 "src/parse.yy"
                         { (yyval.expr) = (yyvsp[-1].expr); }
#line 3425 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 20: /* primary_expression: '(' error ')'  */
#line 392 "src/parse.yy"
                    { (yyval.expr) = nullptr; }
#line 3431 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 21: /* launch_expression: TOKEN_LAUNCH postfix_expression '(' argument_expression_list ')'  */
#line 397 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {oneExpr, oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]), (yylsp[0])), true, launchCount);
      }
#line 3441 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 22: /* launch_expression: TOKEN_LAUNCH postfix_expression '(' ')'  */
#line 403 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {oneExpr, oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-1]),(yylsp[0]))), Union((yylsp[-2]), (yylsp[0])), true, launchCount);
       }
#line 3451 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 23: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 410 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {(yyvsp[-5].expr), oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3461 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 24: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' postfix_expression '(' ')'  */
#line 416 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {(yyvsp[-4].expr), oneExpr, oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3471 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 25: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 423 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {(yyvsp[-7].expr), (yyvsp[-5].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3481 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 26: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ']' postfix_expression '(' ')'  */
#line 429 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {(yyvsp[-6].expr), (yyvsp[-4].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3491 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 27: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 435 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-3]));
          Expr *launchCount[3] = {(yyvsp[-5].expr), (yyvsp[-8].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3501 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 28: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' ')'  */
#line 441 "src/parse.yy"
      {
          ConstExpr *oneExpr = new ConstExpr(AtomicType::UniformInt32, (int32_t)1, (yylsp[-2]));
          Expr *launchCount[3] = {(yyvsp[-4].expr), (yyvsp[-7].expr), oneExpr};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3511 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 29: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ',' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 448 "src/parse.yy"
      {
          Expr *launchCount[3] = {(yyvsp[-9].expr), (yyvsp[-7].expr), (yyvsp[-5].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3520 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 30: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ',' assignment_expression ',' assignment_expression ']' postfix_expression '(' ')'  */
#line 453 "src/parse.yy"
      {
          Expr *launchCount[3] = {(yyvsp[-8].expr), (yyvsp[-6].expr), (yyvsp[-4].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3529 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 31: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' argument_expression_list ')'  */
#line 458 "src/parse.yy"
      {
          Expr *launchCount[3] = {(yyvsp[-5].expr), (yyvsp[-8].expr), (yyvsp[-11].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])), true, launchCount);
      }
#line 3538 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 32: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '[' assignment_expression ']' '[' assignment_expression ']' postfix_expression '(' ')'  */
#line 463 "src/parse.yy"
      {
          Expr *launchCount[3] = {(yyvsp[-4].expr), (yyvsp[-7].expr), (yyvsp[-10].expr)};
          (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])), true, launchCount);
      }
#line 3547 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 33: /* launch_expression: TOKEN_LAUNCH '<' postfix_expression '(' argument_expression_list ')' '>'  */
#line 470 "src/parse.yy"
       {
          Error(Union((yylsp[-5]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = nullptr;
       }
#line 3557 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 34: /* launch_expression: TOKEN_LAUNCH '<' postfix_expression '(' ')' '>'  */
#line 476 "src/parse.yy"
       {
          Error(Union((yylsp[-4]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = nullptr;
       }
#line 3567 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 35: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '<' postfix_expression '(' argument_expression_list ')' '>'  */
#line 482 "src/parse.yy"
       {
          Error(Union((yylsp[-5]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = nullptr;
       }
#line 3577 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 36: /* launch_expression: TOKEN_LAUNCH '[' assignment_expression ']' '<' postfix_expression '(' ')' '>'  */
#line 488 "src/parse.yy"
       {
          Error(Union((yylsp[-4]), (yylsp[0])), "\"launch\" expressions no longer take '<' '>' "
                "around function call expression.");
          (yyval.expr) = nullptr;
       }
#line 3587 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 37: /* invoke_sycl_expression: TOKEN_INVOKE_SYCL '(' postfix_expression ')'  */
#line 497 "src/parse.yy"
      {
          (yyval.expr) = new FunctionCallExpr((yyvsp[-1].expr), new ExprList((yylsp[0])), Union((yylsp[-3]),(yylsp[0])), false, nullptr, true);
      }
#line 3595 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 38: /* invoke_sycl_expression: TOKEN_INVOKE_SYCL '(' postfix_expression ',' argument_expression_list ')'  */
#line 501 "src/parse.yy"
      {
          (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-5]),(yylsp[0])), false, nullptr, true);
      }
#line 3603 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 39: /* invoke_sycl_expression: TOKEN_INVOKE_SYCL '(' error ')'  */
#line 505 "src/parse.yy"
      { (yyval.expr) = nullptr; }
#line 3609 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 41: /* postfix_expression: postfix_expression '[' expression ']'  */
#line 511 "src/parse.yy"
      { (yyval.expr) = new IndexExpr((yyvsp[-3].expr), (yyvsp[-1].expr), Union((yylsp[-3]),(yylsp[0]))); }
#line 3615 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 42: /* postfix_expression: postfix_expression '[' error ']'  */
#line 513 "src/parse.yy"
      { (yyval.expr) = nullptr; }
#line 3621 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 44: /* postfix_expression: postfix_expression '.' TOKEN_IDENTIFIER  */
#line 516 "src/parse.yy"
      {
          (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), false);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 3630 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 45: /* postfix_expression: postfix_expression '.' TOKEN_TYPE_NAME  */
#line 523 "src/parse.yy"
      {
          (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), false);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 3639 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 46: /* postfix_expression: postfix_expression '.' TOKEN_TEMPLATE_NAME  */
#line 528 "src/parse.yy"
      {
          (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), false);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 3648 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 47: /* postfix_expression: postfix_expression TOKEN_PTR_OP TOKEN_IDENTIFIER  */
#line 533 "src/parse.yy"
      {
          (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), true);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 3657 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 48: /* postfix_expression: postfix_expression TOKEN_PTR_OP TOKEN_TYPE_NAME  */
#line 540 "src/parse.yy"
      {
          (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), true);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 3666 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 49: /* postfix_expression: postfix_expression TOKEN_PTR_OP TOKEN_TEMPLATE_NAME  */
#line 545 "src/parse.yy"
      {
          (yyval.expr) = MemberExpr::create((yyvsp[-2].expr), yytext, Union((yylsp[-2]),(yylsp[0])), (yylsp[0]), true);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 3675 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 50: /* postfix_expression: postfix_expression TOKEN_INC_OP  */
#line 550 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PostInc, (yyvsp[-1].expr), Union((yylsp[-1]),(yylsp[0]))); }
#line 3681 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 51: /* postfix_expression: postfix_expression TOKEN_DEC_OP  */
#line 552 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PostDec, (yyvsp[-1].expr), Union((yylsp[-1]),(yylsp[0]))); }
#line 3687 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 52: /* intrinsic_name: TOKEN_INTRINSIC_CALL  */
#line 557 "src/parse.yy"
      {
          (yyval.stringVal) = (yyvsp[0].stringVal);
      }
#line 3695 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 53: /* intrincall_expression: intrinsic_name '(' argument_expression_list ')'  */
#line 564 "src/parse.yy"
      {
          std::string *name = (yyvsp[-3].stringVal);
          name->erase(0, 1);
          Symbol* sym = m->AddLLVMIntrinsicDecl(*name, (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])));
          const char *fname = name->c_str();
          const std::vector<Symbol *> funcs{sym};
          FunctionSymbolExpr *fSym = nullptr;
          if (sym != nullptr)
              fSym = new FunctionSymbolExpr(fname, funcs, (yylsp[-3]));
          (yyval.expr) = new FunctionCallExpr(fSym, (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])));
          delete name;
      }
#line 3712 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 55: /* funcall_expression: postfix_expression '(' ')'  */
#line 581 "src/parse.yy"
      { (yyval.expr) = new FunctionCallExpr((yyvsp[-2].expr), new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0]))); }
#line 3718 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 56: /* funcall_expression: postfix_expression '(' argument_expression_list ')'  */
#line 583 "src/parse.yy"
      { (yyval.expr) = new FunctionCallExpr((yyvsp[-3].expr), (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0]))); }
#line 3724 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 57: /* funcall_expression: postfix_expression '(' error ')'  */
#line 585 "src/parse.yy"
      { (yyval.expr) = nullptr; }
#line 3730 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 58: /* funcall_expression: simple_template_id '(' ')'  */
#line 587 "src/parse.yy"
      {
          // Create FunctionSymbolExpr with a candidate functions list
          Expr *functionSymbolExpr = nullptr;
          std::vector<TemplateSymbol *> funcTempls;
          const std::string name = (yyvsp[-2].simpleTemplateID)->first->name;
          m->symbolTable->LookupFunctionTemplate(name, &funcTempls);
          if (funcTempls.size() > 0) {
              TemplateArgs *templArgs = (yyvsp[-2].simpleTemplateID)->second;
              Assert(templArgs);
              functionSymbolExpr = new FunctionSymbolExpr(name.c_str(), funcTempls, *templArgs, (yylsp[-2]));
              (yyval.expr) = new FunctionCallExpr(functionSymbolExpr, new ExprList(Union((yylsp[-2]),(yylsp[-1]))), Union((yylsp[-2]),(yylsp[0])));
          } else {
              Error((yylsp[-2]), "No matching template functions were declared.");
              (yyval.expr) = nullptr;
          }

          // deallocate SimpleTemplateIDType returned by simple_template_id
          lFreeSimpleTemplateID((yyvsp[-2].simpleTemplateID));
      }
#line 3754 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 59: /* funcall_expression: simple_template_id '(' argument_expression_list ')'  */
#line 607 "src/parse.yy"
      {
          // Create FunctionSymbolExpr with a candidate functions list
          Expr *functionSymbolExpr = nullptr;
          std::vector<TemplateSymbol *> funcTempls;
          const std::string name = (yyvsp[-3].simpleTemplateID)->first->name;
          m->symbolTable->LookupFunctionTemplate(name, &funcTempls);
          if (funcTempls.size() > 0) {
              TemplateArgs *templArgs = (yyvsp[-3].simpleTemplateID)->second;
              Assert(templArgs);
              functionSymbolExpr = new FunctionSymbolExpr(name.c_str(), funcTempls, *templArgs, (yylsp[-3]));
              (yyval.expr) = new FunctionCallExpr(functionSymbolExpr, (yyvsp[-1].exprList), Union((yylsp[-3]),(yylsp[0])));
          } else {
              Error((yylsp[-3]), "No matching template functions were declared.");
              (yyval.expr) = nullptr;
          }

          // deallocate SimpleTemplateIDType returned by simple_template_id
          lFreeSimpleTemplateID((yyvsp[-3].simpleTemplateID));
      }
#line 3778 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 60: /* funcall_expression: simple_template_id '(' error ')'  */
#line 627 "src/parse.yy"
      {
          (yyval.expr) = nullptr;

          // deallocate SimpleTemplateIDType returned by simple_template_id
          lFreeSimpleTemplateID((yyvsp[-3].simpleTemplateID));
      }
#line 3789 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 61: /* argument_expression_list: assignment_expression  */
#line 636 "src/parse.yy"
                                 { (yyval.exprList) = new ExprList((yyvsp[0].expr), (yylsp[0])); }
#line 3795 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 62: /* argument_expression_list: argument_expression_list ',' assignment_expression  */
#line 638 "src/parse.yy"
      {
          ExprList *argList = llvm::dyn_cast<ExprList>((yyvsp[-2].exprList));
          if (argList == nullptr) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              argList = new ExprList((yylsp[0]));
          }
          argList->exprs.push_back((yyvsp[0].expr));
          argList->pos = Union(argList->pos, (yylsp[0]));
          (yyval.exprList) = argList;
      }
#line 3810 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 66: /* unary_expression: TOKEN_INC_OP unary_expression  */
#line 655 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PreInc, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3816 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 67: /* unary_expression: TOKEN_DEC_OP unary_expression  */
#line 657 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::PreDec, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3822 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 68: /* unary_expression: '&' unary_expression  */
#line 659 "src/parse.yy"
      { (yyval.expr) = new AddressOfExpr((yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3828 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 69: /* unary_expression: '*' unary_expression  */
#line 661 "src/parse.yy"
      { (yyval.expr) = new PtrDerefExpr((yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3834 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 70: /* unary_expression: '+' cast_expression  */
#line 663 "src/parse.yy"
      { (yyval.expr) = (yyvsp[0].expr); }
#line 3840 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 71: /* unary_expression: '-' cast_expression  */
#line 665 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::Negate, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3846 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 72: /* unary_expression: '~' cast_expression  */
#line 667 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::BitNot, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3852 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 73: /* unary_expression: '!' cast_expression  */
#line 669 "src/parse.yy"
      { (yyval.expr) = new UnaryExpr(UnaryExpr::LogicalNot, (yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3858 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 74: /* unary_expression: TOKEN_SIZEOF unary_expression  */
#line 671 "src/parse.yy"
      { (yyval.expr) = new SizeOfExpr((yyvsp[0].expr), Union((yylsp[-1]), (yylsp[0]))); }
#line 3864 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 75: /* unary_expression: TOKEN_SIZEOF '(' type_name ')'  */
#line 673 "src/parse.yy"
      { (yyval.expr) = new SizeOfExpr((yyvsp[-1].type), Union((yylsp[-3]), (yylsp[0]))); }
#line 3870 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 76: /* unary_expression: TOKEN_ALLOCA '(' assignment_expression ')'  */
#line 675 "src/parse.yy"
      {
          (yyval.expr) = new AllocaExpr((yyvsp[-1].expr), Union((yylsp[-3]), (yylsp[0])));
      }
#line 3878 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 78: /* cast_expression: '(' type_name ')' cast_expression  */
#line 683 "src/parse.yy"
      {
          (yyval.expr) = new TypeCastExpr((yyvsp[-2].type), (yyvsp[0].expr), Union((yylsp[-3]),(yylsp[0])));
      }
#line 3886 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 80: /* multiplicative_expression: multiplicative_expression '*' cast_expression  */
#line 691 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Mul, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3892 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 81: /* multiplicative_expression: multiplicative_expression '/' cast_expression  */
#line 693 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Div, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3898 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 82: /* multiplicative_expression: multiplicative_expression '%' cast_expression  */
#line 695 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Mod, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3904 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 84: /* additive_expression: additive_expression '+' multiplicative_expression  */
#line 701 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Add, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3910 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 85: /* additive_expression: additive_expression '-' multiplicative_expression  */
#line 703 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Sub, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3916 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 87: /* shift_expression: shift_expression TOKEN_LEFT_OP additive_expression  */
#line 709 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Shl, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3922 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 88: /* shift_expression: shift_expression TOKEN_RIGHT_OP additive_expression  */
#line 711 "src/parse.yy"
      { (yyval.expr) = MakeBinaryExpr(BinaryExpr::Shr, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3928 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 90: /* relational_expression: relational_expression '<' shift_expression  */
#line 717 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Lt, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3934 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 91: /* relational_expression: relational_expression '>' shift_expression  */
#line 719 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Gt, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3940 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 92: /* relational_expression: relational_expression TOKEN_LE_OP shift_expression  */
#line 721 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Le, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3946 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 93: /* relational_expression: relational_expression TOKEN_GE_OP shift_expression  */
#line 723 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Ge, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3952 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 95: /* equality_expression: equality_expression TOKEN_EQ_OP relational_expression  */
#line 729 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Equal, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]),(yylsp[0]))); }
#line 3958 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 96: /* equality_expression: equality_expression TOKEN_NE_OP relational_expression  */
#line 731 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::NotEqual, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]),(yylsp[0]))); }
#line 3964 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 98: /* and_expression: and_expression '&' equality_expression  */
#line 737 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::BitAnd, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3970 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 100: /* exclusive_or_expression: exclusive_or_expression '^' and_expression  */
#line 743 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::BitXor, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3976 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 102: /* inclusive_or_expression: inclusive_or_expression '|' exclusive_or_expression  */
#line 749 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::BitOr, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3982 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 104: /* logical_and_expression: logical_and_expression TOKEN_AND_OP inclusive_or_expression  */
#line 755 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::LogicalAnd, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3988 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 106: /* logical_or_expression: logical_or_expression TOKEN_OR_OP logical_and_expression  */
#line 761 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::LogicalOr, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 3994 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 108: /* conditional_expression: logical_or_expression '?' expression ':' conditional_expression  */
#line 767 "src/parse.yy"
      { (yyval.expr) = new SelectExpr((yyvsp[-4].expr), (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-4]),(yylsp[0]))); }
#line 4000 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 109: /* rate_qualified_new: TOKEN_NEW  */
#line 771 "src/parse.yy"
                { (yyval.intVal) = 0; }
#line 4006 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 110: /* rate_qualified_new: TOKEN_UNIFORM TOKEN_NEW  */
#line 772 "src/parse.yy"
                              { (yyval.intVal) = TYPEQUAL_UNIFORM; }
#line 4012 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 111: /* rate_qualified_new: TOKEN_VARYING TOKEN_NEW  */
#line 773 "src/parse.yy"
                              { (yyval.intVal) = TYPEQUAL_VARYING; }
#line 4018 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 112: /* rate_qualified_type_specifier: type_specifier  */
#line 777 "src/parse.yy"
                     { (yyval.type) = (yyvsp[0].type); }
#line 4024 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 113: /* rate_qualified_type_specifier: TOKEN_UNIFORM type_specifier  */
#line 779 "src/parse.yy"
    {
        if ((yyvsp[0].type) == nullptr)
            (yyval.type) = nullptr;
        else if ((yyvsp[0].type)->IsVoidType()) {
            Error((yylsp[-1]), "\"uniform\" qualifier is illegal with \"void\" type.");
            (yyval.type) = nullptr;
        }
        else
            (yyval.type) = (yyvsp[0].type)->GetAsUniformType();
    }
#line 4039 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 114: /* rate_qualified_type_specifier: TOKEN_VARYING type_specifier  */
#line 790 "src/parse.yy"
    {
        if ((yyvsp[0].type) == nullptr)
            (yyval.type) = nullptr;
        else if ((yyvsp[0].type)->IsVoidType()) {
            Error((yylsp[-1]), "\"varying\" qualifier is illegal with \"void\" type.");
            (yyval.type) = nullptr;
        }
        else
            (yyval.type) = (yyvsp[0].type)->GetAsVaryingType();
    }
#line 4054 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 115: /* rate_qualified_type_specifier: soa_width_specifier type_specifier  */
#line 801 "src/parse.yy"
    {
        if ((yyvsp[0].type) == nullptr)
            (yyval.type) = nullptr;
        else {
            int soaWidth = (int)(yyvsp[-1].intVal);
            const StructType *st = CastType<StructType>((yyvsp[0].type));
            if (st == nullptr) {
                Error((yylsp[-1]), "\"soa\" qualifier is illegal with non-struct type \"%s\".",
                      (yyvsp[0].type)->GetString().c_str());
                (yyval.type) = nullptr;
            }
            else if (soaWidth <= 0 || (soaWidth & (soaWidth - 1)) != 0) {
                Error((yylsp[-1]), "soa<%d> width illegal. Value must be positive power "
                      "of two.", soaWidth);
                (yyval.type) = nullptr;
            }
            else
                (yyval.type) = st->GetAsSOAType(soaWidth);
        }
    }
#line 4079 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 117: /* new_expression: rate_qualified_new rate_qualified_type_specifier  */
#line 826 "src/parse.yy"
    {
        (yyval.expr) = new NewExpr((int32_t)(yyvsp[-1].intVal), (yyvsp[0].type), nullptr, nullptr, (yylsp[-1]), Union((yylsp[-1]), (yylsp[0])));
    }
#line 4087 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 118: /* new_expression: rate_qualified_new rate_qualified_type_specifier '(' initializer_list ')'  */
#line 830 "src/parse.yy"
    {
        (yyval.expr) = new NewExpr((int32_t)(yyvsp[-4].intVal), (yyvsp[-3].type), (yyvsp[-1].exprList), nullptr, (yylsp[-4]), Union((yylsp[-4]), (yylsp[-3])));
    }
#line 4095 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 119: /* new_expression: rate_qualified_new rate_qualified_type_specifier '[' expression ']'  */
#line 834 "src/parse.yy"
    {
        (yyval.expr) = new NewExpr((int32_t)(yyvsp[-4].intVal), (yyvsp[-3].type), nullptr, (yyvsp[-1].expr), (yylsp[-4]), Union((yylsp[-4]), (yylsp[-1])));
    }
#line 4103 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 121: /* assignment_expression: unary_expression '=' assignment_expression  */
#line 842 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::Assign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4109 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 122: /* assignment_expression: unary_expression TOKEN_MUL_ASSIGN assignment_expression  */
#line 844 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::MulAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4115 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 123: /* assignment_expression: unary_expression TOKEN_DIV_ASSIGN assignment_expression  */
#line 846 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::DivAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4121 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 124: /* assignment_expression: unary_expression TOKEN_MOD_ASSIGN assignment_expression  */
#line 848 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::ModAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4127 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 125: /* assignment_expression: unary_expression TOKEN_ADD_ASSIGN assignment_expression  */
#line 850 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::AddAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4133 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 126: /* assignment_expression: unary_expression TOKEN_SUB_ASSIGN assignment_expression  */
#line 852 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::SubAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4139 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 127: /* assignment_expression: unary_expression TOKEN_LEFT_ASSIGN assignment_expression  */
#line 854 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::ShlAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4145 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 128: /* assignment_expression: unary_expression TOKEN_RIGHT_ASSIGN assignment_expression  */
#line 856 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::ShrAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4151 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 129: /* assignment_expression: unary_expression TOKEN_AND_ASSIGN assignment_expression  */
#line 858 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::AndAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4157 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 130: /* assignment_expression: unary_expression TOKEN_XOR_ASSIGN assignment_expression  */
#line 860 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::XorAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4163 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 131: /* assignment_expression: unary_expression TOKEN_OR_ASSIGN assignment_expression  */
#line 862 "src/parse.yy"
      { (yyval.expr) = new AssignExpr(AssignExpr::OrAssign, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4169 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 133: /* expression: expression ',' assignment_expression  */
#line 868 "src/parse.yy"
      { (yyval.expr) = new BinaryExpr(BinaryExpr::Comma, (yyvsp[-2].expr), (yyvsp[0].expr), Union((yylsp[-2]), (yylsp[0]))); }
#line 4175 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 135: /* declaration_statement: declaration  */
#line 877 "src/parse.yy"
    {
        if ((yyvsp[0].declaration) == nullptr) {
            AssertPos((yylsp[0]), m->errorCount > 0);
            (yyval.stmt) = nullptr;
        }
        else if ((yyvsp[0].declaration)->declSpecs->storageClass == SC_TYPEDEF) {
            for (unsigned int i = 0; i < (yyvsp[0].declaration)->declarators.size(); ++i) {
                if ((yyvsp[0].declaration)->declarators[i] == nullptr)
                    AssertPos((yylsp[0]), m->errorCount > 0);
                else
                    m->AddTypeDef((yyvsp[0].declaration)->declarators[i]->name,
                                  (yyvsp[0].declaration)->declarators[i]->type,
                                  (yyvsp[0].declaration)->declarators[i]->pos);
            }
            (yyval.stmt) = nullptr;
        }
        else {
            (yyvsp[0].declaration)->DeclareFunctions();
            std::vector<VariableDeclaration> vars = (yyvsp[0].declaration)->GetVariableDeclarations();
            (yyval.stmt) = new DeclStmt(vars, (yylsp[0]));
        }
    }
#line 4202 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 136: /* declaration: declaration_specifiers ';'  */
#line 903 "src/parse.yy"
      {
          (yyval.declaration) = new Declaration((yyvsp[-1].declSpecs));
      }
#line 4210 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 137: /* declaration: declaration_specifiers init_declarator_list ';'  */
#line 907 "src/parse.yy"
      {
          (yyval.declaration) = new Declaration((yyvsp[-2].declSpecs), (yyvsp[-1].declarators));
          // init_declarator_list returns vector of declarators, its copy is
          // saved in Declaration constructor, so it is not needed anymore.
          delete (yyvsp[-1].declarators);
      }
#line 4221 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 138: /* soa_width_specifier: TOKEN_SOA '<' int_constant '>'  */
#line 917 "src/parse.yy"
      { (yyval.intVal) = (yyvsp[-1].intVal); }
#line 4227 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 139: /* declspec_item: TOKEN_IDENTIFIER  */
#line 922 "src/parse.yy"
    {
        std::pair<std::string, SourcePos> *p = new std::pair<std::string, SourcePos>;
        p->first = *(yyvsp[0].stringVal);
        p->second = (yylsp[0]);
        (yyval.declspecPair) = p;
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 4239 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 140: /* declspec_list: declspec_item  */
#line 933 "src/parse.yy"
    {
        (yyval.declspecList) = new std::vector<std::pair<std::string, SourcePos> >;
        (yyval.declspecList)->push_back(*(yyvsp[0].declspecPair));
        // declspec_item returns pair that was copied so it is not needed anymore.
        delete (yyvsp[0].declspecPair);
    }
#line 4250 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 141: /* declspec_list: declspec_list ',' declspec_item  */
#line 940 "src/parse.yy"
    {
        if ((yyvsp[-2].declspecList) != nullptr) {
            (yyvsp[-2].declspecList)->push_back(*(yyvsp[0].declspecPair));
            // declspec_item returns pair that was copied so it is not needed anymore.
            delete (yyvsp[0].declspecPair);
        }
        (yyval.declspecList) = (yyvsp[-2].declspecList);
    }
#line 4263 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 142: /* declspec_specifier: TOKEN_DECLSPEC '(' declspec_list ')'  */
#line 952 "src/parse.yy"
    {
        // declspec_list returns heap allocated vector that passed up here.
        (yyval.declspecList) = (yyvsp[-1].declspecList);
    }
#line 4272 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 143: /* declaration_specifiers: storage_class_specifier  */
#line 960 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs(nullptr, (yyvsp[0].storageClass));
      }
#line 4280 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 144: /* declaration_specifiers: storage_class_specifier declaration_specifiers  */
#line 964 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != nullptr) {
              if (ds->storageClass != SC_NONE)
                  Error((yylsp[-1]), "Multiple storage class specifiers in a declaration are illegal. "
                        "(Have provided both \"%s\" and \"%s\".)",
                        lGetStorageClassString(ds->storageClass),
                        lGetStorageClassString((yyvsp[-1].storageClass)));
              else
                  ds->storageClass = (yyvsp[-1].storageClass);
          }
          (yyval.declSpecs) = ds;
      }
#line 4298 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 145: /* declaration_specifiers: declspec_specifier  */
#line 978 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs;
          if ((yyvsp[0].declspecList) != nullptr) {
              (yyval.declSpecs)->declSpecList = *(yyvsp[0].declspecList);
              // declspec_specifier returns a vector that was copied and it is not needed anymore.
              delete (yyvsp[0].declspecList);
          }
      }
#line 4311 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 146: /* declaration_specifiers: declspec_specifier declaration_specifiers  */
#line 987 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          std::vector<std::pair<std::string, SourcePos> > *declSpecList = (yyvsp[-1].declspecList);
          if (ds != nullptr && declSpecList != nullptr) {
              for (int i = 0; i < (int)declSpecList->size(); ++i)
                  ds->declSpecList.push_back((*declSpecList)[i]);

              // declspec_specifier returns a vector that was copied and it is not needed anymore.
              delete declSpecList;
          }
          (yyval.declSpecs) = ds;
      }
#line 4328 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 147: /* declaration_specifiers: soa_width_specifier  */
#line 1000 "src/parse.yy"
      {
          DeclSpecs *ds = new DeclSpecs;
          ds->soaWidth = (int32_t)(yyvsp[0].intVal);
          (yyval.declSpecs) = ds;
      }
#line 4338 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 148: /* declaration_specifiers: soa_width_specifier declaration_specifiers  */
#line 1006 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != nullptr) {
              if (ds->soaWidth != 0)
                  Error((yylsp[-1]), "soa<> qualifier supplied multiple times in declaration.");
              else
                  ds->soaWidth = (int32_t)(yyvsp[-1].intVal);
          }
          (yyval.declSpecs) = ds;
      }
#line 4353 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 149: /* declaration_specifiers: type_specifier  */
#line 1017 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs((yyvsp[0].type));
      }
#line 4361 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 150: /* declaration_specifiers: type_specifier '<' int_constant '>'  */
#line 1021 "src/parse.yy"
    {
          DeclSpecs *ds = new DeclSpecs((yyvsp[-3].type));
          ds->vectorSize = (int32_t)(yyvsp[-1].intVal);
          (yyval.declSpecs) = ds;
    }
#line 4371 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 151: /* declaration_specifiers: type_specifier declaration_specifiers  */
#line 1027 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != nullptr) {
              if (ds->baseType != nullptr) {
                  if( ds->baseType->IsUnsignedType()) {
                      Error((yylsp[-1]), "Redefining uint8/uint16/uint32/uint64 type "
                      "which is part of ISPC language since version 1.13. "
                      "Remove this typedef or use ISPC_UINT_IS_DEFINED to "
                      "detect that these types are defined.");
                  }
                  else
                      Error((yylsp[-1]), "Multiple types provided for declaration.");
              }
              ds->baseType = (yyvsp[-1].type);
          }
          (yyval.declSpecs) = ds;
      }
#line 4393 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 152: /* declaration_specifiers: type_qualifier  */
#line 1045 "src/parse.yy"
      {
          (yyval.declSpecs) = new DeclSpecs(nullptr, SC_NONE, (yyvsp[0].typeQualifier));
      }
#line 4401 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 153: /* declaration_specifiers: type_qualifier declaration_specifiers  */
#line 1049 "src/parse.yy"
      {
          DeclSpecs *ds = (DeclSpecs *)(yyvsp[0].declSpecs);
          if (ds != nullptr)
              ds->typeQualifiers |= (yyvsp[-1].typeQualifier);
          (yyval.declSpecs) = ds;
      }
#line 4412 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 154: /* init_declarator_list: init_declarator  */
#line 1059 "src/parse.yy"
      {
          std::vector<Declarator *> *dl = new std::vector<Declarator *>;
          if ((yyvsp[0].declarator) != nullptr)
              dl->push_back((yyvsp[0].declarator));
          (yyval.declarators) = dl;
      }
#line 4423 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 155: /* init_declarator_list: init_declarator_list ',' init_declarator  */
#line 1066 "src/parse.yy"
      {
          std::vector<Declarator *> *dl = (std::vector<Declarator *> *)(yyvsp[-2].declarators);
          if (dl == nullptr) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              dl = new std::vector<Declarator *>;
          }
          if ((yyvsp[0].declarator) != nullptr)
              dl->push_back((yyvsp[0].declarator));
          (yyval.declarators) = dl;
      }
#line 4438 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 157: /* init_declarator: declarator '=' initializer  */
#line 1081 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) != nullptr)
              (yyvsp[-2].declarator)->initExpr = (yyvsp[0].expr);
          (yyval.declarator) = (yyvsp[-2].declarator);
      }
#line 4448 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 158: /* storage_class_specifier: TOKEN_TYPEDEF  */
#line 1089 "src/parse.yy"
                    { (yyval.storageClass) = SC_TYPEDEF; }
#line 4454 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 159: /* storage_class_specifier: TOKEN_EXTERN  */
#line 1090 "src/parse.yy"
                   { (yyval.storageClass) = SC_EXTERN; }
#line 4460 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 160: /* storage_class_specifier: TOKEN_EXTERN TOKEN_STRING_C_LITERAL  */
#line 1091 "src/parse.yy"
                                           { (yyval.storageClass) = SC_EXTERN_C; }
#line 4466 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 161: /* storage_class_specifier: TOKEN_EXTERN TOKEN_STRING_SYCL_LITERAL  */
#line 1092 "src/parse.yy"
                                              { (yyval.storageClass) = SC_EXTERN_SYCL; }
#line 4472 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 162: /* storage_class_specifier: TOKEN_STATIC  */
#line 1093 "src/parse.yy"
                   { (yyval.storageClass) = SC_STATIC; }
#line 4478 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 163: /* type_specifier: atomic_var_type_specifier  */
#line 1097 "src/parse.yy"
                                { (yyval.type) = (yyvsp[0].atomicType); }
#line 4484 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 164: /* type_specifier: TOKEN_TYPE_NAME  */
#line 1099 "src/parse.yy"
    {
        const Type *t = m->symbolTable->LookupType(yytext);
        (yyval.type) = t;
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 4494 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 165: /* type_specifier: struct_or_union_specifier  */
#line 1104 "src/parse.yy"
                                { (yyval.type) = (yyvsp[0].type); }
#line 4500 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 166: /* type_specifier: enum_specifier  */
#line 1105 "src/parse.yy"
                     { (yyval.type) = (yyvsp[0].enumType); }
#line 4506 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 167: /* type_specifier_list: type_specifier  */
#line 1110 "src/parse.yy"
    {
        if ((yyvsp[0].type) == nullptr)
            (yyval.typeList) = nullptr;
        else {
            std::vector<std::pair<const Type *, SourcePos> > *vec =
                new std::vector<std::pair<const Type *, SourcePos> >;
            vec->push_back(std::make_pair((yyvsp[0].type), (yylsp[0])));
            (yyval.typeList) = vec;
        }
    }
#line 4521 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 168: /* type_specifier_list: type_specifier_list ',' type_specifier  */
#line 1121 "src/parse.yy"
    {
        (yyval.typeList) = (yyvsp[-2].typeList);
        if ((yyvsp[-2].typeList) == nullptr)
            Assert(m->errorCount > 0);
        else
            (yyval.typeList)->push_back(std::make_pair((yyvsp[0].type), (yylsp[0])));
    }
#line 4533 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 169: /* atomic_var_type_specifier: TOKEN_VOID  */
#line 1131 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::Void; }
#line 4539 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 170: /* atomic_var_type_specifier: TOKEN_BOOL  */
#line 1132 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::UniformBool->GetAsUnboundVariabilityType(); }
#line 4545 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 171: /* atomic_var_type_specifier: TOKEN_INT8  */
#line 1133 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::UniformInt8->GetAsUnboundVariabilityType(); }
#line 4551 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 172: /* atomic_var_type_specifier: TOKEN_UINT8  */
#line 1134 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformUInt8->GetAsUnboundVariabilityType(); }
#line 4557 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 173: /* atomic_var_type_specifier: TOKEN_INT16  */
#line 1135 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt16->GetAsUnboundVariabilityType(); }
#line 4563 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 174: /* atomic_var_type_specifier: TOKEN_UINT16  */
#line 1136 "src/parse.yy"
                   { (yyval.atomicType) = AtomicType::UniformUInt16->GetAsUnboundVariabilityType(); }
#line 4569 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 175: /* atomic_var_type_specifier: TOKEN_INT  */
#line 1137 "src/parse.yy"
                { (yyval.atomicType) = AtomicType::UniformInt32->GetAsUnboundVariabilityType(); }
#line 4575 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 176: /* atomic_var_type_specifier: TOKEN_UINT  */
#line 1138 "src/parse.yy"
                 { (yyval.atomicType) = AtomicType::UniformUInt32->GetAsUnboundVariabilityType(); }
#line 4581 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 177: /* atomic_var_type_specifier: TOKEN_FLOAT16  */
#line 1139 "src/parse.yy"
                    { (yyval.atomicType) = AtomicType::UniformFloat16->GetAsUnboundVariabilityType(); }
#line 4587 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 178: /* atomic_var_type_specifier: TOKEN_FLOAT  */
#line 1140 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformFloat->GetAsUnboundVariabilityType(); }
#line 4593 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 179: /* atomic_var_type_specifier: TOKEN_DOUBLE  */
#line 1141 "src/parse.yy"
                   { (yyval.atomicType) = AtomicType::UniformDouble->GetAsUnboundVariabilityType(); }
#line 4599 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 180: /* atomic_var_type_specifier: TOKEN_INT64  */
#line 1142 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt64->GetAsUnboundVariabilityType(); }
#line 4605 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 181: /* atomic_var_type_specifier: TOKEN_UINT64  */
#line 1143 "src/parse.yy"
                   { (yyval.atomicType) = AtomicType::UniformUInt64->GetAsUnboundVariabilityType(); }
#line 4611 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 182: /* short_vec_specifier: atomic_var_type_specifier '<' int_constant '>'  */
#line 1148 "src/parse.yy"
    {
        (yyval.type) = (yyvsp[-3].atomicType) ? new VectorType((yyvsp[-3].atomicType), (int32_t)(yyvsp[-1].intVal)) : nullptr;
    }
#line 4619 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 183: /* struct_or_union_name: TOKEN_IDENTIFIER  */
#line 1155 "src/parse.yy"
    {
        (yyval.constCharPtr) = strdup(yytext);
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 4628 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 184: /* struct_or_union_name: TOKEN_TYPE_NAME  */
#line 1160 "src/parse.yy"
    {
        (yyval.constCharPtr) = strdup(yytext);
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 4637 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 185: /* struct_or_union_and_name: struct_or_union struct_or_union_name  */
#line 1168 "src/parse.yy"
      {
          const Type *st = m->symbolTable->LookupType((yyvsp[0].constCharPtr));
          if (st == nullptr) {
              st = new UndefinedStructType((yyvsp[0].constCharPtr), Variability::Unbound, false, (yylsp[0]));
              m->symbolTable->AddType((yyvsp[0].constCharPtr), st, (yylsp[0]));
              (yyval.type) = st;
          }
          else {
              if (CastType<StructType>(st) == nullptr &&
                  CastType<UndefinedStructType>(st) == nullptr) {
                  Error((yylsp[0]), "Type \"%s\" is not a struct type! (%s)", (yyvsp[0].constCharPtr),
                        st->GetString().c_str());
                  (yyval.type) = nullptr;
              }
              else
                  (yyval.type) = st;
         }
         // allocated by strdup in struct_or_union_name
         free((char*)(yyvsp[0].constCharPtr));
      }
#line 4662 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 187: /* struct_or_union_specifier: struct_or_union_and_name '{' struct_declaration_list '}'  */
#line 1193 "src/parse.yy"
      {
          if ((yyvsp[-1].structDeclarationList) != nullptr) {
              llvm::SmallVector<const Type *, 8> elementTypes;
              llvm::SmallVector<std::string, 8> elementNames;
              llvm::SmallVector<SourcePos, 8> elementPositions;
              GetStructTypesNamesPositions(*(yyvsp[-1].structDeclarationList), &elementTypes, &elementNames,
                                           &elementPositions);
              const std::string &name = CastType<StructType>((yyvsp[-3].type)) ?
                  CastType<StructType>((yyvsp[-3].type))->GetStructName() :
                  CastType<UndefinedStructType>((yyvsp[-3].type))->GetStructName();
              StructType *st = new StructType(name, elementTypes, elementNames,
                                              elementPositions, false,
                                              Variability::Unbound, false, (yylsp[-3]));
              m->symbolTable->AddType(name.c_str(), st, (yylsp[-3]));
              (yyval.type) = st;
              // struct_declaration_list returns a vector that is not needed anymore.
              delete (yyvsp[-1].structDeclarationList);
          }
          else
              (yyval.type) = nullptr;
      }
#line 4688 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 188: /* struct_or_union_specifier: struct_or_union '{' struct_declaration_list '}'  */
#line 1215 "src/parse.yy"
      {
          if ((yyvsp[-1].structDeclarationList) != nullptr) {
              llvm::SmallVector<const Type *, 8> elementTypes;
              llvm::SmallVector<std::string, 8> elementNames;
              llvm::SmallVector<SourcePos, 8> elementPositions;
              GetStructTypesNamesPositions(*(yyvsp[-1].structDeclarationList), &elementTypes, &elementNames,
                                           &elementPositions);
              (yyval.type) = new StructType("", elementTypes, elementNames, elementPositions,
                                  false, Variability::Unbound, true, (yylsp[-3]));
              // struct_declaration_list returns a vector that is not needed anymore.
              delete (yyvsp[-1].structDeclarationList);
          }
          else
              (yyval.type) = nullptr;
      }
#line 4708 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 189: /* struct_or_union_specifier: struct_or_union '{' '}'  */
#line 1231 "src/parse.yy"
      {
          llvm::SmallVector<const Type *, 8> elementTypes;
          llvm::SmallVector<std::string, 8> elementNames;
          llvm::SmallVector<SourcePos, 8> elementPositions;
          (yyval.type) = new StructType("", elementTypes, elementNames, elementPositions,
                              false, Variability::Unbound, true, (yylsp[-2]));
      }
#line 4720 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 190: /* struct_or_union_specifier: struct_or_union_and_name '{' '}'  */
#line 1239 "src/parse.yy"
      {
          llvm::SmallVector<const Type *, 8> elementTypes;
          llvm::SmallVector<std::string, 8> elementNames;
          llvm::SmallVector<SourcePos, 8> elementPositions;
          const std::string &name = CastType<StructType>((yyvsp[-2].type)) ?
              CastType<StructType>((yyvsp[-2].type))->GetStructName() :
              CastType<UndefinedStructType>((yyvsp[-2].type))->GetStructName();
          StructType *st = new StructType(name, elementTypes,
                                          elementNames, elementPositions,
                                          false, Variability::Unbound, false, (yylsp[-2]));
          m->symbolTable->AddType(name.c_str(), st, (yylsp[-1]));
          (yyval.type) = st;
      }
#line 4738 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 192: /* struct_declaration_list: struct_declaration  */
#line 1260 "src/parse.yy"
      {
          std::vector<StructDeclaration *> *sdl = new std::vector<StructDeclaration *>;
          if ((yyvsp[0].structDeclaration) != nullptr)
              sdl->push_back((yyvsp[0].structDeclaration));
          (yyval.structDeclarationList) = sdl;
      }
#line 4749 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 193: /* struct_declaration_list: struct_declaration_list struct_declaration  */
#line 1267 "src/parse.yy"
      {
          std::vector<StructDeclaration *> *sdl = (std::vector<StructDeclaration *> *)(yyvsp[-1].structDeclarationList);
          if (sdl == nullptr) {
              AssertPos((yylsp[-1]), m->errorCount > 0);
              sdl = new std::vector<StructDeclaration *>;
          }
          if ((yyvsp[0].structDeclaration) != nullptr)
              sdl->push_back((yyvsp[0].structDeclaration));
          (yyval.structDeclarationList) = sdl;
      }
#line 4764 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 194: /* struct_declaration: specifier_qualifier_list struct_declarator_list ';'  */
#line 1281 "src/parse.yy"
      { (yyval.structDeclaration) = ((yyvsp[-2].type) != nullptr && (yyvsp[-1].structDeclaratorList) != nullptr) ? new StructDeclaration((yyvsp[-2].type), (yyvsp[-1].structDeclaratorList)) : nullptr; }
#line 4770 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 198: /* specifier_qualifier_list: type_qualifier specifier_qualifier_list  */
#line 1289 "src/parse.yy"
    {
        if ((yyvsp[0].type) != nullptr) {
            if ((yyvsp[-1].typeQualifier) == TYPEQUAL_UNIFORM) {
                if ((yyvsp[0].type)->IsVoidType()) {
                    Error((yylsp[-1]), "\"uniform\" qualifier is illegal with \"void\" type.");
                    (yyval.type) = nullptr;
                }
                else
                    (yyval.type) = (yyvsp[0].type)->GetAsUniformType();
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_VARYING) {
                if ((yyvsp[0].type)->IsVoidType()) {
                    Error((yylsp[-1]), "\"varying\" qualifier is illegal with \"void\" type.");
                    (yyval.type) = nullptr;
                }
                else
                    (yyval.type) = (yyvsp[0].type)->GetAsVaryingType();
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_CONST)
                (yyval.type) = (yyvsp[0].type)->GetAsConstType();
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_SIGNED) {
                if ((yyvsp[0].type)->IsIntType() == false) {
                    Error((yylsp[-1]), "Can't apply \"signed\" qualifier to \"%s\" type.",
                          (yyvsp[0].type)->ResolveUnboundVariability(Variability::Varying)->GetString().c_str());
                    (yyval.type) = (yyvsp[0].type);
                }
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_UNSIGNED) {
                const Type *t = (yyvsp[0].type)->GetAsUnsignedType();
                if (t)
                    (yyval.type) = t;
                else {
                    Error((yylsp[-1]), "Can't apply \"unsigned\" qualifier to \"%s\" type. Ignoring.",
                          (yyvsp[0].type)->ResolveUnboundVariability(Variability::Varying)->GetString().c_str());
                    (yyval.type) = (yyvsp[0].type);
                }
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_INLINE) {
                Error((yylsp[-1]), "\"inline\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_NOINLINE) {
                Error((yylsp[-1]), "\"noinline\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_VECTORCALL) {
                Error((yylsp[-1]), "\"__vectorcall\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_REGCALL) {
                Error((yylsp[-1]), "\"__regcall\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_TASK) {
                Error((yylsp[-1]), "\"task\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_UNMASKED) {
                Error((yylsp[-1]), "\"unmasked\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else if ((yyvsp[-1].typeQualifier) == TYPEQUAL_EXPORT) {
                Error((yylsp[-1]), "\"export\" qualifier is illegal outside of "
                      "function declarations.");
                (yyval.type) = (yyvsp[0].type);
            }
            else
                FATAL("Unhandled type qualifier in parser.");
        }
        else {
            if (m->errorCount == 0)
                Error((yylsp[-1]), "Lost type qualifier in parser.");
            (yyval.type) = nullptr;
        }
    }
#line 4856 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 199: /* struct_declarator_list: struct_declarator  */
#line 1375 "src/parse.yy"
      {
          std::vector<Declarator *> *sdl = new std::vector<Declarator *>;
          if ((yyvsp[0].declarator) != nullptr)
              sdl->push_back((yyvsp[0].declarator));
          (yyval.structDeclaratorList) = sdl;
      }
#line 4867 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 200: /* struct_declarator_list: struct_declarator_list ',' struct_declarator  */
#line 1382 "src/parse.yy"
      {
          std::vector<Declarator *> *sdl = (std::vector<Declarator *> *)(yyvsp[-2].structDeclaratorList);
          if (sdl == nullptr) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              sdl = new std::vector<Declarator *>;
          }
          if ((yyvsp[0].declarator) != nullptr)
              sdl->push_back((yyvsp[0].declarator));
          (yyval.structDeclaratorList) = sdl;
      }
#line 4882 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 201: /* struct_declarator: declarator  */
#line 1395 "src/parse.yy"
                 { (yyval.declarator) = (yyvsp[0].declarator); }
#line 4888 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 202: /* enum_identifier: TOKEN_IDENTIFIER  */
#line 1404 "src/parse.yy"
      {
          (yyval.constCharPtr) = strdup(yytext);
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 4897 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 203: /* enum_specifier: TOKEN_ENUM '{' enumerator_list '}'  */
#line 1412 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType(nullptr, (yyvsp[-1].symbolList), (yylsp[-3]));
          // enumerator_list returns aux vector that is not needed anymore.
          delete (yyvsp[-1].symbolList);
      }
#line 4907 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 204: /* enum_specifier: TOKEN_ENUM enum_identifier '{' enumerator_list '}'  */
#line 1418 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType((yyvsp[-3].constCharPtr), (yyvsp[-1].symbolList), (yylsp[-3]));
          // allocated by strdup in enum_identifier
          free((char*)(yyvsp[-3].constCharPtr));

          // enumerator_list returns aux vector that is not needed anymore.
          delete (yyvsp[-1].symbolList);
      }
#line 4920 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 205: /* enum_specifier: TOKEN_ENUM '{' enumerator_list ',' '}'  */
#line 1427 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType(nullptr, (yyvsp[-2].symbolList), (yylsp[-4]));
          // enumerator_list returns aux vector that is not needed anymore.
          delete (yyvsp[-2].symbolList);
      }
#line 4930 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 206: /* enum_specifier: TOKEN_ENUM enum_identifier '{' enumerator_list ',' '}'  */
#line 1433 "src/parse.yy"
      {
          (yyval.enumType) = lCreateEnumType((yyvsp[-4].constCharPtr), (yyvsp[-2].symbolList), (yylsp[-4]));
          // allocated by strdup in enum_identifier
          free((char*)(yyvsp[-4].constCharPtr));

          // enumerator_list returns aux vector that is not needed anymore.
          delete (yyvsp[-2].symbolList);
      }
#line 4943 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 207: /* enum_specifier: TOKEN_ENUM enum_identifier  */
#line 1442 "src/parse.yy"
      {
          const Type *type = m->symbolTable->LookupType((yyvsp[0].constCharPtr));
          if (type == nullptr) {
              std::vector<std::string> alternates = m->symbolTable->ClosestEnumTypeMatch((yyvsp[0].constCharPtr));
              std::string alts = lGetAlternates(alternates);
              Error((yylsp[0]), "Enum type \"%s\" unknown.%s", (yyvsp[0].constCharPtr), alts.c_str());
              (yyval.enumType) = nullptr;
          }
          else {
              const EnumType *enumType = CastType<EnumType>(type);
              if (enumType == nullptr) {
                  Error((yylsp[0]), "Type \"%s\" is not an enum type (%s).", (yyvsp[0].constCharPtr),
                        type->GetString().c_str());
                  (yyval.enumType) = nullptr;
              }
              else
                  (yyval.enumType) = enumType;
          }
          // allocated by strdup in enum_identifier
          free((char*)(yyvsp[0].constCharPtr));
      }
#line 4969 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 208: /* enumerator_list: enumerator  */
#line 1467 "src/parse.yy"
      {
          if ((yyvsp[0].symbol) == nullptr)
              (yyval.symbolList) = nullptr;
          else {
              std::vector<Symbol *> *el = new std::vector<Symbol *>;
              el->push_back((yyvsp[0].symbol));
              (yyval.symbolList) = el;
          }
      }
#line 4983 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 209: /* enumerator_list: enumerator_list ',' enumerator  */
#line 1477 "src/parse.yy"
      {
          std::vector<Symbol *> *symList = (yyvsp[-2].symbolList);
          if (symList == nullptr) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              symList = new std::vector<Symbol *>;
          }
          if ((yyvsp[0].symbol) != nullptr)
              symList->push_back((yyvsp[0].symbol));
          (yyval.symbolList) = symList;
      }
#line 4998 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 210: /* enumerator: enum_identifier  */
#line 1491 "src/parse.yy"
      {
          (yyval.symbol) = new Symbol((yyvsp[0].constCharPtr), (yylsp[0]));
          // allocated by strdup in enum_identifier
          free((char*)(yyvsp[0].constCharPtr));
      }
#line 5008 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 211: /* enumerator: enum_identifier '=' constant_expression  */
#line 1497 "src/parse.yy"
      {
          int value;
          if ((yyvsp[-2].constCharPtr) != nullptr && (yyvsp[0].expr) != nullptr &&
              lGetConstantInt((yyvsp[0].expr), &value, (yylsp[0]), "Enumerator value")) {
              Symbol *sym = new Symbol((yyvsp[-2].constCharPtr), (yylsp[-2]));
              sym->constValue = new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                                              (uint32_t)value, (yylsp[0]));
              (yyval.symbol) = sym;
          }
          else
              (yyval.symbol) = nullptr;

          // allocated by strdup in enum_identifier
          free((char*)(yyvsp[-2].constCharPtr));
      }
#line 5028 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 212: /* type_qualifier: TOKEN_CONST  */
#line 1515 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_CONST; }
#line 5034 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 213: /* type_qualifier: TOKEN_UNIFORM  */
#line 1516 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_UNIFORM; }
#line 5040 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 214: /* type_qualifier: TOKEN_VARYING  */
#line 1517 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_VARYING; }
#line 5046 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 215: /* type_qualifier: TOKEN_TASK  */
#line 1518 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_TASK; }
#line 5052 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 216: /* type_qualifier: TOKEN_UNMASKED  */
#line 1519 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_UNMASKED; }
#line 5058 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 217: /* type_qualifier: TOKEN_EXPORT  */
#line 1520 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_EXPORT; }
#line 5064 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 218: /* type_qualifier: TOKEN_INLINE  */
#line 1521 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_INLINE; }
#line 5070 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 219: /* type_qualifier: TOKEN_NOINLINE  */
#line 1522 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_NOINLINE; }
#line 5076 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 220: /* type_qualifier: TOKEN_VECTORCALL  */
#line 1523 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_VECTORCALL; }
#line 5082 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 221: /* type_qualifier: TOKEN_REGCALL  */
#line 1524 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_REGCALL; }
#line 5088 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 222: /* type_qualifier: TOKEN_SIGNED  */
#line 1525 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_SIGNED; }
#line 5094 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 223: /* type_qualifier: TOKEN_UNSIGNED  */
#line 1526 "src/parse.yy"
                          { (yyval.typeQualifier) = TYPEQUAL_UNSIGNED; }
#line 5100 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 224: /* type_qualifier_list: type_qualifier  */
#line 1531 "src/parse.yy"
    {
        (yyval.typeQualifier) = (yyvsp[0].typeQualifier);
    }
#line 5108 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 225: /* type_qualifier_list: type_qualifier_list type_qualifier  */
#line 1535 "src/parse.yy"
    {
        (yyval.typeQualifier) = (yyvsp[-1].typeQualifier) | (yyvsp[0].typeQualifier);
    }
#line 5116 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 226: /* declarator: pointer direct_declarator  */
#line 1542 "src/parse.yy"
    {
        if ((yyvsp[-1].declarator) != nullptr) {
            Declarator *tail = (yyvsp[-1].declarator);
            while (tail->child != nullptr)
               tail = tail->child;
            tail->child = (yyvsp[0].declarator);
            (yyval.declarator) = (yyvsp[-1].declarator);
        }
        else
            (yyval.declarator) = nullptr;
    }
#line 5132 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 227: /* declarator: reference direct_declarator  */
#line 1554 "src/parse.yy"
    {
        if ((yyvsp[-1].declarator) != nullptr) {
            Declarator *tail = (yyvsp[-1].declarator);
            while (tail->child != nullptr)
               tail = tail->child;
            tail->child = (yyvsp[0].declarator);
            (yyval.declarator) = (yyvsp[-1].declarator);
        }
        else
            (yyval.declarator) = nullptr;
    }
#line 5148 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 229: /* int_constant: TOKEN_INT8_CONSTANT  */
#line 1569 "src/parse.yy"
                          { (yyval.intVal) = yylval.intVal; }
#line 5154 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 230: /* int_constant: TOKEN_INT16_CONSTANT  */
#line 1570 "src/parse.yy"
                           { (yyval.intVal) = yylval.intVal; }
#line 5160 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 231: /* int_constant: TOKEN_INT32_CONSTANT  */
#line 1571 "src/parse.yy"
                           { (yyval.intVal) = yylval.intVal; }
#line 5166 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 232: /* int_constant: TOKEN_INT64_CONSTANT  */
#line 1572 "src/parse.yy"
                           { (yyval.intVal) = yylval.intVal; }
#line 5172 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 233: /* direct_declarator: TOKEN_IDENTIFIER  */
#line 1577 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_BASE, (yylsp[0]));
          d->name = yytext;
          (yyval.declarator) = d;
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 5183 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 234: /* direct_declarator: TOKEN_TEMPLATE_NAME  */
#line 1586 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_BASE, (yylsp[0]));
          d->name = yytext;
          (yyval.declarator) = d;
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 5194 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 235: /* direct_declarator: '(' declarator ')'  */
#line 1593 "src/parse.yy"
    {
        (yyval.declarator) = (yyvsp[-1].declarator);
    }
#line 5202 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 236: /* direct_declarator: direct_declarator '[' constant_expression ']'  */
#line 1597 "src/parse.yy"
    {
        int size;
        if ((yyvsp[-3].declarator) != nullptr && lGetConstantInt((yyvsp[-1].expr), &size, (yylsp[-1]), "Array dimension")) {
            if (size < 0) {
                Error((yylsp[-1]), "Array dimension must be non-negative.");
                (yyval.declarator) = nullptr;
            }
            else {
                Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-3]), (yylsp[0])));
                d->arraySize = size;
                d->child = (yyvsp[-3].declarator);
                (yyval.declarator) = d;
            }
        }
        else
            (yyval.declarator) = nullptr;
    }
#line 5224 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 237: /* direct_declarator: direct_declarator '[' ']'  */
#line 1615 "src/parse.yy"
    {
        if ((yyvsp[-2].declarator) != nullptr) {
            Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-2]), (yylsp[0])));
            d->arraySize = 0; // unsize
            d->child = (yyvsp[-2].declarator);
            (yyval.declarator) = d;
        }
        else
            (yyval.declarator) = nullptr;
    }
#line 5239 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 238: /* direct_declarator: direct_declarator '[' error ']'  */
#line 1626 "src/parse.yy"
    {
         (yyval.declarator) = nullptr;
    }
#line 5247 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 239: /* direct_declarator: direct_declarator '(' parameter_type_list ')'  */
#line 1630 "src/parse.yy"
      {
          if ((yyvsp[-3].declarator) != nullptr) {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-3]), (yylsp[0])));
              d->child = (yyvsp[-3].declarator);
              if ((yyvsp[-1].declarationList) != nullptr) {
                  d->functionParams = *(yyvsp[-1].declarationList);
                  // parameter_type_list returns vector of Declarations that is not needed anymore.
                  delete (yyvsp[-1].declarationList);
              }
              (yyval.declarator) = d;
          }
          else
              (yyval.declarator) = nullptr;
      }
#line 5266 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 240: /* direct_declarator: direct_declarator '(' ')'  */
#line 1645 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) != nullptr) {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-2]), (yylsp[0])));
              d->child = (yyvsp[-2].declarator);
              (yyval.declarator) = d;
          }
          else
              (yyval.declarator) = nullptr;
      }
#line 5280 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 241: /* direct_declarator: direct_declarator '(' error ')'  */
#line 1655 "src/parse.yy"
    {
        (yyval.declarator) = nullptr;
    }
#line 5288 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 242: /* pointer: '*'  */
#line 1663 "src/parse.yy"
    {
        (yyval.declarator) = new Declarator(DK_POINTER, (yylsp[0]));
    }
#line 5296 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 243: /* pointer: '*' type_qualifier_list  */
#line 1667 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-1]), (yylsp[0])));
          d->typeQualifiers = (yyvsp[0].typeQualifier);
          (yyval.declarator) = d;
      }
#line 5306 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 244: /* pointer: '*' pointer  */
#line 1673 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-1]), (yylsp[0])));
          d->child = (yyvsp[0].declarator);
          (yyval.declarator) = d;
      }
#line 5316 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 245: /* pointer: '*' type_qualifier_list pointer  */
#line 1679 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-2]), (yylsp[0])));
          d->typeQualifiers = (yyvsp[-1].typeQualifier);
          d->child = (yyvsp[0].declarator);
          (yyval.declarator) = d;
      }
#line 5327 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 246: /* reference: '&'  */
#line 1690 "src/parse.yy"
    {
        (yyval.declarator) = new Declarator(DK_REFERENCE, (yylsp[0]));
    }
#line 5335 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 247: /* parameter_type_list: parameter_list  */
#line 1697 "src/parse.yy"
                     { (yyval.declarationList) = (yyvsp[0].declarationList); }
#line 5341 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 248: /* parameter_list: parameter_declaration  */
#line 1702 "src/parse.yy"
    {
        std::vector<Declaration *> *dl = new std::vector<Declaration *>;
        if ((yyvsp[0].declaration) != nullptr)
            dl->push_back((yyvsp[0].declaration));
        (yyval.declarationList) = dl;
    }
#line 5352 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 249: /* parameter_list: parameter_list ',' parameter_declaration  */
#line 1709 "src/parse.yy"
    {
        std::vector<Declaration *> *dl = (std::vector<Declaration *> *)(yyvsp[-2].declarationList);
        if (dl == nullptr)
            dl = new std::vector<Declaration *>;
        if ((yyvsp[0].declaration) != nullptr)
            dl->push_back((yyvsp[0].declaration));
        (yyval.declarationList) = dl;
    }
#line 5365 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 250: /* parameter_list: error ','  */
#line 1718 "src/parse.yy"
    {
        lSuggestParamListAlternates();
        (yyval.declarationList) = nullptr;
    }
#line 5374 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 251: /* parameter_declaration: declaration_specifiers declarator  */
#line 1726 "src/parse.yy"
    {
        (yyval.declaration) = new Declaration((yyvsp[-1].declSpecs), (yyvsp[0].declarator));
    }
#line 5382 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 252: /* parameter_declaration: declaration_specifiers declarator '=' initializer  */
#line 1730 "src/parse.yy"
    {
        if ((yyvsp[-3].declSpecs) != nullptr && (yyvsp[-2].declarator) != nullptr) {
            (yyvsp[-2].declarator)->initExpr = (yyvsp[0].expr);
            (yyval.declaration) = new Declaration((yyvsp[-3].declSpecs), (yyvsp[-2].declarator));
        }
        else
            (yyval.declaration) = nullptr;
    }
#line 5395 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 253: /* parameter_declaration: declaration_specifiers abstract_declarator  */
#line 1739 "src/parse.yy"
    {
        if ((yyvsp[-1].declSpecs) != nullptr && (yyvsp[0].declarator) != nullptr)
            (yyval.declaration) = new Declaration((yyvsp[-1].declSpecs), (yyvsp[0].declarator));
        else
            (yyval.declaration) = nullptr;
    }
#line 5406 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 254: /* parameter_declaration: declaration_specifiers  */
#line 1746 "src/parse.yy"
    {
        if ((yyvsp[0].declSpecs) == nullptr)
            (yyval.declaration) = nullptr;
        else
            (yyval.declaration) = new Declaration((yyvsp[0].declSpecs));
    }
#line 5417 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 256: /* type_name: specifier_qualifier_list abstract_declarator  */
#line 1764 "src/parse.yy"
    {
        if ((yyvsp[-1].type) == nullptr || (yyvsp[0].declarator) == nullptr)
            (yyval.type) = nullptr;
        else {
            (yyvsp[0].declarator)->InitFromType((yyvsp[-1].type), nullptr);
            (yyval.type) = (yyvsp[0].declarator)->type;
        }
    }
#line 5430 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 257: /* abstract_declarator: pointer  */
#line 1776 "src/parse.yy"
      {
          (yyval.declarator) = (yyvsp[0].declarator);
      }
#line 5438 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 259: /* abstract_declarator: pointer direct_abstract_declarator  */
#line 1781 "src/parse.yy"
      {
          if ((yyvsp[0].declarator) == nullptr)
              (yyval.declarator) = nullptr;
          else {
              Declarator *d = new Declarator(DK_POINTER, Union((yylsp[-1]), (yylsp[0])));
              d->child = (yyvsp[0].declarator);
              (yyval.declarator) = d;
          }
      }
#line 5452 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 260: /* abstract_declarator: reference  */
#line 1791 "src/parse.yy"
      {
          (yyval.declarator) = new Declarator(DK_REFERENCE, (yylsp[0]));
      }
#line 5460 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 261: /* abstract_declarator: reference direct_abstract_declarator  */
#line 1795 "src/parse.yy"
      {
          if ((yyvsp[0].declarator) == nullptr)
              (yyval.declarator) = nullptr;
          else {
              Declarator *d = new Declarator(DK_REFERENCE, Union((yylsp[-1]), (yylsp[0])));
              d->child = (yyvsp[0].declarator);
              (yyval.declarator) = d;
          }
      }
#line 5474 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 262: /* direct_abstract_declarator: '(' abstract_declarator ')'  */
#line 1808 "src/parse.yy"
      { (yyval.declarator) = (yyvsp[-1].declarator); }
#line 5480 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 263: /* direct_abstract_declarator: '[' ']'  */
#line 1810 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-1]), (yylsp[0])));
          d->arraySize = 0;
          (yyval.declarator) = d;
      }
#line 5490 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 264: /* direct_abstract_declarator: '[' constant_expression ']'  */
#line 1816 "src/parse.yy"
      {
        int size;
        if ((yyvsp[-1].expr) != nullptr && lGetConstantInt((yyvsp[-1].expr), &size, (yylsp[-1]), "Array dimension")) {
            if (size < 0) {
                Error((yylsp[-1]), "Array dimension must be non-negative.");
                (yyval.declarator) = nullptr;
            }
            else {
                Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-2]), (yylsp[0])));
                d->arraySize = size;
                (yyval.declarator) = d;
            }
        }
        else
            (yyval.declarator) = nullptr;
      }
#line 5511 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 265: /* direct_abstract_declarator: direct_abstract_declarator '[' ']'  */
#line 1833 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) == nullptr)
              (yyval.declarator) = nullptr;
          else {
              Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-2]), (yylsp[0])));
              d->arraySize = 0;
              d->child = (yyvsp[-2].declarator);
              (yyval.declarator) = d;
          }
      }
#line 5526 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 266: /* direct_abstract_declarator: direct_abstract_declarator '[' constant_expression ']'  */
#line 1844 "src/parse.yy"
      {
          int size;
          if ((yyvsp[-3].declarator) != nullptr && (yyvsp[-1].expr) != nullptr && lGetConstantInt((yyvsp[-1].expr), &size, (yylsp[-1]), "Array dimension")) {
              if (size < 0) {
                  Error((yylsp[-1]), "Array dimension must be non-negative.");
                  (yyval.declarator) = nullptr;
              }
              else {
                  Declarator *d = new Declarator(DK_ARRAY, Union((yylsp[-3]), (yylsp[0])));
                  d->arraySize = size;
                  d->child = (yyvsp[-3].declarator);
                  (yyval.declarator) = d;
              }
          }
          else
              (yyval.declarator) = nullptr;
      }
#line 5548 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 267: /* direct_abstract_declarator: '(' ')'  */
#line 1862 "src/parse.yy"
      { (yyval.declarator) = new Declarator(DK_FUNCTION, Union((yylsp[-1]), (yylsp[0]))); }
#line 5554 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 268: /* direct_abstract_declarator: '(' parameter_type_list ')'  */
#line 1864 "src/parse.yy"
      {
          Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-2]), (yylsp[0])));
          if ((yyvsp[-1].declarationList) != nullptr) {
              d->functionParams = *(yyvsp[-1].declarationList);
              // parameter_type_list returns vector of Declarations that is not needed anymore.
              delete (yyvsp[-1].declarationList);
          }
          (yyval.declarator) = d;
      }
#line 5568 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 269: /* direct_abstract_declarator: direct_abstract_declarator '(' ')'  */
#line 1874 "src/parse.yy"
      {
          if ((yyvsp[-2].declarator) == nullptr)
              (yyval.declarator) = nullptr;
          else {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-2]), (yylsp[0])));
              d->child = (yyvsp[-2].declarator);
              (yyval.declarator) = d;
          }
      }
#line 5582 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 270: /* direct_abstract_declarator: direct_abstract_declarator '(' parameter_type_list ')'  */
#line 1884 "src/parse.yy"
      {
          if ((yyvsp[-3].declarator) == nullptr)
              (yyval.declarator) = nullptr;
          else {
              Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-3]), (yylsp[0])));
              d->child = (yyvsp[-3].declarator);
              if ((yyvsp[-1].declarationList) != nullptr) {
                  d->functionParams = *(yyvsp[-1].declarationList);
                  // parameter_type_list returns vector of Declarations that is not needed anymore.
                  delete (yyvsp[-1].declarationList);
              }
              (yyval.declarator) = d;
          }
      }
#line 5601 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 272: /* initializer: '{' initializer_list '}'  */
#line 1902 "src/parse.yy"
                               { (yyval.expr) = (yyvsp[-1].exprList); }
#line 5607 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 273: /* initializer: '{' initializer_list ',' '}'  */
#line 1903 "src/parse.yy"
                                   { (yyval.expr) = (yyvsp[-2].exprList); }
#line 5613 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 274: /* initializer_list: initializer  */
#line 1908 "src/parse.yy"
      { (yyval.exprList) = new ExprList((yyvsp[0].expr), (yylsp[0])); }
#line 5619 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 275: /* initializer_list: initializer_list ',' initializer  */
#line 1910 "src/parse.yy"
      {
          ExprList *exprList = (yyvsp[-2].exprList);
          if (exprList == nullptr) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              exprList = new ExprList((yylsp[0]));
          }
          exprList->exprs.push_back((yyvsp[0].expr));
          exprList->pos = Union(exprList->pos, (yylsp[0]));
          (yyval.exprList) = exprList;
      }
#line 5634 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 276: /* pragma: TOKEN_PRAGMA  */
#line 1924 "src/parse.yy"
    {
        (yyval.pragmaAttributes) = (yylval.pragmaAttributes);
    }
#line 5642 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 277: /* attributed_statement: pragma attributed_statement  */
#line 1931 "src/parse.yy"
    {
        if (((yyvsp[-1].pragmaAttributes)->aType == PragmaAttributes::AttributeType::pragmaloop) && ((yyvsp[0].stmt) != nullptr)) {
            std::pair<Globals::pragmaUnrollType, int> unrollVal = std::pair<Globals::pragmaUnrollType, int>((yyvsp[-1].pragmaAttributes)->unrollType, (yyvsp[-1].pragmaAttributes)->count);
            (yyvsp[0].stmt)->SetLoopAttribute(unrollVal);
        }
        (yyval.stmt) = (yyvsp[0].stmt);
        // deallocate yylval.pragmaAttributes returned from pragma and allocated in lPragmaUnroll
        delete (yyvsp[-1].pragmaAttributes);
    }
#line 5656 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 291: /* statement: error ';'  */
#line 1957 "src/parse.yy"
    {
        lSuggestBuiltinAlternates();
        (yyval.stmt) = nullptr;
    }
#line 5665 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 292: /* labeled_statement: goto_identifier ':' attributed_statement  */
#line 1965 "src/parse.yy"
    {
        (yyval.stmt) = new LabeledStmt((yyvsp[-2].constCharPtr), (yyvsp[0].stmt), (yylsp[-2]));
        // allocated by strdup in goto_identifier
        free((char*)(yyvsp[-2].constCharPtr));
    }
#line 5675 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 293: /* labeled_statement: TOKEN_CASE constant_expression ':' attributed_statement  */
#line 1971 "src/parse.yy"
      {
          int value;
          if ((yyvsp[-2].expr) != nullptr &&
              lGetConstantInt((yyvsp[-2].expr), &value, (yylsp[-2]), "Case statement value")) {
              (yyval.stmt) = new CaseStmt(value, (yyvsp[0].stmt), Union((yylsp[-3]), (yylsp[-2])));
          }
          else
              (yyval.stmt) = nullptr;
      }
#line 5689 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 294: /* labeled_statement: TOKEN_DEFAULT ':' attributed_statement  */
#line 1981 "src/parse.yy"
      { (yyval.stmt) = new DefaultStmt((yyvsp[0].stmt), (yylsp[-2])); }
#line 5695 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 295: /* start_scope: '{'  */
#line 1985 "src/parse.yy"
          { m->symbolTable->PushScope(); }
#line 5701 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 296: /* end_scope: '}'  */
#line 1989 "src/parse.yy"
          { m->symbolTable->PopScope(); }
#line 5707 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 297: /* compound_statement: '{' '}'  */
#line 1993 "src/parse.yy"
              { (yyval.stmt) = nullptr; }
#line 5713 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 298: /* compound_statement: start_scope statement_list end_scope  */
#line 1994 "src/parse.yy"
                                           { (yyval.stmt) = (yyvsp[-1].stmt); }
#line 5719 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 299: /* statement_list: attributed_statement  */
#line 1999 "src/parse.yy"
      {
          StmtList *sl = new StmtList((yylsp[0]));
          sl->Add((yyvsp[0].stmt));
          (yyval.stmt) = sl;
      }
#line 5729 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 300: /* statement_list: statement_list attributed_statement  */
#line 2005 "src/parse.yy"
      {
          StmtList *sl = (StmtList *)(yyvsp[-1].stmt);
          if (sl == nullptr) {
              AssertPos((yylsp[-1]), m->errorCount > 0);
              sl = new StmtList((yylsp[0]));
          }
          sl->Add((yyvsp[0].stmt));
          (yyval.stmt) = sl;
      }
#line 5743 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 301: /* expression_statement: ';'  */
#line 2017 "src/parse.yy"
          { (yyval.stmt) = nullptr; }
#line 5749 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 302: /* expression_statement: expression ';'  */
#line 2018 "src/parse.yy"
                     { (yyval.stmt) = (yyvsp[-1].expr) ? new ExprStmt((yyvsp[-1].expr), (yylsp[-1])) : nullptr; }
#line 5755 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 303: /* selection_statement: TOKEN_IF '(' expression ')' attributed_statement  */
#line 2023 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-2].expr), (yyvsp[0].stmt), nullptr, false, (yylsp[-4])); }
#line 5761 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 304: /* selection_statement: TOKEN_IF '(' expression ')' attributed_statement TOKEN_ELSE attributed_statement  */
#line 2025 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-4].expr), (yyvsp[-2].stmt), (yyvsp[0].stmt), false, (yylsp[-6])); }
#line 5767 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 305: /* selection_statement: TOKEN_CIF '(' expression ')' attributed_statement  */
#line 2027 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-2].expr), (yyvsp[0].stmt), nullptr, true, (yylsp[-4])); }
#line 5773 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 306: /* selection_statement: TOKEN_CIF '(' expression ')' attributed_statement TOKEN_ELSE attributed_statement  */
#line 2029 "src/parse.yy"
      { (yyval.stmt) = new IfStmt((yyvsp[-4].expr), (yyvsp[-2].stmt), (yyvsp[0].stmt), true, (yylsp[-6])); }
#line 5779 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 307: /* selection_statement: TOKEN_SWITCH '(' expression ')' attributed_statement  */
#line 2031 "src/parse.yy"
      { (yyval.stmt) = new SwitchStmt((yyvsp[-2].expr), (yyvsp[0].stmt), (yylsp[-4])); }
#line 5785 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 308: /* for_test: ';'  */
#line 2036 "src/parse.yy"
      { (yyval.expr) = nullptr; }
#line 5791 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 309: /* for_test: expression ';'  */
#line 2038 "src/parse.yy"
      { (yyval.expr) = (yyvsp[-1].expr); }
#line 5797 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 312: /* for_scope: TOKEN_FOR  */
#line 2047 "src/parse.yy"
                { m->symbolTable->PushScope(); }
#line 5803 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 313: /* cfor_scope: TOKEN_CFOR  */
#line 2051 "src/parse.yy"
                 { m->symbolTable->PushScope(); }
#line 5809 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 314: /* foreach_scope: TOKEN_FOREACH  */
#line 2055 "src/parse.yy"
                    { m->symbolTable->PushScope(); }
#line 5815 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 315: /* foreach_tiled_scope: TOKEN_FOREACH_TILED  */
#line 2059 "src/parse.yy"
                          { m->symbolTable->PushScope(); }
#line 5821 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 316: /* foreach_identifier: TOKEN_IDENTIFIER  */
#line 2064 "src/parse.yy"
    {
        (yyval.symbol) = new Symbol(yytext, (yylsp[0]), AtomicType::VaryingInt32->GetAsConstType());
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 5830 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 317: /* foreach_active_scope: TOKEN_FOREACH_ACTIVE  */
#line 2071 "src/parse.yy"
                           { m->symbolTable->PushScope(); }
#line 5836 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 318: /* foreach_active_identifier: TOKEN_IDENTIFIER  */
#line 2076 "src/parse.yy"
    {
        (yyval.symbol) = new Symbol(yytext, (yylsp[0]), AtomicType::UniformInt64->GetAsConstType());
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 5845 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 319: /* integer_dotdotdot: TOKEN_INT32DOTDOTDOT_CONSTANT  */
#line 2083 "src/parse.yy"
                                    {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt32->GetAsConstType(),
                           (int32_t)yylval.intVal, (yylsp[0]));
    }
#line 5854 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 320: /* integer_dotdotdot: TOKEN_UINT32DOTDOTDOT_CONSTANT  */
#line 2087 "src/parse.yy"
                                     {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                           (uint32_t)yylval.intVal, (yylsp[0]));
    }
#line 5863 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 321: /* integer_dotdotdot: TOKEN_INT64DOTDOTDOT_CONSTANT  */
#line 2091 "src/parse.yy"
                                    {
        (yyval.expr) = new ConstExpr(AtomicType::UniformInt64->GetAsConstType(),
                           (int64_t)yylval.intVal, (yylsp[0]));
    }
#line 5872 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 322: /* integer_dotdotdot: TOKEN_UINT64DOTDOTDOT_CONSTANT  */
#line 2095 "src/parse.yy"
                                     {
        (yyval.expr) = new ConstExpr(AtomicType::UniformUInt64->GetAsConstType(),
                           (uint64_t)yylval.intVal, (yylsp[0]));
    }
#line 5881 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 323: /* foreach_dimension_specifier: foreach_identifier '=' assignment_expression TOKEN_DOTDOTDOT assignment_expression  */
#line 2103 "src/parse.yy"
    {
        (yyval.foreachDimension) = new ForeachDimension((yyvsp[-4].symbol), (yyvsp[-2].expr), (yyvsp[0].expr));
    }
#line 5889 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 324: /* foreach_dimension_specifier: foreach_identifier '=' integer_dotdotdot assignment_expression  */
#line 2107 "src/parse.yy"
    {
        (yyval.foreachDimension) = new ForeachDimension((yyvsp[-3].symbol), (yyvsp[-1].expr), (yyvsp[0].expr));
    }
#line 5897 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 325: /* foreach_dimension_list: foreach_dimension_specifier  */
#line 2114 "src/parse.yy"
    {
        (yyval.foreachDimensionList) = new std::vector<ForeachDimension *>;
        (yyval.foreachDimensionList)->push_back((yyvsp[0].foreachDimension));
    }
#line 5906 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 326: /* foreach_dimension_list: foreach_dimension_list ',' foreach_dimension_specifier  */
#line 2119 "src/parse.yy"
    {
        std::vector<ForeachDimension *> *dv = (yyvsp[-2].foreachDimensionList);
        if (dv == nullptr) {
            AssertPos((yylsp[-2]), m->errorCount > 0);
            dv = new std::vector<ForeachDimension *>;
        }
        if ((yyvsp[0].foreachDimension) != nullptr)
            dv->push_back((yyvsp[0].foreachDimension));
        (yyval.foreachDimensionList) = dv;
    }
#line 5921 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 327: /* foreach_unique_scope: TOKEN_FOREACH_UNIQUE  */
#line 2132 "src/parse.yy"
                           { m->symbolTable->PushScope(); }
#line 5927 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 328: /* foreach_unique_identifier: TOKEN_IDENTIFIER  */
#line 2137 "src/parse.yy"
      {
          (yyval.constCharPtr) = strdup((yyvsp[0].stringVal)->c_str());
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 5936 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 329: /* iteration_statement: TOKEN_WHILE '(' expression ')' attributed_statement  */
#line 2145 "src/parse.yy"
      { (yyval.stmt) = new ForStmt(nullptr, (yyvsp[-2].expr), nullptr, (yyvsp[0].stmt), false, (yylsp[-4])); }
#line 5942 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 330: /* iteration_statement: TOKEN_CWHILE '(' expression ')' attributed_statement  */
#line 2147 "src/parse.yy"
      { (yyval.stmt) = new ForStmt(nullptr, (yyvsp[-2].expr), nullptr, (yyvsp[0].stmt), true, (yylsp[-4])); }
#line 5948 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 331: /* iteration_statement: TOKEN_DO attributed_statement TOKEN_WHILE '(' expression ')' ';'  */
#line 2149 "src/parse.yy"
      { (yyval.stmt) = new DoStmt((yyvsp[-2].expr), (yyvsp[-5].stmt), false, (yylsp[-6])); }
#line 5954 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 332: /* iteration_statement: TOKEN_CDO attributed_statement TOKEN_WHILE '(' expression ')' ';'  */
#line 2151 "src/parse.yy"
      { (yyval.stmt) = new DoStmt((yyvsp[-2].expr), (yyvsp[-5].stmt), true, (yylsp[-6])); }
#line 5960 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 333: /* iteration_statement: for_scope '(' for_init_statement for_test ')' attributed_statement  */
#line 2153 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-3].stmt), (yyvsp[-2].expr), nullptr, (yyvsp[0].stmt), false, (yylsp[-5]));
        m->symbolTable->PopScope();
      }
#line 5968 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 334: /* iteration_statement: for_scope '(' for_init_statement for_test expression ')' attributed_statement  */
#line 2157 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-4].stmt), (yyvsp[-3].expr), new ExprStmt((yyvsp[-2].expr), (yylsp[-2])), (yyvsp[0].stmt), false, (yylsp[-6]));
        m->symbolTable->PopScope();
      }
#line 5976 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 335: /* iteration_statement: cfor_scope '(' for_init_statement for_test ')' attributed_statement  */
#line 2161 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-3].stmt), (yyvsp[-2].expr), nullptr, (yyvsp[0].stmt), true, (yylsp[-5]));
        m->symbolTable->PopScope();
      }
#line 5984 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 336: /* iteration_statement: cfor_scope '(' for_init_statement for_test expression ')' attributed_statement  */
#line 2165 "src/parse.yy"
      { (yyval.stmt) = new ForStmt((yyvsp[-4].stmt), (yyvsp[-3].expr), new ExprStmt((yyvsp[-2].expr), (yylsp[-2])), (yyvsp[0].stmt), true, (yylsp[-6]));
        m->symbolTable->PopScope();
      }
#line 5992 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 337: /* $@1: %empty  */
#line 2169 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-1].foreachDimensionList);
         if (dims == nullptr) {
             AssertPos((yylsp[-1]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }
         for (unsigned int i = 0; i < dims->size(); ++i)
             m->symbolTable->AddVariable((*dims)[i]->sym);
     }
#line 6006 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 338: /* iteration_statement: foreach_scope '(' foreach_dimension_list ')' $@1 attributed_statement  */
#line 2179 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-3].foreachDimensionList);
         if (dims == nullptr) {
             AssertPos((yylsp[-3]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }

         std::vector<Symbol *> syms;
         std::vector<Expr *> begins, ends;
         for (unsigned int i = 0; i < dims->size(); ++i) {
             syms.push_back((*dims)[i]->sym);
             begins.push_back((*dims)[i]->beginExpr);
             ends.push_back((*dims)[i]->endExpr);
         }
         (yyval.stmt) = new ForeachStmt(syms, begins, ends, (yyvsp[0].stmt), false, (yylsp[-5]));
         m->symbolTable->PopScope();

         // deallocate ForeachDimension elements allocated in foreach_dimension_specifier
         for (unsigned int i = 0; i < dims->size(); ++i)
             delete (*dims)[i];

         // deallocate std::vector<ForeachDimension*> allocated in foreach_dimension_list
         delete dims;
     }
#line 6035 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 339: /* $@2: %empty  */
#line 2204 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-1].foreachDimensionList);
         if (dims == nullptr) {
             AssertPos((yylsp[-1]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }

         for (unsigned int i = 0; i < dims->size(); ++i)
             m->symbolTable->AddVariable((*dims)[i]->sym);
     }
#line 6050 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 340: /* iteration_statement: foreach_tiled_scope '(' foreach_dimension_list ')' $@2 attributed_statement  */
#line 2215 "src/parse.yy"
     {
         std::vector<ForeachDimension *> *dims = (yyvsp[-3].foreachDimensionList);
         if (dims == nullptr) {
             AssertPos((yylsp[-5]), m->errorCount > 0);
             dims = new std::vector<ForeachDimension *>;
         }

         std::vector<Symbol *> syms;
         std::vector<Expr *> begins, ends;
         for (unsigned int i = 0; i < dims->size(); ++i) {
             syms.push_back((*dims)[i]->sym);
             begins.push_back((*dims)[i]->beginExpr);
             ends.push_back((*dims)[i]->endExpr);
         }
         (yyval.stmt) = new ForeachStmt(syms, begins, ends, (yyvsp[0].stmt), true, (yylsp[-5]));
         m->symbolTable->PopScope();

         // deallocate ForeachDimension elements allocated in foreach_dimension_specifier
         for (unsigned int i = 0; i < dims->size(); ++i)
             delete (*dims)[i];

         // deallocate std::vector<ForeachDimension*> allocated in foreach_dimension_list
         delete dims;
     }
#line 6079 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 341: /* $@3: %empty  */
#line 2240 "src/parse.yy"
     {
         if ((yyvsp[-1].symbol) != nullptr)
             m->symbolTable->AddVariable((yyvsp[-1].symbol));
     }
#line 6088 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 342: /* iteration_statement: foreach_active_scope '(' foreach_active_identifier ')' $@3 attributed_statement  */
#line 2245 "src/parse.yy"
     {
         (yyval.stmt) = new ForeachActiveStmt((yyvsp[-3].symbol), (yyvsp[0].stmt), Union((yylsp[-5]), (yylsp[-2])));
         m->symbolTable->PopScope();
     }
#line 6097 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 343: /* $@4: %empty  */
#line 2251 "src/parse.yy"
     {
         Expr *expr = (yyvsp[-1].expr);
         const Type *type;
         if (expr != nullptr &&
             (expr = TypeCheck(expr)) != nullptr &&
             (type = expr->GetType()) != nullptr) {
             const Type *iterType = type->GetAsUniformType()->GetAsConstType();
             Symbol *sym = new Symbol((yyvsp[-3].constCharPtr), (yylsp[-3]), iterType);
             m->symbolTable->AddVariable(sym);
         }
     }
#line 6113 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 344: /* iteration_statement: foreach_unique_scope '(' foreach_unique_identifier TOKEN_IN expression ')' $@4 attributed_statement  */
#line 2263 "src/parse.yy"
     {
         (yyval.stmt) = new ForeachUniqueStmt((yyvsp[-5].constCharPtr), (yyvsp[-3].expr), (yyvsp[0].stmt), (yylsp[-7]));
         m->symbolTable->PopScope();

         // allocated by strdup in foreach_unique_identifier
         free((char*)(yyvsp[-5].constCharPtr));
     }
#line 6125 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 345: /* goto_identifier: TOKEN_IDENTIFIER  */
#line 2274 "src/parse.yy"
      {
          (yyval.constCharPtr) = strdup((yyvsp[0].stringVal)->c_str());
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 6134 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 346: /* jump_statement: TOKEN_GOTO goto_identifier ';'  */
#line 2282 "src/parse.yy"
      {
          (yyval.stmt) = new GotoStmt((yyvsp[-1].constCharPtr), (yylsp[-2]), (yylsp[-1]));
          // allocated by strdup in goto_identifier
          free((char*)(yyvsp[-1].constCharPtr));
      }
#line 6144 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 347: /* jump_statement: TOKEN_CONTINUE ';'  */
#line 2288 "src/parse.yy"
      { (yyval.stmt) = new ContinueStmt((yylsp[-1])); }
#line 6150 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 348: /* jump_statement: TOKEN_BREAK ';'  */
#line 2290 "src/parse.yy"
      { (yyval.stmt) = new BreakStmt((yylsp[-1])); }
#line 6156 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 349: /* jump_statement: TOKEN_RETURN ';'  */
#line 2292 "src/parse.yy"
      { (yyval.stmt) = new ReturnStmt(nullptr, (yylsp[-1])); }
#line 6162 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 350: /* jump_statement: TOKEN_RETURN expression ';'  */
#line 2294 "src/parse.yy"
      { (yyval.stmt) = new ReturnStmt((yyvsp[-1].expr), (yylsp[-2])); }
#line 6168 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 351: /* sync_statement: TOKEN_SYNC ';'  */
#line 2299 "src/parse.yy"
      { (yyval.stmt) = new ExprStmt(new SyncExpr((yylsp[-1])), (yylsp[-1])); }
#line 6174 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 352: /* delete_statement: TOKEN_DELETE expression ';'  */
#line 2304 "src/parse.yy"
    {
        (yyval.stmt) = new DeleteStmt((yyvsp[-1].expr), Union((yylsp[-2]), (yylsp[-1])));
    }
#line 6182 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 353: /* unmasked_statement: TOKEN_UNMASKED '{' statement_list '}'  */
#line 2311 "src/parse.yy"
    {
        (yyval.stmt) = new UnmaskedStmt((yyvsp[-1].stmt), (yylsp[-3]));
    }
#line 6190 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 354: /* print_statement: TOKEN_PRINT '(' string_constant ')' ';'  */
#line 2318 "src/parse.yy"
      {
           (yyval.stmt) = new PrintStmt(*(yyvsp[-2].stringVal), nullptr, (yylsp[-4]));
           // deallocate std::string of string_constant
           lCleanUpString((yyvsp[-2].stringVal));
      }
#line 6200 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 355: /* print_statement: TOKEN_PRINT '(' string_constant ',' argument_expression_list ')' ';'  */
#line 2324 "src/parse.yy"
      {
           (yyval.stmt) = new PrintStmt(*(yyvsp[-4].stringVal), (yyvsp[-2].exprList), (yylsp[-6]));
           // deallocate std::string of string_constant
           lCleanUpString((yyvsp[-4].stringVal));
      }
#line 6210 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 356: /* assert_statement: TOKEN_ASSERT '(' string_constant ',' expression ')' ';'  */
#line 2333 "src/parse.yy"
      {
          (yyval.stmt) = new AssertStmt(*(yyvsp[-4].stringVal), (yyvsp[-2].expr), (yylsp[-6]));
          // deallocate std::string of string_constant
          lCleanUpString((yyvsp[-4].stringVal));
      }
#line 6220 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 366: /* external_declaration: TOKEN_EXPORT '{' type_specifier_list '}' ';'  */
#line 2354 "src/parse.yy"
    {
        if ((yyvsp[-2].typeList) != nullptr)
            m->AddExportedTypes(*(yyvsp[-2].typeList));
    }
#line 6229 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 367: /* external_declaration: declaration  */
#line 2359 "src/parse.yy"
    {
        if ((yyvsp[0].declaration) != nullptr)
            for (unsigned int i = 0; i < (yyvsp[0].declaration)->declarators.size(); ++i)
                lAddDeclaration((yyvsp[0].declaration)->declSpecs, (yyvsp[0].declaration)->declarators[i]);
    }
#line 6239 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 369: /* $@5: %empty  */
#line 2369 "src/parse.yy"
    {
        lAddDeclaration((yyvsp[-1].declSpecs), (yyvsp[0].declarator));
        m->symbolTable->PushScope();
        lAddFunctionParams((yyvsp[0].declarator));
        lAddMaskToSymbolTable((yylsp[0]));
        if ((yyvsp[-1].declSpecs)->typeQualifiers & TYPEQUAL_TASK)
            lAddThreadIndexCountToSymbolTable((yylsp[0]));
    }
#line 6252 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 370: /* function_definition: declaration_specifiers declarator $@5 compound_statement  */
#line 2378 "src/parse.yy"
    {
        if ((yyvsp[-2].declarator) != nullptr) {
            // FIXME: Next list is redundant, as it's done in lAddDeclaration()
            (yyvsp[-2].declarator)->InitFromDeclSpecs((yyvsp[-3].declSpecs));
            const FunctionType *funcType = CastType<FunctionType>((yyvsp[-2].declarator)->type);
            if (funcType == nullptr)
                AssertPos((yylsp[-3]), m->errorCount > 0);
            else if ((yyvsp[-3].declSpecs)->storageClass == SC_TYPEDEF)
                Error((yylsp[-3]), "Illegal \"typedef\" provided with function definition.");
            else {
                Stmt *code = (yyvsp[0].stmt);
                if (code == nullptr) code = new StmtList((yylsp[0]));
                m->AddFunctionDefinition((yyvsp[-2].declarator)->name, funcType, code);
            }
        }
        m->symbolTable->PopScope(); // push in lAddFunctionParams();
    }
#line 6274 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 371: /* template_type_parameter: TOKEN_TYPENAME TOKEN_IDENTIFIER  */
#line 2407 "src/parse.yy"
      {
          (yyval.templateTypeParm) = new TemplateTypeParmType(*(yyvsp[0].stringVal), Variability::VarType::Unbound, false, Union((yylsp[-1]), (yylsp[0])));
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 6283 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 372: /* template_type_parameter: TOKEN_TYPENAME TOKEN_IDENTIFIER '=' type_specifier  */
#line 2412 "src/parse.yy"
      {
          (yyval.templateTypeParm) = new TemplateTypeParmType(*(yyvsp[-2].stringVal), Variability::VarType::Unbound, false, Union((yylsp[-3]), (yylsp[-2])));
          lCleanUpString((yyvsp[-2].stringVal));
          // TODO: implement
          Error((yylsp[0]), "Default values for template type parameters are not yet supported.");
      }
#line 6294 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 373: /* int_constant_type: TOKEN_INT8  */
#line 2421 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt8->GetAsConstType(); }
#line 6300 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 374: /* int_constant_type: TOKEN_INT16  */
#line 2422 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt16->GetAsConstType(); }
#line 6306 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 375: /* int_constant_type: TOKEN_INT  */
#line 2423 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt32->GetAsConstType(); }
#line 6312 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 376: /* int_constant_type: TOKEN_INT64  */
#line 2424 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformInt64->GetAsConstType(); }
#line 6318 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 377: /* int_constant_type: TOKEN_UINT8  */
#line 2425 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformUInt8->GetAsConstType(); }
#line 6324 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 378: /* int_constant_type: TOKEN_UINT16  */
#line 2426 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformUInt16->GetAsConstType(); }
#line 6330 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 379: /* int_constant_type: TOKEN_UINT  */
#line 2427 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformUInt32->GetAsConstType(); }
#line 6336 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 380: /* int_constant_type: TOKEN_UINT64  */
#line 2428 "src/parse.yy"
                  { (yyval.atomicType) = AtomicType::UniformUInt64->GetAsConstType(); }
#line 6342 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 381: /* template_int_constant_type: TOKEN_UNIFORM int_constant_type  */
#line 2432 "src/parse.yy"
                                      { (yyval.atomicType) = (yyvsp[0].atomicType); }
#line 6348 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 382: /* template_int_constant_type: int_constant_type  */
#line 2433 "src/parse.yy"
                        { (yyval.atomicType) = (yyvsp[0].atomicType);}
#line 6354 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 383: /* template_int_parameter: template_int_constant_type TOKEN_IDENTIFIER  */
#line 2438 "src/parse.yy"
      {
          (yyval.symbol) = new Symbol(*(yyvsp[0].stringVal), Union((yylsp[-1]), (yylsp[0])), (yyvsp[-1].atomicType));
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 6363 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 384: /* template_int_parameter: template_int_constant_type TOKEN_IDENTIFIER '=' int_constant  */
#line 2443 "src/parse.yy"
      {
          (yyval.symbol) = new Symbol(*(yyvsp[-2].stringVal), Union((yylsp[-3]), (yylsp[-2])), (yyvsp[-3].atomicType));
          lCleanUpString((yyvsp[-2].stringVal));
          // TODO: implement
          Error((yylsp[0]), "Default values for template non-type parameters are not yet supported.");
      }
#line 6374 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 385: /* template_enum_parameter: TOKEN_TYPE_NAME TOKEN_IDENTIFIER  */
#line 2453 "src/parse.yy"
      {
          const Type *type = m->symbolTable->LookupType((yyvsp[-1].stringVal)->c_str());
          const EnumType *enumType = CastType<EnumType>(type);
          if (enumType == nullptr) {
            Error((yylsp[-1]), "Only enum types and integral types are allowed as non-type template parameters.");
          }
          (yyval.symbol) = new Symbol(*(yyvsp[0].stringVal), Union((yylsp[-1]), (yylsp[0])), enumType->GetAsConstType()->GetAsUniformType());
          lCleanUpString((yyvsp[-1].stringVal));
          lCleanUpString((yyvsp[0].stringVal));
      }
#line 6389 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 386: /* template_parameter: template_type_parameter  */
#line 2466 "src/parse.yy"
    {
        if ((yyvsp[0].templateTypeParm) != nullptr) {
            (yyval.templateParm) = new TemplateParam((yyvsp[0].templateTypeParm));
        }
    }
#line 6399 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 387: /* template_parameter: template_int_parameter  */
#line 2472 "src/parse.yy"
    {
        if ((yyvsp[0].symbol) != nullptr) {
            (yyval.templateParm) = new TemplateParam((yyvsp[0].symbol));
        }
    }
#line 6409 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 388: /* template_parameter: template_enum_parameter  */
#line 2478 "src/parse.yy"
    {
        if ((yyvsp[0].symbol) != nullptr) {
            (yyval.templateParm) = new TemplateParam((yyvsp[0].symbol));
        }
    }
#line 6419 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 389: /* template_parameter_list: template_parameter  */
#line 2487 "src/parse.yy"
      {
          TemplateParms *list = new TemplateParms();
          if ((yyvsp[0].templateParm) != nullptr) {
              list->Add((yyvsp[0].templateParm));
          }
          (yyval.templateParmList) = list;
      }
#line 6431 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 390: /* template_parameter_list: template_parameter_list ',' template_parameter  */
#line 2495 "src/parse.yy"
      {
          TemplateParms *list = (TemplateParms *) (yyvsp[-2].templateParmList);
          if (list == nullptr) {
              AssertPos((yylsp[-2]), m->errorCount > 0);
              list = new TemplateParms();
          }
          if ((yyvsp[0].templateParm) != nullptr) {
              list->Add((yyvsp[0].templateParm));
          }
          (yyval.templateParmList) = list;
      }
#line 6447 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 391: /* template_head: TOKEN_TEMPLATE '<' template_parameter_list '>'  */
#line 2510 "src/parse.yy"
      {
          (yyval.templateParmList) = (yyvsp[-1].templateParmList);
      }
#line 6455 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 392: /* $@6: %empty  */
#line 2517 "src/parse.yy"
      {
          // Scope for template parameters definition
          m->symbolTable->PushScope();
          TemplateParms *list = (TemplateParms *) (yyvsp[0].templateParmList);
          for(size_t i = 0; i < list->GetCount(); i++) {
              std::string name = (*list)[i]->GetName();
              SourcePos pos = (*list)[i]->GetSourcePos();
              if ((*list)[i]->IsTypeParam()) {
                  m->AddTypeDef(name, (*list)[i]->GetTypeParam(), pos);
              } else if ((*list)[i]->IsNonTypeParam()) {
                  m->symbolTable->AddVariable((*list)[i]->GetNonTypeParam());
              }
          }
      }
#line 6474 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 393: /* template_declaration: template_head $@6 declaration_specifiers declarator  */
#line 2532 "src/parse.yy"
      {
          lAddTemplateDeclaration((yyvsp[-3].templateParmList), (yyvsp[-1].declSpecs), (yyvsp[0].declarator));
          lAddFunctionParams((yyvsp[0].declarator));
          lAddMaskToSymbolTable((yylsp[0]));
          const FunctionType *ft = CastType<FunctionType>((yyvsp[0].declarator)->type);
          // Creating a new TemplateSymbol just to pass it further seems to be a waste
          (yyval.functionTemplateSym) = new TemplateSymbol((yyvsp[-3].templateParmList), (yyvsp[0].declarator)->name, ft, (yyvsp[-1].declSpecs)->storageClass, (yylsp[0]), false /*not used*/, false /*not used*/);
      }
#line 6487 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 394: /* template_function_declaration_or_definition: template_declaration ';'  */
#line 2544 "src/parse.yy"
      {
          // deallocate TemplateSymbol created in template_declaration
          delete (yyvsp[-1].functionTemplateSym);
          // End templates parameters definition scope
          m->symbolTable->PopScope();
      }
#line 6498 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 395: /* template_function_declaration_or_definition: template_declaration compound_statement  */
#line 2551 "src/parse.yy"
      {
          if ((yyvsp[-1].functionTemplateSym) != nullptr) {
              Stmt *code = (yyvsp[0].stmt);
              if (code == nullptr) code = new StmtList((yylsp[0]));
              m->AddFunctionTemplateDefinition((yyvsp[-1].functionTemplateSym)->templateParms, (yyvsp[-1].functionTemplateSym)->name, (yyvsp[-1].functionTemplateSym)->type, code);
              // deallocate TemplateSymbol created in template_declaration
              delete (yyvsp[-1].functionTemplateSym);
          }

          // End templates parameters definition scope
          m->symbolTable->PopScope();
      }
#line 6515 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 396: /* template_argument: rate_qualified_type_specifier  */
#line 2567 "src/parse.yy"
    {
        (yyval.templateArg) = new TemplateArg((yyvsp[0].type), (yylsp[0]));
    }
#line 6523 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 397: /* template_argument: TOKEN_INT8_CONSTANT  */
#line 2573 "src/parse.yy"
                          {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformInt8->GetAsConstType(),
                           (int8_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6532 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 398: /* template_argument: TOKEN_UINT8_CONSTANT  */
#line 2577 "src/parse.yy"
                           {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformUInt8->GetAsConstType(),
                           (uint8_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6541 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 399: /* template_argument: TOKEN_INT16_CONSTANT  */
#line 2581 "src/parse.yy"
                           {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformInt16->GetAsConstType(),
                           (int16_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6550 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 400: /* template_argument: TOKEN_UINT16_CONSTANT  */
#line 2585 "src/parse.yy"
                            {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformUInt16->GetAsConstType(),
                           (uint16_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6559 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 401: /* template_argument: TOKEN_INT32_CONSTANT  */
#line 2589 "src/parse.yy"
                           {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformInt32->GetAsConstType(),
                           (int32_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6568 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 402: /* template_argument: TOKEN_UINT32_CONSTANT  */
#line 2593 "src/parse.yy"
                            {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformUInt32->GetAsConstType(),
                           (uint32_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6577 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 403: /* template_argument: TOKEN_INT64_CONSTANT  */
#line 2597 "src/parse.yy"
                           {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformInt64->GetAsConstType(),
                           (int64_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6586 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 404: /* template_argument: TOKEN_UINT64_CONSTANT  */
#line 2601 "src/parse.yy"
                            {
        (yyval.templateArg) = new TemplateArg(new ConstExpr(AtomicType::UniformUInt64->GetAsConstType(),
                           (uint64_t)yylval.intVal, (yylsp[0])), (yylsp[0]));
    }
#line 6595 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 405: /* template_argument: TOKEN_IDENTIFIER  */
#line 2607 "src/parse.yy"
    {
        const char *name = (yyvsp[0].stringVal)->c_str();
        Symbol *s = m->symbolTable->LookupVariable(name);
        if (s) {
            (yyval.templateArg) = new TemplateArg(new SymbolExpr(s, (yylsp[0])), (yylsp[0]));
        } else {
            Error((yylsp[0]), "Unknown identifier");
            (yyval.templateArg) = nullptr;
        }
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 6611 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 406: /* template_argument_list: template_argument  */
#line 2622 "src/parse.yy"
      {
          TemplateArgs *templArgs = new TemplateArgs();
          if ((yyvsp[0].templateArg) != nullptr) {
            templArgs->push_back(*(yyvsp[0].templateArg));
          }
          (yyval.templateArgs) = templArgs;

      }
#line 6624 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 407: /* template_argument_list: template_argument_list ',' template_argument  */
#line 2631 "src/parse.yy"
      {
          TemplateArgs *templArgs = (TemplateArgs *) (yyvsp[-2].templateArgs);
          if ((yyvsp[0].templateArg) != nullptr) {
            templArgs->push_back(*(yyvsp[0].templateArg));
          }
          (yyval.templateArgs) = templArgs;
      }
#line 6636 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 408: /* template_identifier: TOKEN_TEMPLATE_NAME  */
#line 2642 "src/parse.yy"
    {
        (yyval.constCharPtr) = strdup(yytext);
        lCleanUpString((yyvsp[0].stringVal));
    }
#line 6645 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 409: /* simple_template_id: template_identifier '<' template_argument_list '>'  */
#line 2650 "src/parse.yy"
      {
          // Template ID declartor
          Declarator *d = new Declarator(DK_BASE, (yylsp[-3]));
          d->name = (yyvsp[-3].constCharPtr);
          // allocated by strdup in template_identifier
          free((char*)(yyvsp[-3].constCharPtr));
          // Arguments vector
          TemplateArgs *templArgs = (TemplateArgs *) (yyvsp[-1].templateArgs);
          // Bundle template ID declarator and type list.
          (yyval.simpleTemplateID) = new std::pair(d, templArgs);
      }
#line 6661 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 410: /* simple_template_id: template_identifier  */
#line 2662 "src/parse.yy"
      {
          // Template ID declartor
          Declarator *d = new Declarator(DK_BASE, (yylsp[0]));
          d->name = (yyvsp[0].constCharPtr);
          // allocated by strdup in template_identifier
          free((char*)(yyvsp[0].constCharPtr));
          // Arguments vector
          TemplateArgs *templArgs = new TemplateArgs();
          // Bundle template ID declarator and empty type list.
          (yyval.simpleTemplateID) = new std::pair(d, templArgs);
      }
#line 6677 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 411: /* template_function_instantiation: TOKEN_TEMPLATE declaration_specifiers simple_template_id '(' parameter_type_list ')' ';'  */
#line 2679 "src/parse.yy"
      {
          SimpleTemplateIDType *simpleTemplID = (SimpleTemplateIDType *) (yyvsp[-4].simpleTemplateID);

          // Function declarator
          Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-6]), (yylsp[-1])));
          d->child = simpleTemplID->first;
          if ((yyvsp[-2].declarationList) != nullptr) {
              d->functionParams = *(yyvsp[-2].declarationList);
              // parameter_type_list returns vector of Declarations that is not needed anymore.
              delete (yyvsp[-2].declarationList);
          }

          d->InitFromDeclSpecs((yyvsp[-5].declSpecs));
          lCheckTemplateDeclSpecs((yyvsp[-5].declSpecs), d->pos, TemplateType::Instantiation, (yyvsp[-4].simpleTemplateID)->first->name.c_str());
          const FunctionType *ftype = CastType<FunctionType>(d->type);
          bool isInline = ((yyvsp[-5].declSpecs)->typeQualifiers & TYPEQUAL_INLINE);
          bool isNoInline = ((yyvsp[-5].declSpecs)->typeQualifiers & TYPEQUAL_NOINLINE);
          if ((yyvsp[-4].simpleTemplateID)->second->size() == 0) {
              Error(d->pos, "Template arguments deduction is not yet supported in explicit template instantiation.");
          }
          m->AddFunctionTemplateInstantiation((yyvsp[-4].simpleTemplateID)->first->name, *(yyvsp[-4].simpleTemplateID)->second, ftype, (yyvsp[-5].declSpecs)->storageClass, isInline, isNoInline, Union((yylsp[-6]), (yylsp[-1])));

          // deallocate SimpleTemplateIDType returned by simple_template_id
          lFreeSimpleTemplateID(simpleTemplID);
      }
#line 6707 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 412: /* template_function_instantiation: TOKEN_TEMPLATE declaration_specifiers simple_template_id '(' ')' ';'  */
#line 2705 "src/parse.yy"
      {
          SimpleTemplateIDType *simpleTemplID = (SimpleTemplateIDType *) (yyvsp[-3].simpleTemplateID);

          // Function declarator
          Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-5]), (yylsp[-1])));
          d->child = simpleTemplID->first;

          d->InitFromDeclSpecs((yyvsp[-4].declSpecs));
          lCheckTemplateDeclSpecs((yyvsp[-4].declSpecs), d->pos, TemplateType::Instantiation, (yyvsp[-3].simpleTemplateID)->first->name.c_str());
          const FunctionType *ftype = CastType<FunctionType>(d->type);
          bool isInline = ((yyvsp[-4].declSpecs)->typeQualifiers & TYPEQUAL_INLINE);
          bool isNoInline = ((yyvsp[-4].declSpecs)->typeQualifiers & TYPEQUAL_NOINLINE);
          if ((yyvsp[-3].simpleTemplateID)->second->size() == 0) {
              Error(d->pos, "Template arguments deduction is not yet supported in explicit template instantiation.");
          }
          m->AddFunctionTemplateInstantiation((yyvsp[-3].simpleTemplateID)->first->name, *(yyvsp[-3].simpleTemplateID)->second, ftype, (yyvsp[-4].declSpecs)->storageClass, isInline, isNoInline, Union((yylsp[-5]), (yylsp[-1])));

          // deallocate SimpleTemplateIDType returned by simple_template_id
          lFreeSimpleTemplateID(simpleTemplID);
      }
#line 6732 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 413: /* template_function_instantiation: TOKEN_TEMPLATE declaration_specifiers simple_template_id '(' error ')' ';'  */
#line 2726 "src/parse.yy"
      {
          // deallocate SimpleTemplateIDType returned by simple_template_id
          lFreeSimpleTemplateID((yyvsp[-4].simpleTemplateID));
      }
#line 6741 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 414: /* template_function_specialization_declaration: TOKEN_TEMPLATE '<' '>' declaration_specifiers simple_template_id '(' parameter_type_list ')'  */
#line 2736 "src/parse.yy"
      {
        // Function declarator
        Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-7]), (yylsp[0])));
        d->child = (yyvsp[-3].simpleTemplateID)->first;

        if ((yyvsp[-1].declarationList) != nullptr) {
            d->functionParams = *(yyvsp[-1].declarationList);
            // parameter_type_list returns vector of Declarations that is not needed anymore.
            delete (yyvsp[-1].declarationList);
        }
        TemplateArgs *templArgs = new TemplateArgs(*(yyvsp[-3].simpleTemplateID)->second);
        Assert(templArgs);
        lAddTemplateSpecialization(*templArgs, (yyvsp[-4].declSpecs), d);
        m->symbolTable->PushScope();

        lAddFunctionParams(d);
        lAddMaskToSymbolTable((yylsp[-3]));
        // deallocate SimpleTemplateIDType returned by simple_template_id
        lFreeSimpleTemplateID((yyvsp[-3].simpleTemplateID));
        (yyval.simpleTemplateID) = new std::pair(d, templArgs);
      }
#line 6767 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 415: /* template_function_specialization_declaration: TOKEN_TEMPLATE '<' '>' declaration_specifiers simple_template_id '(' ')'  */
#line 2758 "src/parse.yy"
      {
        Declarator *d = new Declarator(DK_FUNCTION, Union((yylsp[-6]), (yylsp[-2])));
        d->child = (yyvsp[-2].simpleTemplateID)->first;
        TemplateArgs *templArgs = new TemplateArgs(*(yyvsp[-2].simpleTemplateID)->second);
        Assert(templArgs);
        lAddTemplateSpecialization(*templArgs, (yyvsp[-3].declSpecs), d);
        m->symbolTable->PushScope();

        lAddMaskToSymbolTable((yylsp[-2]));
        // deallocate SimpleTemplateIDType returned by simple_template_id
        lFreeSimpleTemplateID((yyvsp[-2].simpleTemplateID));
        (yyval.simpleTemplateID) = new std::pair(d, templArgs);
      }
#line 6785 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 416: /* template_function_specialization_declaration: TOKEN_TEMPLATE '<' '>' declaration_specifiers simple_template_id '(' error ')'  */
#line 2772 "src/parse.yy"
      {
        m->symbolTable->PushScope();
        // deallocate SimpleTemplateIDType returned by simple_template_id
        lFreeSimpleTemplateID((yyvsp[-3].simpleTemplateID));
        (yyval.simpleTemplateID) = nullptr;
      }
#line 6796 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 417: /* template_function_specialization: template_function_specialization_declaration ';'  */
#line 2782 "src/parse.yy"
      {
          if ((yyvsp[-1].simpleTemplateID) != nullptr) {
            // deallocate TemplateSymbol created in template_declaration
            lFreeSimpleTemplateID((yyvsp[-1].simpleTemplateID));
          }
          // End templates parameters definition scope
          m->symbolTable->PopScope();
      }
#line 6809 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;

  case 418: /* template_function_specialization: template_function_specialization_declaration compound_statement  */
#line 2791 "src/parse.yy"
      {
        if ((yyvsp[-1].simpleTemplateID) != nullptr) {
            Declarator *d = (yyvsp[-1].simpleTemplateID)->first;
            const FunctionType *ftype = CastType<FunctionType>(d->type);
            if (ftype == nullptr)
                AssertPos((yylsp[-1]), m->errorCount > 0);
            else {
                Stmt *code = (yyvsp[0].stmt);
                if (code == nullptr) code = new StmtList((yylsp[0]));
                m->AddFunctionTemplateSpecializationDefinition(d->name, ftype, *(yyvsp[-1].simpleTemplateID)->second, Union((yylsp[-1]), (yylsp[0])), code);
            }
           lFreeSimpleTemplateID((yyvsp[-1].simpleTemplateID));
        }
        m->symbolTable->PopScope();
      }
#line 6829 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"
    break;


#line 6833 "/builddir/build/BUILD/ispc-1.24.0-build/ispc-1.24.0/redhat-linux-build/./parse.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 2808 "src/parse.yy"



void yyerror(const char *s) {
    if (strlen(yytext) == 0)
        Error(yylloc, "Premature end of file: %s.", s);
    else
        Error(yylloc, "%s.", s);
}

void lCleanUpString(std::string *s) {
    if (s) {
         delete s;
    }
}

void lFreeSimpleTemplateID(void *p) {
    SimpleTemplateIDType *sid = (SimpleTemplateIDType*) p;
    TemplateArgs *templArgs = sid->second;
    if (templArgs) {
        delete templArgs;
    }
    if (sid) {
        delete sid;
    }
}

static int
lYYTNameErr (char *yyres, const char *yystr)
{
  extern std::map<std::string, std::string> tokenNameRemap;
  Assert(tokenNameRemap.size() > 0);
  if (tokenNameRemap.find(yystr) != tokenNameRemap.end()) {
      std::string n = tokenNameRemap[yystr];
      if (yyres == nullptr)
          return n.size();
      else
          return yystpcpy(yyres, n.c_str()) - yyres;
  }

  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}

static void
lSuggestBuiltinAlternates() {
    std::vector<std::string> builtinTokens;
    const char **token = lBuiltinTokens;
    while (*token) {
        builtinTokens.push_back(*token);
        ++token;
    }
    std::vector<std::string> alternates = MatchStrings(yytext, builtinTokens);
    std::string alts = lGetAlternates(alternates);
    if (alts.size() > 0)
         Error(yylloc, "%s", alts.c_str());
}


static void
lSuggestParamListAlternates() {
    std::vector<std::string> builtinTokens;
    const char **token = lParamListTokens;
    while (*token) {
        builtinTokens.push_back(*token);
        ++token;
    }
    std::vector<std::string> alternates = MatchStrings(yytext, builtinTokens);
    std::string alts = lGetAlternates(alternates);
    if (alts.size() > 0)
        Error(yylloc, "%s", alts.c_str());
}


static void
lAddDeclaration(DeclSpecs *ds, Declarator *decl) {
    if (ds == nullptr || decl == nullptr)
        // Error happened earlier during parsing
        return;

    decl->InitFromDeclSpecs(ds);
    if (ds->storageClass == SC_TYPEDEF)
        m->AddTypeDef(decl->name, decl->type, decl->pos);
    else {
        if (decl->type == nullptr) {
            Assert(m->errorCount > 0);
            return;
        }

        decl->type = decl->type->ResolveUnboundVariability(Variability::Varying);

        const FunctionType *ft = CastType<FunctionType>(decl->type);
        if (ft != nullptr) {
            bool isInline = (ds->typeQualifiers & TYPEQUAL_INLINE);
            bool isNoInline = (ds->typeQualifiers & TYPEQUAL_NOINLINE);
            bool isVectorCall = (ds->typeQualifiers & TYPEQUAL_VECTORCALL);
            bool isRegCall = (ds->typeQualifiers & TYPEQUAL_REGCALL);
            m->AddFunctionDeclaration(decl->name, ft, ds->storageClass,
                                      isInline, isNoInline, isVectorCall, isRegCall, decl->pos);
        }
        else {
            bool isConst = (ds->typeQualifiers & TYPEQUAL_CONST) != 0;
            m->AddGlobalVariable(decl->name, decl->type, decl->initExpr,
                                 isConst, decl->storageClass, decl->pos);
        }
    }
}

static void
lCheckTemplateDeclSpecs(DeclSpecs *ds, SourcePos pos, TemplateType type, const char* name) {
    std::string templateTypeStr;
    switch (type) {
        case TemplateType::Template:
            templateTypeStr = "function template";
            break;
        case TemplateType::Instantiation:
            templateTypeStr = "template instantiation";
            break;
        case TemplateType::Specialization:
            templateTypeStr = "template specialization";
            break;
        default:
            FATAL("Unhandled template type in lCheckTemplateDeclSpecs");
    }
    if (ds->typeQualifiers & TYPEQUAL_TASK){
        Error(pos, "'task' not supported for %s.", templateTypeStr.c_str());
        return;
    }
    if (ds->typeQualifiers & TYPEQUAL_EXPORT) {
        Error(pos, "'export' not supported for %s.", templateTypeStr.c_str());
        return;
    }
    if (ds->storageClass == SC_TYPEDEF) {
        Error(pos, "Illegal \"typedef\" provided with %s.", templateTypeStr.c_str());
        return;
    }
    // We can't support extern "C"/extern "SYCL" for templates because
    // we need mangling information.
    if (ds->storageClass == SC_EXTERN_C || ds->storageClass == SC_EXTERN_SYCL) {
        Error(pos, "Illegal linkage provided with %s.", templateTypeStr.c_str());
        return;
    }
    Assert(ds->storageClass == SC_NONE || ds->storageClass == SC_STATIC || ds->storageClass == SC_EXTERN);
    bool isVectorCall = (ds->typeQualifiers & TYPEQUAL_VECTORCALL);
    if (isVectorCall) {
        Error(pos, "Illegal to use \"__vectorcall\" qualifier on non-extern function \"%s\".", name);
    }
    bool isRegCall = (ds->typeQualifiers & TYPEQUAL_REGCALL);
    if (isRegCall) {
        Error(pos, "Illegal to use \"__regcall\" qualifier on non-extern function \"%s\".", name);
    }
}

static void
lAddTemplateDeclaration(TemplateParms *templateParmList, DeclSpecs *ds, Declarator *decl) {
    if (ds == nullptr || decl == nullptr) {
        // Error happened earlier during parsing
        return;
    }

    decl->InitFromDeclSpecs(ds);
    lCheckTemplateDeclSpecs(ds, decl->pos, TemplateType::Template, decl->name.c_str());

    if (decl->type == nullptr) {
        Assert(m->errorCount > 0);
        return;
    }

    const FunctionType *ft = CastType<FunctionType>(decl->type);
    if (ft != nullptr) {
        bool isInline = (ds->typeQualifiers & TYPEQUAL_INLINE);
        bool isNoInline = (ds->typeQualifiers & TYPEQUAL_NOINLINE);
        m->AddFunctionTemplateDeclaration(templateParmList, decl->name, ft, ds->storageClass,
                                          isInline, isNoInline, decl->pos);
    }
    else {
        Error(decl->pos, "Only function templates are supported.");
    }

}

static void
lAddTemplateSpecialization(const TemplateArgs &templArgs, DeclSpecs *ds, Declarator *decl) {
    if (ds == nullptr || decl == nullptr)
        // Error happened earlier during parsing
        return;

    decl->InitFromDeclSpecs(ds);
    lCheckTemplateDeclSpecs(ds, decl->pos, TemplateType::Specialization, decl->name.c_str());

    if (decl->type == nullptr) {
        Assert(m->errorCount > 0);
        return;
    }

    if (templArgs.size() == 0) {
        Error(decl->pos, "Template arguments deduction is not yet supported in template function specialization.");
        return;
    }

    const FunctionType *ftype = CastType<FunctionType>(decl->type);
    if (ftype != nullptr) {
        bool isInline = (ds->typeQualifiers & TYPEQUAL_INLINE);
        bool isNoInline = (ds->typeQualifiers & TYPEQUAL_NOINLINE);
        m->AddFunctionTemplateSpecializationDeclaration(decl->name, ftype, templArgs, ds->storageClass,
                                                        isInline, isNoInline, decl->pos);
    }
    else {
        Error(decl->pos, "Only function template specializations are supported.");
    }
}

/** We're about to start parsing the body of a function; add all of the
    parameters to the symbol table so that they're available.
*/
static void
lAddFunctionParams(Declarator *decl) {
    // It's responsibility of the caller to create a new symbol table scope.
    // For regular functions, the scope starts before function parameters.
    // For template functions, the scope starts before template parameters.
    if (decl == nullptr) {
        return;
    }

    // walk down to the declarator for the function itself
    while (decl->kind != DK_FUNCTION && decl->child != nullptr)
        decl = decl->child;
    if (decl->kind != DK_FUNCTION) {
        AssertPos(decl->pos, m->errorCount > 0);
        return;
    }

    // now loop over its parameters and add them to the symbol table
    for (unsigned int i = 0; i < decl->functionParams.size(); ++i) {
        Declaration *pdecl = decl->functionParams[i];
        Assert(pdecl != nullptr && pdecl->declarators.size() == 1);
        Declarator *declarator = pdecl->declarators[0];
        if (declarator == nullptr)
            AssertPos(decl->pos, m->errorCount > 0);
        else {
            Symbol *sym = new Symbol(declarator->name, declarator->pos,
                                     declarator->type, declarator->storageClass);
#ifndef NDEBUG
            bool ok = m->symbolTable->AddVariable(sym);
            if (ok == false)
                AssertPos(decl->pos, m->errorCount > 0);
#else
            m->symbolTable->AddVariable(sym);
#endif
        }
    }

    // The corresponding pop scope happens in function_definition rules
    // above...
}


/** Add a symbol for the built-in mask variable to the symbol table */
static void lAddMaskToSymbolTable(SourcePos pos) {
    const Type *t = nullptr;
    switch (g->target->getMaskBitCount()) {
    case 1:
        t = AtomicType::VaryingBool;
        break;
    case 8:
        t = AtomicType::VaryingUInt8;
        break;
    case 16:
        t = AtomicType::VaryingUInt16;
        break;
    case 32:
        t = AtomicType::VaryingUInt32;
        break;
    case 64:
        t = AtomicType::VaryingUInt64;
        break;
    default:
        FATAL("Unhandled mask bitsize in lAddMaskToSymbolTable");
    }

    t = t->GetAsConstType();
    Symbol *maskSymbol = new Symbol("__mask", pos, t);
    m->symbolTable->AddVariable(maskSymbol);
}


/** Add the thread index and thread count variables to the symbol table
    (this should only be done for 'task'-qualified functions. */
static void lAddThreadIndexCountToSymbolTable(SourcePos pos) {
    const Type *type = AtomicType::UniformUInt32->GetAsConstType();

    Symbol *threadIndexSym = new Symbol("threadIndex", pos, type);
    m->symbolTable->AddVariable(threadIndexSym);

    Symbol *threadCountSym = new Symbol("threadCount", pos, type);
    m->symbolTable->AddVariable(threadCountSym);

    Symbol *taskIndexSym = new Symbol("taskIndex", pos, type);
    m->symbolTable->AddVariable(taskIndexSym);

    Symbol *taskCountSym = new Symbol("taskCount", pos, type);
    m->symbolTable->AddVariable(taskCountSym);

    Symbol *taskIndexSym0 = new Symbol("taskIndex0", pos, type);
    m->symbolTable->AddVariable(taskIndexSym0);
    Symbol *taskIndexSym1 = new Symbol("taskIndex1", pos, type);
    m->symbolTable->AddVariable(taskIndexSym1);
    Symbol *taskIndexSym2 = new Symbol("taskIndex2", pos, type);
    m->symbolTable->AddVariable(taskIndexSym2);


    Symbol *taskCountSym0 = new Symbol("taskCount0", pos, type);
    m->symbolTable->AddVariable(taskCountSym0);
    Symbol *taskCountSym1 = new Symbol("taskCount1", pos, type);
    m->symbolTable->AddVariable(taskCountSym1);
    Symbol *taskCountSym2 = new Symbol("taskCount2", pos, type);
    m->symbolTable->AddVariable(taskCountSym2);
}


/** Small utility routine to construct a string for error messages that
    suggests alternate tokens for possibly-misspelled ones... */
static std::string lGetAlternates(std::vector<std::string> &alternates) {
    std::string alts;
    if (alternates.size()) {
        alts += " Did you mean ";
        for (unsigned int i = 0; i < alternates.size(); ++i) {
            alts += std::string("\"") + alternates[i] + std::string("\"");
            if (i < alternates.size() - 1) alts += ", or ";
        }
        alts += "?";
    }
    return alts;
}

static const char *
lGetStorageClassString(StorageClass sc) {
    switch (sc) {
    case SC_NONE:
        return "";
    case SC_EXTERN:
        return "extern";
    case SC_STATIC:
        return "static";
    case SC_TYPEDEF:
        return "typedef";
    case SC_EXTERN_C:
        return "extern \"C\"";
    case SC_EXTERN_SYCL:
        return "extern \"SYCL\"";
    default:
        Assert(!"logic error in lGetStorageClassString()");
        return "";
    }
}


/** Given an expression, see if it is equal to a compile-time constant
    integer value.  If so, return true and return the value in *value.
    If the expression isn't a compile-time constant or isn't an integer
    type, return false.
*/
static bool
lGetConstantInt(Expr *expr, int *value, SourcePos pos, const char *usage) {
    if (expr == nullptr)
        return false;
    expr = TypeCheck(expr);
    if (expr == nullptr)
        return false;
    expr = Optimize(expr);
    if (expr == nullptr)
        return false;

    std::pair<llvm::Constant *, bool> cValPair = expr->GetConstant(expr->GetType());
    llvm::Constant *cval = cValPair.first;
    if (cval == nullptr) {
        Error(pos, "%s must be a compile-time constant.", usage);
        return false;
    }
    else {
        llvm::ConstantInt *ci = llvm::dyn_cast<llvm::ConstantInt>(cval);
        if (ci == nullptr) {
            Error(pos, "%s must be a compile-time integer constant.", usage);
            return false;
        }
        if ((int64_t)((int32_t)ci->getSExtValue()) != ci->getSExtValue()) {
            Error(pos, "%s must be representable with a 32-bit integer.", usage);
            return false;
        }
        const Type *type = expr->GetType();
        if (type->IsUnsignedType())
            *value = (int)ci->getZExtValue();
        else
            *value = (int)ci->getSExtValue();
        return true;
    }
}


static EnumType *
lCreateEnumType(const char *name, std::vector<Symbol *> *enums, SourcePos pos) {
    if (enums == nullptr)
        return nullptr;

    EnumType *enumType = name ? new EnumType(name, pos) : new EnumType(pos);
    if (name != nullptr)
        m->symbolTable->AddType(name, enumType, pos);

    lFinalizeEnumeratorSymbols(*enums, enumType);
    for (unsigned int i = 0; i < enums->size(); ++i)
        m->symbolTable->AddVariable((*enums)[i]);
    enumType->SetEnumerators(*enums);
    return enumType;
}


/** Given an array of enumerator symbols, make sure each of them has a
    ConstExpr * in their Symbol::constValue member that stores their
    unsigned integer value.  Symbols that had values explicitly provided
    in the source file will already have ConstExpr * set; we just need
    to set the values for the others here.
*/
static void
lFinalizeEnumeratorSymbols(std::vector<Symbol *> &enums,
                           const EnumType *enumType) {
    enumType = enumType->GetAsConstType();
    enumType = enumType->GetAsUniformType();

    /* nextVal tracks the value for the next enumerant.  It starts from
       zero and goes up with each successive enumerant.  If any of them
       has a value specified, then nextVal is ignored for that one and is
       set to one plus that one's value for the default value for the next
       one. */
    uint32_t nextVal = 0;

    for (unsigned int i = 0; i < enums.size(); ++i) {
        enums[i]->type = enumType;
        if (enums[i]->constValue != nullptr) {
            /* Already has a value, so first update nextVal with it. */
            int count = enums[i]->constValue->GetValues(&nextVal);
            AssertPos(enums[i]->pos, count == 1);
            ++nextVal;

            /* When the source file as being parsed, the ConstExpr for any
               enumerant with a specified value was set to have unsigned
               int32 type, since we haven't created the parent EnumType
               by then.  Therefore, add a little type cast from uint32 to
               the actual enum type here and optimize it, which will have
               us end up with a ConstExpr with the desired EnumType... */
            Expr *castExpr = new TypeCastExpr(enumType, enums[i]->constValue,
                                              enums[i]->pos);
            castExpr = Optimize(castExpr);
            enums[i]->constValue = llvm::dyn_cast<ConstExpr>(castExpr);
            AssertPos(enums[i]->pos, enums[i]->constValue != nullptr);
        }
        else {
            enums[i]->constValue = new ConstExpr(enumType, nextVal++,
                                                 enums[i]->pos);
        }
    }
}
